/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2022 MediaTek Inc.
 */

#ifndef __SENINF_REG_H__
#define __SENINF_REG_H__

#include <linux/bits.h>

#define SENINF_TOP_CTRL								0x0000
#define SENINF_TOP_CTRL_MUX_LP_MODE_SHIFT					31
#define SENINF_TOP_CTRL_MUX_LP_MODE_MASK					BIT(31)
#define SENINF_TOP_CTRL_SENINF_PCLK_SEL_SHIFT					8
#define SENINF_TOP_CTRL_SENINF_PCLK_SEL_MASK					BIT(8)
#define SENINF_TOP_CTRL_SENINF2_PCLK_SEL_SHIFT					9
#define SENINF_TOP_CTRL_SENINF2_PCLK_SEL_MASK					BIT(9)
#define SENINF_TOP_CTRL_SENINF_PCLK_EN_SHIFT					10
#define SENINF_TOP_CTRL_SENINF_PCLK_EN_MASK					BIT(10)
#define SENINF_TOP_CTRL_SENINF2_PCLK_EN_SHIFT					11
#define SENINF_TOP_CTRL_SENINF2_PCLK_EN_MASK					BIT(11)
#define SENINF_TOP_CTRL_SENINF_TOP_N3D_SW_RST_SHIFT				16
#define SENINF_TOP_CTRL_SENINF_TOP_N3D_SW_RST_MASK				BIT(16)
#define SENINF_TOP_CTRL_SENINF_TOP_DBG_SEL_SHIFT				28
#define SENINF_TOP_CTRL_SENINF_TOP_DBG_SEL_MASK					(0x7 << 28)
#define SENINF_TOP_CMODEL_PAR							0x0004
#define SENINF_TOP_CMODEL_PAR_SENINF_EN_SHIFT					0
#define SENINF_TOP_CMODEL_PAR_SENINF_EN_MASK					BIT(0)
#define SENINF_TOP_CMODEL_PAR_SENINF2_EN_SHIFT					1
#define SENINF_TOP_CMODEL_PAR_SENINF2_EN_MASK					BIT(1)
#define SENINF_TOP_CMODEL_PAR_SENINF3_EN_SHIFT					2
#define SENINF_TOP_CMODEL_PAR_SENINF3_EN_MASK					BIT(2)
#define SENINF_TOP_CMODEL_PAR_SENINF4_EN_SHIFT					3
#define SENINF_TOP_CMODEL_PAR_SENINF4_EN_MASK					BIT(3)
#define SENINF_TOP_CMODEL_PAR_SENINF_FORMAT_SHIFT				4
#define SENINF_TOP_CMODEL_PAR_SENINF_FORMAT_MASK				(0xf << 4)
#define SENINF_TOP_CMODEL_PAR_SENINF2_FORMAT_SHIFT				8
#define SENINF_TOP_CMODEL_PAR_SENINF2_FORMAT_MASK				(0xf << 8)
#define SENINF_TOP_CMODEL_PAR_SENINF3_FORMAT_SHIFT				12
#define SENINF_TOP_CMODEL_PAR_SENINF3_FORMAT_MASK				(0xf << 12)
#define SENINF_TOP_CMODEL_PAR_SENINF4_FORMAT_SHIFT				16
#define SENINF_TOP_CMODEL_PAR_SENINF4_FORMAT_MASK				(0xf << 16)
#define SENINF_TOP_MUX_CTRL							0x0008
#define SENINF_TOP_MUX_CTRL_SENINF_MUX_SRC_SEL_SHIFT				0
#define SENINF_TOP_MUX_CTRL_SENINF_MUX_SRC_SEL_MASK				(0xf << 0)
#define SENINF_TOP_MUX_CTRL_SENINF2_MUX_SRC_SEL_SHIFT				4
#define SENINF_TOP_MUX_CTRL_SENINF2_MUX_SRC_SEL_MASK				(0xf << 4)
#define SENINF_TOP_MUX_CTRL_SENINF3_MUX_SRC_SEL_SHIFT				8
#define SENINF_TOP_MUX_CTRL_SENINF3_MUX_SRC_SEL_MASK				(0xf << 8)
#define SENINF_TOP_MUX_CTRL_SENINF4_MUX_SRC_SEL_SHIFT				12
#define SENINF_TOP_MUX_CTRL_SENINF4_MUX_SRC_SEL_MASK				(0xf << 12)
#define SENINF_TOP_MUX_CTRL_SENINF5_MUX_SRC_SEL_SHIFT				16
#define SENINF_TOP_MUX_CTRL_SENINF5_MUX_SRC_SEL_MASK				(0xf << 16)
#define SENINF_TOP_MUX_CTRL_SENINF6_MUX_SRC_SEL_SHIFT				20
#define SENINF_TOP_MUX_CTRL_SENINF6_MUX_SRC_SEL_MASK				(0xf << 20)
#define SENINF_TOP_MUX_CTRL_SENINF7_MUX_SRC_SEL_SHIFT				24
#define SENINF_TOP_MUX_CTRL_SENINF7_MUX_SRC_SEL_MASK				(0xf << 24)
#define SENINF_TOP_MUX_CTRL_SENINF8_MUX_SRC_SEL_SHIFT				28
#define SENINF_TOP_MUX_CTRL_SENINF8_MUX_SRC_SEL_MASK				(0xf << 28)
#define SENINF_TOP_CAM_MUX_CTRL							0x0010
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM0_MUX_SRC_SEL_SHIFT			0
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM0_MUX_SRC_SEL_MASK			(0xf << 0)
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM1_MUX_SRC_SEL_SHIFT			4
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM1_MUX_SRC_SEL_MASK			(0xf << 4)
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM2_MUX_SRC_SEL_SHIFT			8
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM2_MUX_SRC_SEL_MASK			(0xf << 8)
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM3_MUX_SRC_SEL_SHIFT			12
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM3_MUX_SRC_SEL_MASK			(0xf << 12)
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM4_MUX_SRC_SEL_SHIFT			16
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM4_MUX_SRC_SEL_MASK			(0xf << 16)
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM5_MUX_SRC_SEL_SHIFT			20
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM5_MUX_SRC_SEL_MASK			(0xf << 20)
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM6_MUX_SRC_SEL_SHIFT			24
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM6_MUX_SRC_SEL_MASK			(0xf << 24)
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM7_MUX_SRC_SEL_SHIFT			28
#define SENINF_TOP_CAM_MUX_CTRL_SENINF_CAM7_MUX_SRC_SEL_MASK			(0xf << 28)
#define SENINF_TOP_N3D_A_CTL							0x0014
#define SENINF_TOP_N3D_A_CTL_SENINF_N3D_S1_SEN_PCLK_SRC_SEL_A_SHIFT		0
#define SENINF_TOP_N3D_A_CTL_SENINF_N3D_S1_SEN_PCLK_SRC_SEL_A_MASK		(0x7 << 0)
#define SENINF_TOP_N3D_A_CTL_SENINF_N3D_S1_SEN_VSYNC_SRC_SEL_A_SHIFT		4
#define SENINF_TOP_N3D_A_CTL_SENINF_N3D_S1_SEN_VSYNC_SRC_SEL_A_MASK		(0x7 << 4)
#define SENINF_TOP_N3D_A_CTL_SENINF_N3D_S2_SEN_PCLK_SRC_SEL_A_SHIFT		8
#define SENINF_TOP_N3D_A_CTL_SENINF_N3D_S2_SEN_PCLK_SRC_SEL_A_MASK		(0x7 << 8)
#define SENINF_TOP_N3D_A_CTL_SENINF_N3D_S2_SEN_VSYNC_SRC_SEL_A_SHIFT		12
#define SENINF_TOP_N3D_A_CTL_SENINF_N3D_S2_SEN_VSYNC_SRC_SEL_A_MASK		(0x7 << 12)
#define SENINF_TOP_N3D_B_CTL							0x0018
#define SENINF_TOP_N3D_B_CTL_SENINF_N3D_S1_SEN_PCLK_SRC_SEL_B_SHIFT		0
#define SENINF_TOP_N3D_B_CTL_SENINF_N3D_S1_SEN_PCLK_SRC_SEL_B_MASK		(0x7 << 0)
#define SENINF_TOP_N3D_B_CTL_SENINF_N3D_S1_SEN_VSYNC_SRC_SEL_B_SHIFT		4
#define SENINF_TOP_N3D_B_CTL_SENINF_N3D_S1_SEN_VSYNC_SRC_SEL_B_MASK		(0x7 << 4)
#define SENINF_TOP_N3D_B_CTL_SENINF_N3D_S2_SEN_PCLK_SRC_SEL_B_SHIFT		8
#define SENINF_TOP_N3D_B_CTL_SENINF_N3D_S2_SEN_PCLK_SRC_SEL_B_MASK		(0x7 << 8)
#define SENINF_TOP_N3D_B_CTL_SENINF_N3D_S2_SEN_VSYNC_SRC_SEL_B_SHIFT		12
#define SENINF_TOP_N3D_B_CTL_SENINF_N3D_S2_SEN_VSYNC_SRC_SEL_B_MASK		(0x7 << 12)
#define SENINF_TOP_PHY_SENINF_CTL_CSI0						0x001c
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_DPHY_MODE_SHIFT				0
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_DPHY_MODE_MASK				BIT(0)
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_CPHY_MODE_SHIFT				4
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_CPHY_MODE_MASK				(0x3 << 4)
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_CK_SEL_1_SHIFT				8
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_CK_SEL_1_MASK				(0x7 << 8)
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_CK_SEL_2_SHIFT				12
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_CK_SEL_2_MASK				(0x3 << 12)
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_PHY_SENINF_LANE_MUX_CSI0_EN_SHIFT	31
#define SENINF_TOP_PHY_SENINF_CTL_CSI0_PHY_SENINF_LANE_MUX_CSI0_EN_MASK		BIT(31)
#define SENINF_TOP_PHY_SENINF_CTL_CSI1						0x0020
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_DPHY_MODE_SHIFT				0
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_DPHY_MODE_MASK				BIT(0)
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_CPHY_MODE_SHIFT				4
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_CPHY_MODE_MASK				(0x3 << 4)
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_CK_SEL_1_SHIFT				8
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_CK_SEL_1_MASK				(0x7 << 8)
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_CK_SEL_2_SHIFT				12
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_CK_SEL_2_MASK				(0x3 << 12)
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_PHY_SENINF_LANE_MUX_CSI1_EN_SHIFT	31
#define SENINF_TOP_PHY_SENINF_CTL_CSI1_PHY_SENINF_LANE_MUX_CSI1_EN_MASK		BIT(31)
#define SENINF_TOP_PHY_SENINF_CTL_CSI2						0x0024
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_DPHY_MODE_SHIFT				0
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_DPHY_MODE_MASK				BIT(0)
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_CPHY_MODE_SHIFT				4
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_CPHY_MODE_MASK				(0x3 << 4)
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_CK_SEL_1_SHIFT				8
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_CK_SEL_1_MASK				(0x7 << 8)
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_CK_SEL_2_SHIFT				12
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_CK_SEL_2_MASK				(0x3 << 12)
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_PHY_SENINF_LANE_MUX_CSI2_EN_SHIFT	31
#define SENINF_TOP_PHY_SENINF_CTL_CSI2_PHY_SENINF_LANE_MUX_CSI2_EN_MASK		BIT(31)
#define SENINF_N3D_A_CTL							0x0100
#define SENINF_N3D_A_CTL_MODE_SHIFT						0
#define SENINF_N3D_A_CTL_MODE_MASK						(0x3 << 0)
#define SENINF_N3D_A_CTL_I2C1_EN_SHIFT						2
#define SENINF_N3D_A_CTL_I2C1_EN_MASK						BIT(2)
#define SENINF_N3D_A_CTL_I2C2_EN_SHIFT						3
#define SENINF_N3D_A_CTL_I2C2_EN_MASK						BIT(3)
#define SENINF_N3D_A_CTL_I2C1_INT_EN_SHIFT					4
#define SENINF_N3D_A_CTL_I2C1_INT_EN_MASK					BIT(4)
#define SENINF_N3D_A_CTL_I2C2_INT_EN_SHIFT					5
#define SENINF_N3D_A_CTL_I2C2_INT_EN_MASK					BIT(5)
#define SENINF_N3D_A_CTL_N3D_EN_SHIFT						6
#define SENINF_N3D_A_CTL_N3D_EN_MASK						BIT(6)
#define SENINF_N3D_A_CTL_W1CLR_SHIFT						7
#define SENINF_N3D_A_CTL_W1CLR_MASK						BIT(7)
#define SENINF_N3D_A_CTL_DIFF_EN_SHIFT						8
#define SENINF_N3D_A_CTL_DIFF_EN_MASK						BIT(8)
#define SENINF_N3D_A_CTL_DDBG_SEL_SHIFT						9
#define SENINF_N3D_A_CTL_DDBG_SEL_MASK						(0x7 << 9)
#define SENINF_N3D_A_CTL_MODE1_DBG_SHIFT					12
#define SENINF_N3D_A_CTL_MODE1_DBG_MASK						BIT(12)
#define SENINF_N3D_A_CTL_SEN1_TIM_EN_SHIFT					16
#define SENINF_N3D_A_CTL_SEN1_TIM_EN_MASK					BIT(16)
#define SENINF_N3D_A_CTL_SEN2_TIM_EN_SHIFT					17
#define SENINF_N3D_A_CTL_SEN2_TIM_EN_MASK					BIT(17)
#define SENINF_N3D_A_CTL_SEN1_OV_VS_INT_EN_SHIFT				18
#define SENINF_N3D_A_CTL_SEN1_OV_VS_INT_EN_MASK					BIT(18)
#define SENINF_N3D_A_CTL_SEN2_OV_VS_INT_EN_SHIFT				19
#define SENINF_N3D_A_CTL_SEN2_OV_VS_INT_EN_MASK					BIT(19)
#define SENINF_N3D_A_CTL_HW_SYNC_MODE_SHIFT					20
#define SENINF_N3D_A_CTL_HW_SYNC_MODE_MASK					BIT(20)
#define SENINF_N3D_A_CTL_VALID_TG_EN_SHIFT					21
#define SENINF_N3D_A_CTL_VALID_TG_EN_MASK					BIT(21)
#define SENINF_N3D_A_CTL_SYNC_PIN_A_EN_SHIFT					22
#define SENINF_N3D_A_CTL_SYNC_PIN_A_EN_MASK					BIT(22)
#define SENINF_N3D_A_CTL_SYNC_PIN_A_POLARITY_SHIFT				23
#define SENINF_N3D_A_CTL_SYNC_PIN_A_POLARITY_MASK				BIT(23)
#define SENINF_N3D_A_CTL_SYNC_PIN_B_EN_SHIFT					24
#define SENINF_N3D_A_CTL_SYNC_PIN_B_EN_MASK					BIT(24)
#define SENINF_N3D_A_CTL_SYNC_PIN_B_POLARITY_SHIFT				25
#define SENINF_N3D_A_CTL_SYNC_PIN_B_POLARITY_MASK				BIT(25)
#define SENINF_N3D_A_POS							0x0104
#define SENINF_N3D_A_POS_N3D_POS_SHIFT						0
#define SENINF_N3D_A_POS_N3D_POS_MASK						(0xffffffff << 0)
#define SENINF_N3D_A_TRIG							0x0108
#define SENINF_N3D_A_TRIG_I2CA_TRIG_SHIFT					0
#define SENINF_N3D_A_TRIG_I2CA_TRIG_MASK					BIT(0)
#define SENINF_N3D_A_TRIG_I2CB_TRIG_SHIFT					1
#define SENINF_N3D_A_TRIG_I2CB_TRIG_MASK					BIT(1)
#define SENINF_N3D_A_INT							0x010c
#define SENINF_N3D_A_INT_I2C1_INT_SHIFT						0
#define SENINF_N3D_A_INT_I2C1_INT_MASK						BIT(0)
#define SENINF_N3D_A_INT_I2C2_INT_SHIFT						1
#define SENINF_N3D_A_INT_I2C2_INT_MASK						BIT(1)
#define SENINF_N3D_A_INT_DIFF_INT_SHIFT						2
#define SENINF_N3D_A_INT_DIFF_INT_MASK						BIT(2)
#define SENINF_N3D_A_INT_SEN1_OV_VS_INT_SHIFT					4
#define SENINF_N3D_A_INT_SEN1_OV_VS_INT_MASK					BIT(4)
#define SENINF_N3D_A_INT_SEN2_OV_VS_INT_SHIFT					5
#define SENINF_N3D_A_INT_SEN2_OV_VS_INT_MASK					BIT(5)
#define SENINF_N3D_A_CNT0							0x0110
#define SENINF_N3D_A_CNT0_N3D_CNT0_SHIFT					0
#define SENINF_N3D_A_CNT0_N3D_CNT0_MASK						(0xffffffff << 0)
#define SENINF_N3D_A_CNT1							0x0114
#define SENINF_N3D_A_CNT1_N3D_CNT1_SHIFT					0
#define SENINF_N3D_A_CNT1_N3D_CNT1_MASK						(0xffffffff << 0)
#define SENINF_N3D_A_DBG							0x0118
#define SENINF_N3D_A_DBG_N3D_DBG_SHIFT						0
#define SENINF_N3D_A_DBG_N3D_DBG_MASK						(0xffffffff << 0)
#define SENINF_N3D_A_DIFF_THR							0x011c
#define SENINF_N3D_A_DIFF_THR_N3D_DIFF_THR_SHIFT				0
#define SENINF_N3D_A_DIFF_THR_N3D_DIFF_THR_MASK					(0xffffffff << 0)
#define SENINF_N3D_A_DIFF_CNT							0x0120
#define SENINF_N3D_A_DIFF_CNT_N3D_DIFF_CNT_SHIFT				0
#define SENINF_N3D_A_DIFF_CNT_N3D_DIFF_CNT_MASK					(0xffffffff << 0)
#define SENINF_N3D_A_DBG_1							0x0124
#define SENINF_N3D_A_DBG_1_N3D_DBG_1_SHIFT					0
#define SENINF_N3D_A_DBG_1_N3D_DBG_1_MASK					(0xffffffff << 0)
#define SENINF_N3D_A_VALID_TG_CNT						0x0128
#define SENINF_N3D_A_VALID_TG_CNT_N3D_VALID_TG_CNT_SHIFT			0
#define SENINF_N3D_A_VALID_TG_CNT_N3D_VALID_TG_CNT_MASK				(0xffffffff << 0)
#define SENINF_N3D_A_SYNC_A_PERIOD						0x012c
#define SENINF_N3D_A_SYNC_A_PERIOD_N3D_SYNC_A_PERIOD_SHIFT			0
#define SENINF_N3D_A_SYNC_A_PERIOD_N3D_SYNC_A_PERIOD_MASK			(0xffffffff << 0)
#define SENINF_N3D_A_SYNC_B_PERIOD						0x0130
#define SENINF_N3D_A_SYNC_B_PERIOD_N3D_SYNC_B_PERIOD_SHIFT			0
#define SENINF_N3D_A_SYNC_B_PERIOD_N3D_SYNC_B_PERIOD_MASK			(0xffffffff << 0)
#define SENINF_N3D_A_SYNC_A_PULSE_LEN						0x0134
#define SENINF_N3D_A_SYNC_A_PULSE_LEN_N3D_SYNC_A_PULSE_LEN_SHIFT		0
#define SENINF_N3D_A_SYNC_A_PULSE_LEN_N3D_SYNC_A_PULSE_LEN_MASK			(0xffffffff << 0)
#define SENINF_N3D_A_SYNC_B_PULSE_LEN						0x0138
#define SENINF_N3D_A_SYNC_B_PULSE_LEN_N3D_SYNC_B_PULSE_LEN_SHIFT		0
#define SENINF_N3D_A_SYNC_B_PULSE_LEN_N3D_SYNC_B_PULSE_LEN_MASK			(0xffffffff << 0)
#define SENINF_N3D_A_SUB_CNT							0x013c
#define SENINF_N3D_A_SUB_CNT_VS1_SUB_CNT_SHIFT					0
#define SENINF_N3D_A_SUB_CNT_VS1_SUB_CNT_MASK					(0x3f << 0)
#define SENINF_N3D_A_SUB_CNT_VS1_SUB_CNT_EN_SHIFT				6
#define SENINF_N3D_A_SUB_CNT_VS1_SUB_CNT_EN_MASK				BIT(6)
#define SENINF_N3D_A_SUB_CNT_SYNC_PIN_A_RESET_SEL_SHIFT				7
#define SENINF_N3D_A_SUB_CNT_SYNC_PIN_A_RESET_SEL_MASK				BIT(7)
#define SENINF_N3D_A_SUB_CNT_SYNC_PIN_B_RESET_SEL_SHIFT				8
#define SENINF_N3D_A_SUB_CNT_SYNC_PIN_B_RESET_SEL_MASK				BIT(8)
#define SENINF_N3D_A_SUB_CNT_SYNC_PIN_A_RESET_SEL_EN_SHIFT			9
#define SENINF_N3D_A_SUB_CNT_SYNC_PIN_A_RESET_SEL_EN_MASK			BIT(9)
#define SENINF_N3D_A_SUB_CNT_SYNC_PIN_B_RESET_SEL_EN_SHIFT			10
#define SENINF_N3D_A_SUB_CNT_SYNC_PIN_B_RESET_SEL_EN_MASK			BIT(10)
#define SENINF_N3D_A_SUB_CNT_VS2_SUB_CNT_SHIFT					16
#define SENINF_N3D_A_SUB_CNT_VS2_SUB_CNT_MASK					(0x3f << 16)
#define SENINF_N3D_A_SUB_CNT_VS2_SUB_CNT_EN_SHIFT				22
#define SENINF_N3D_A_SUB_CNT_VS2_SUB_CNT_EN_MASK				BIT(22)
#define SENINF_N3D_A_VSYNC_CNT							0x0140
#define SENINF_N3D_A_VSYNC_CNT_N3D_VSYNC_1_CNT_SHIFT				0
#define SENINF_N3D_A_VSYNC_CNT_N3D_VSYNC_1_CNT_MASK				(0xffff << 0)
#define SENINF_N3D_A_VSYNC_CNT_N3D_VSYNC_2_CNT_SHIFT				16
#define SENINF_N3D_A_VSYNC_CNT_N3D_VSYNC_2_CNT_MASK				(0xffff << 16)
#define SENINF_CTRL								0x0200
#define SENINF_CTRL_SENINF_EN_SHIFT						0
#define SENINF_CTRL_SENINF_EN_MASK						BIT(0)
#define SENINF_CTRL_NCSI2_SW_RST_SHIFT						1
#define SENINF_CTRL_NCSI2_SW_RST_MASK						BIT(1)
#define SENINF_CTRL_OCSI2_SW_RST_SHIFT						2
#define SENINF_CTRL_OCSI2_SW_RST_MASK						BIT(2)
#define SENINF_CTRL_CCIR_SW_RST_SHIFT						3
#define SENINF_CTRL_CCIR_SW_RST_MASK						BIT(3)
#define SENINF_CTRL_CKGEN_SW_RST_SHIFT						4
#define SENINF_CTRL_CKGEN_SW_RST_MASK						BIT(4)
#define SENINF_CTRL_TEST_MODEL_SW_RST_SHIFT					5
#define SENINF_CTRL_TEST_MODEL_SW_RST_MASK					BIT(5)
#define SENINF_CTRL_SCAM_SW_RST_SHIFT						6
#define SENINF_CTRL_SCAM_SW_RST_MASK						BIT(6)
#define SENINF_CTRL_CSI2_SW_RST_SHIFT						7
#define SENINF_CTRL_CSI2_SW_RST_MASK						BIT(7)
#define SENINF_CTRL_CSI3_SW_RST_SHIFT						8
#define SENINF_CTRL_CSI3_SW_RST_MASK						BIT(8)
#define SENINF_CTRL_SENINF_SRC_SEL_SHIFT					12
#define SENINF_CTRL_SENINF_SRC_SEL_MASK						(0xf << 12)
#define SENINF_CTRL_SENINF_DEBUG_SEL_SHIFT					20
#define SENINF_CTRL_SENINF_DEBUG_SEL_MASK					(0xf << 20)
#define SENINF_CTRL_PAD2CAM_DATA_SEL_SHIFT					28
#define SENINF_CTRL_PAD2CAM_DATA_SEL_MASK					(0x7 << 28)
#define SENINF_CTRL_EXT								0x0204
#define SENINF_CTRL_EXT_SENINF_OCSI2_IP_EN_SHIFT				0
#define SENINF_CTRL_EXT_SENINF_OCSI2_IP_EN_MASK					BIT(0)
#define SENINF_CTRL_EXT_SENINF_TESTMDL_IP_EN_SHIFT				1
#define SENINF_CTRL_EXT_SENINF_TESTMDL_IP_EN_MASK				BIT(1)
#define SENINF_CTRL_EXT_SENINF_SCAM_IP_EN_SHIFT					4
#define SENINF_CTRL_EXT_SENINF_SCAM_IP_EN_MASK					BIT(4)
#define SENINF_CTRL_EXT_SENINF_NCSI2_IP_EN_SHIFT				5
#define SENINF_CTRL_EXT_SENINF_NCSI2_IP_EN_MASK					BIT(5)
#define SENINF_CTRL_EXT_SENINF_CSI2_IP_EN_SHIFT					6
#define SENINF_CTRL_EXT_SENINF_CSI2_IP_EN_MASK					BIT(6)
#define SENINF_CTRL_EXT_SENINF_CSI3_IP_EN_SHIFT					7
#define SENINF_CTRL_EXT_SENINF_CSI3_IP_EN_MASK					BIT(7)
#define SENINF_CTRL_EXT_SENINF_SRC_SEL_EXT_SHIFT				16
#define SENINF_CTRL_EXT_SENINF_SRC_SEL_EXT_MASK					(0x3 << 16)
#define SENINF_ASYNC_CTRL							0x0208
#define SENINF_ASYNC_CTRL_SENINF_ASYNC_FIFO_RST_SHIFT				0
#define SENINF_ASYNC_CTRL_SENINF_ASYNC_FIFO_RST_MASK				BIT(0)
#define SENINF_ASYNC_CTRL_SENINF_HSYNC_MASK_SHIFT				1
#define SENINF_ASYNC_CTRL_SENINF_HSYNC_MASK_MASK				BIT(1)
#define SENINF_ASYNC_CTRL_SENINF_VSYNC_POL_SHIFT				2
#define SENINF_ASYNC_CTRL_SENINF_VSYNC_POL_MASK					BIT(2)
#define SENINF_ASYNC_CTRL_SENINF_HSYNC_POL_SHIFT				3
#define SENINF_ASYNC_CTRL_SENINF_HSYNC_POL_MASK					BIT(3)
#define SENINF_ASYNC_CTRL_FIFO_PUSH_EN_SHIFT					16
#define SENINF_ASYNC_CTRL_FIFO_PUSH_EN_MASK					(0x3f << 16)
#define SENINF_ASYNC_CTRL_FIFO_FLUSH_EN_SHIFT					24
#define SENINF_ASYNC_CTRL_FIFO_FLUSH_EN_MASK					(0x3f << 24)
#define SENINF_TG1_PH_CNT							0x0600
#define SENINF_TG1_PH_CNT_TGCLK_SEL_SHIFT					0
#define SENINF_TG1_PH_CNT_TGCLK_SEL_MASK					(0x3 << 0)
#define SENINF_TG1_PH_CNT_CLKFL_POL_SHIFT					2
#define SENINF_TG1_PH_CNT_CLKFL_POL_MASK					BIT(2)
#define SENINF_TG1_PH_CNT_EXT_RST_SHIFT						4
#define SENINF_TG1_PH_CNT_EXT_RST_MASK						BIT(4)
#define SENINF_TG1_PH_CNT_EXT_PWRDN_SHIFT					5
#define SENINF_TG1_PH_CNT_EXT_PWRDN_MASK					BIT(5)
#define SENINF_TG1_PH_CNT_PAD_PCLK_INV_SHIFT					6
#define SENINF_TG1_PH_CNT_PAD_PCLK_INV_MASK					BIT(6)
#define SENINF_TG1_PH_CNT_CAM_PCLK_INV_SHIFT					7
#define SENINF_TG1_PH_CNT_CAM_PCLK_INV_MASK					BIT(7)
#define SENINF_TG1_PH_CNT_CLKPOL_SHIFT						28
#define SENINF_TG1_PH_CNT_CLKPOL_MASK						BIT(28)
#define SENINF_TG1_PH_CNT_ADCLK_EN_SHIFT					29
#define SENINF_TG1_PH_CNT_ADCLK_EN_MASK						BIT(29)
#define SENINF_TG1_PH_CNT_PCEN_SHIFT						31
#define SENINF_TG1_PH_CNT_PCEN_MASK						BIT(31)
#define SENINF_TG1_SEN_CK							0x0604
#define SENINF_TG1_SEN_CK_CLKFL_SHIFT						0
#define SENINF_TG1_SEN_CK_CLKFL_MASK						(0x3f << 0)
#define SENINF_TG1_SEN_CK_CLKRS_SHIFT						8
#define SENINF_TG1_SEN_CK_CLKRS_MASK						(0x3f << 8)
#define SENINF_TG1_SEN_CK_CLKCNT_SHIFT						16
#define SENINF_TG1_SEN_CK_CLKCNT_MASK						(0x3f << 16)
#define SENINF_TG1_TM_CTL							0x0608
#define SENINF_TG1_TM_CTL_TM_EN_SHIFT						0
#define SENINF_TG1_TM_CTL_TM_EN_MASK						BIT(0)
#define SENINF_TG1_TM_CTL_TM_RST_SHIFT						1
#define SENINF_TG1_TM_CTL_TM_RST_MASK						BIT(1)
#define SENINF_TG1_TM_CTL_TM_FMT_SHIFT						2
#define SENINF_TG1_TM_CTL_TM_FMT_MASK						BIT(2)
#define SENINF_TG1_TM_CTL_TM_PAT_SHIFT						4
#define SENINF_TG1_TM_CTL_TM_PAT_MASK						(0xf << 4)
#define SENINF_TG1_TM_CTL_TM_VSYNC_SHIFT					8
#define SENINF_TG1_TM_CTL_TM_VSYNC_MASK						(0xff << 8)
#define SENINF_TG1_TM_CTL_TM_DUMMYPXL_SHIFT					16
#define SENINF_TG1_TM_CTL_TM_DUMMYPXL_MASK					(0xff << 16)
#define SENINF_TG1_TM_SIZE							0x060c
#define SENINF_TG1_TM_SIZE_TM_PXL_SHIFT						0
#define SENINF_TG1_TM_SIZE_TM_PXL_MASK						(0x1fff << 0)
#define SENINF_TG1_TM_SIZE_TM_LINE_SHIFT					16
#define SENINF_TG1_TM_SIZE_TM_LINE_MASK						(0x3fff << 16)
#define SENINF_TG1_TM_CLK							0x0610
#define SENINF_TG1_TM_CLK_TM_CLK_CNT_SHIFT					0
#define SENINF_TG1_TM_CLK_TM_CLK_CNT_MASK					(0xf << 0)
#define SENINF_TG1_TM_CLK_TM_CLRBAR_OFT_SHIFT					16
#define SENINF_TG1_TM_CLK_TM_CLRBAR_OFT_MASK					(0x3ff << 16)
#define SENINF_TG1_TM_CLK_TM_CLRBAR_IDX_SHIFT					28
#define SENINF_TG1_TM_CLK_TM_CLRBAR_IDX_MASK					(0x7 << 28)
#define SENINF_TG1_TM_STP							0x0614
#define SENINF_TG1_TM_STP_TG1_TM_STP_SHIFT					0
#define SENINF_TG1_TM_STP_TG1_TM_STP_MASK					(0xffffffff << 0)
#define MIPI_RX_CON24_CSI0							0x0824
#define MIPI_RX_CON24_CSI0_CSI0_BIST_NUM_SHIFT					0
#define MIPI_RX_CON24_CSI0_CSI0_BIST_NUM_MASK					(0x3 << 0)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_EN_SHIFT					2
#define MIPI_RX_CON24_CSI0_CSI0_BIST_EN_MASK					BIT(2)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_FIX_PAT_SHIFT				5
#define MIPI_RX_CON24_CSI0_CSI0_BIST_FIX_PAT_MASK				BIT(5)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_CLK_SEL_SHIFT				6
#define MIPI_RX_CON24_CSI0_CSI0_BIST_CLK_SEL_MASK				BIT(6)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_CLK4X_SEL_SHIFT				7
#define MIPI_RX_CON24_CSI0_CSI0_BIST_CLK4X_SEL_MASK				BIT(7)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_TERM_DELAY_SHIFT				8
#define MIPI_RX_CON24_CSI0_CSI0_BIST_TERM_DELAY_MASK				(0xff << 8)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_SETTLE_DELAY_SHIFT				16
#define MIPI_RX_CON24_CSI0_CSI0_BIST_SETTLE_DELAY_MASK				(0xff << 16)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_LN0_MUX_SHIFT				24
#define MIPI_RX_CON24_CSI0_CSI0_BIST_LN0_MUX_MASK				(0x3 << 24)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_LN1_MUX_SHIFT				26
#define MIPI_RX_CON24_CSI0_CSI0_BIST_LN1_MUX_MASK				(0x3 << 26)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_LN2_MUX_SHIFT				28
#define MIPI_RX_CON24_CSI0_CSI0_BIST_LN2_MUX_MASK				(0x3 << 28)
#define MIPI_RX_CON24_CSI0_CSI0_BIST_LN3_MUX_SHIFT				30
#define MIPI_RX_CON24_CSI0_CSI0_BIST_LN3_MUX_MASK				(0x3 << 30)
#define MIPI_RX_CON28_CSI0							0x0828
#define MIPI_RX_CON28_CSI0_CSI0_BIST_START_SHIFT				0
#define MIPI_RX_CON28_CSI0_CSI0_BIST_START_MASK					BIT(0)
#define MIPI_RX_CON28_CSI0_CSI0_BIST_DATA_OK_SHIFT				1
#define MIPI_RX_CON28_CSI0_CSI0_BIST_DATA_OK_MASK				BIT(1)
#define MIPI_RX_CON28_CSI0_CSI0_BIST_HS_FSM_OK_SHIFT				2
#define MIPI_RX_CON28_CSI0_CSI0_BIST_HS_FSM_OK_MASK				BIT(2)
#define MIPI_RX_CON28_CSI0_CSI0_BIST_LANE_FSM_OK_SHIFT				3
#define MIPI_RX_CON28_CSI0_CSI0_BIST_LANE_FSM_OK_MASK				BIT(3)
#define MIPI_RX_CON28_CSI0_CSI0_BIST_CSI2_DATA_OK_SHIFT				4
#define MIPI_RX_CON28_CSI0_CSI0_BIST_CSI2_DATA_OK_MASK				BIT(4)
#define MIPI_RX_CON34_CSI0							0x0834
#define MIPI_RX_CON34_CSI0_BIST_MODE_SHIFT					0
#define MIPI_RX_CON34_CSI0_BIST_MODE_MASK					BIT(0)
#define MIPI_RX_CON34_CSI0_CSI0_BIST_HSDET_MUX_SHIFT				22
#define MIPI_RX_CON34_CSI0_CSI0_BIST_HSDET_MUX_MASK				(0x3 << 22)
#define MIPI_RX_CON34_CSI0_CSI0_BIST_LN4_MUX_SHIFT				24
#define MIPI_RX_CON34_CSI0_CSI0_BIST_LN4_MUX_MASK				(0x3 << 24)
#define MIPI_RX_CON34_CSI0_CSI0_BIST_LN5_MUX_SHIFT				26
#define MIPI_RX_CON34_CSI0_CSI0_BIST_LN5_MUX_MASK				(0x3 << 26)
#define MIPI_RX_CON34_CSI0_CSI0_BIST_LN6_MUX_SHIFT				28
#define MIPI_RX_CON34_CSI0_CSI0_BIST_LN6_MUX_MASK				(0x3 << 28)
#define MIPI_RX_CON34_CSI0_CSI0_BIST_LN7_MUX_SHIFT				30
#define MIPI_RX_CON34_CSI0_CSI0_BIST_LN7_MUX_MASK				(0x3 << 30)
#define MIPI_RX_CON38_CSI0							0x0838
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_CTRL_MODE_SHIFT				0
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_CTRL_MODE_MASK				BIT(0)
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_CAL_MODE_SHIFT				1
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_CAL_MODE_MASK				BIT(1)
#define MIPI_RX_CON38_CSI0_MIPI_RX_HW_CAL_START_SHIFT				2
#define MIPI_RX_CON38_CSI0_MIPI_RX_HW_CAL_START_MASK				BIT(2)
#define MIPI_RX_CON38_CSI0_MIPI_RX_HW_CAL_OPTION_SHIFT				3
#define MIPI_RX_CON38_CSI0_MIPI_RX_HW_CAL_OPTION_MASK				BIT(3)
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_RST_SHIFT					4
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_RST_MASK					(0x1f << 4)
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_CPHY_TX_MODE_SHIFT			9
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_CPHY_TX_MODE_MASK				BIT(9)
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_CPHY_RX_MODE_SHIFT			10
#define MIPI_RX_CON38_CSI0_MIPI_RX_SW_CPHY_RX_MODE_MASK				BIT(10)
#define MIPI_RX_CON38_CSI0_RG_CKPHASE_TRIO0_SHIFT				16
#define MIPI_RX_CON38_CSI0_RG_CKPHASE_TRIO0_MASK				(0x1f << 16)
#define MIPI_RX_CON38_CSI0_RG_CKPHASE_TRIO1_SHIFT				22
#define MIPI_RX_CON38_CSI0_RG_CKPHASE_TRIO1_MASK				(0x1f << 22)
#define MIPI_RX_CON38_CSI0_RG_CKPHASE_TRIO2_SHIFT				27
#define MIPI_RX_CON38_CSI0_RG_CKPHASE_TRIO2_MASK				(0x1f << 27)
#define MIPI_RX_CON3C_CSI0							0x083c
#define MIPI_RX_CON3C_CSI0_MIPI_RX_SW_CTRL__SHIFT				0
#define MIPI_RX_CON3C_CSI0_MIPI_RX_SW_CTRL__MASK				(0xffffffff << 0)
#define MIPI_RX_CON7C_CSI0							0x087c
#define MIPI_RX_CON7C_CSI0_DA_CSI0_LNRD0_HSRX_DELAY_EN_SHIFT			0
#define MIPI_RX_CON7C_CSI0_DA_CSI0_LNRD0_HSRX_DELAY_EN_MASK			BIT(0)
#define MIPI_RX_CON7C_CSI0_DA_CSI0_LNRD0_HSRX_DELAY_APPLY_SHIFT			1
#define MIPI_RX_CON7C_CSI0_DA_CSI0_LNRD0_HSRX_DELAY_APPLY_MASK			BIT(1)
#define MIPI_RX_CON7C_CSI0_DA_CSI0_LNRD0_HSRX_DELAY_CODE_SHIFT			2
#define MIPI_RX_CON7C_CSI0_DA_CSI0_LNRD0_HSRX_DELAY_CODE_MASK			(0x3f << 2)
#define MIPI_RX_CON80_CSI0							0x0880
#define MIPI_RX_CON80_CSI0_DA_CSI0_LNRD1_HSRX_DELAY_EN_SHIFT			0
#define MIPI_RX_CON80_CSI0_DA_CSI0_LNRD1_HSRX_DELAY_EN_MASK			BIT(0)
#define MIPI_RX_CON80_CSI0_DA_CSI0_LNRD1_HSRX_DELAY_APPLY_SHIFT			1
#define MIPI_RX_CON80_CSI0_DA_CSI0_LNRD1_HSRX_DELAY_APPLY_MASK			BIT(1)
#define MIPI_RX_CON80_CSI0_DA_CSI0_LNRD1_HSRX_DELAY_CODE_SHIFT			2
#define MIPI_RX_CON80_CSI0_DA_CSI0_LNRD1_HSRX_DELAY_CODE_MASK			(0x3f << 2)
#define MIPI_RX_CON84_CSI0							0x0884
#define MIPI_RX_CON84_CSI0_DA_CSI0_LNRD2_HSRX_DELAY_EN_SHIFT			0
#define MIPI_RX_CON84_CSI0_DA_CSI0_LNRD2_HSRX_DELAY_EN_MASK			BIT(0)
#define MIPI_RX_CON84_CSI0_DA_CSI0_LNRD2_HSRX_DELAY_APPLY_SHIFT			1
#define MIPI_RX_CON84_CSI0_DA_CSI0_LNRD2_HSRX_DELAY_APPLY_MASK			BIT(1)
#define MIPI_RX_CON84_CSI0_DA_CSI0_LNRD2_HSRX_DELAY_CODE_SHIFT			2
#define MIPI_RX_CON84_CSI0_DA_CSI0_LNRD2_HSRX_DELAY_CODE_MASK			(0x3f << 2)
#define MIPI_RX_CON88_CSI0							0x0888
#define MIPI_RX_CON88_CSI0_DA_CSI0_LNRD3_HSRX_DELAY_EN_SHIFT			0
#define MIPI_RX_CON88_CSI0_DA_CSI0_LNRD3_HSRX_DELAY_EN_MASK			BIT(0)
#define MIPI_RX_CON88_CSI0_DA_CSI0_LNRD3_HSRX_DELAY_APPLY_SHIFT			1
#define MIPI_RX_CON88_CSI0_DA_CSI0_LNRD3_HSRX_DELAY_APPLY_MASK			BIT(1)
#define MIPI_RX_CON88_CSI0_DA_CSI0_LNRD3_HSRX_DELAY_CODE_SHIFT			2
#define MIPI_RX_CON88_CSI0_DA_CSI0_LNRD3_HSRX_DELAY_CODE_MASK			(0x3f << 2)
#define MIPI_RX_CON8C_CSI0							0x088c
#define MIPI_RX_CON8C_CSI0_RG_CSI0_LNRD0_HSRX_DELAY_EN_SHIFT			0
#define MIPI_RX_CON8C_CSI0_RG_CSI0_LNRD0_HSRX_DELAY_EN_MASK			BIT(0)
#define MIPI_RX_CON8C_CSI0_RG_CSI0_LNRD0_HSRX_DELAY_APPLY_SHIFT			1
#define MIPI_RX_CON8C_CSI0_RG_CSI0_LNRD0_HSRX_DELAY_APPLY_MASK			BIT(1)
#define MIPI_RX_CON8C_CSI0_RG_CSI0_LNRD0_HSRX_DELAY_CODE_SHIFT			2
#define MIPI_RX_CON8C_CSI0_RG_CSI0_LNRD0_HSRX_DELAY_CODE_MASK			(0x3f << 2)
#define MIPI_RX_CON90_CSI0							0x0890
#define MIPI_RX_CON90_CSI0_RG_CSI0_LNRD1_HSRX_DELAY_EN_SHIFT			0
#define MIPI_RX_CON90_CSI0_RG_CSI0_LNRD1_HSRX_DELAY_EN_MASK			BIT(0)
#define MIPI_RX_CON90_CSI0_RG_CSI0_LNRD1_HSRX_DELAY_APPLY_SHIFT			1
#define MIPI_RX_CON90_CSI0_RG_CSI0_LNRD1_HSRX_DELAY_APPLY_MASK			BIT(1)
#define MIPI_RX_CON90_CSI0_RG_CSI0_LNRD1_HSRX_DELAY_CODE_SHIFT			2
#define MIPI_RX_CON90_CSI0_RG_CSI0_LNRD1_HSRX_DELAY_CODE_MASK			(0x3f << 2)
#define MIPI_RX_CON94_CSI0							0x0894
#define MIPI_RX_CON94_CSI0_RG_CSI0_LNRD2_HSRX_DELAY_EN_SHIFT			0
#define MIPI_RX_CON94_CSI0_RG_CSI0_LNRD2_HSRX_DELAY_EN_MASK			BIT(0)
#define MIPI_RX_CON94_CSI0_RG_CSI0_LNRD2_HSRX_DELAY_APPLY_SHIFT			1
#define MIPI_RX_CON94_CSI0_RG_CSI0_LNRD2_HSRX_DELAY_APPLY_MASK			BIT(1)
#define MIPI_RX_CON94_CSI0_RG_CSI0_LNRD2_HSRX_DELAY_CODE_SHIFT			2
#define MIPI_RX_CON94_CSI0_RG_CSI0_LNRD2_HSRX_DELAY_CODE_MASK			(0x3f << 2)
#define MIPI_RX_CON98_CSI0							0x0898
#define MIPI_RX_CON98_CSI0_RG_CSI0_LNRD3_HSRX_DELAY_EN_SHIFT			0
#define MIPI_RX_CON98_CSI0_RG_CSI0_LNRD3_HSRX_DELAY_EN_MASK			BIT(0)
#define MIPI_RX_CON98_CSI0_RG_CSI0_LNRD3_HSRX_DELAY_APPLY_SHIFT			1
#define MIPI_RX_CON98_CSI0_RG_CSI0_LNRD3_HSRX_DELAY_APPLY_MASK			BIT(1)
#define MIPI_RX_CON98_CSI0_RG_CSI0_LNRD3_HSRX_DELAY_CODE_SHIFT			2
#define MIPI_RX_CON98_CSI0_RG_CSI0_LNRD3_HSRX_DELAY_CODE_MASK			(0x3f << 2)
#define MIPI_RX_CONA0_CSI0							0x08a0
#define MIPI_RX_CONA0_CSI0_RG_CSI0_LNRC_HSRX_DELAY_EN_SHIFT			0
#define MIPI_RX_CONA0_CSI0_RG_CSI0_LNRC_HSRX_DELAY_EN_MASK			BIT(0)
#define MIPI_RX_CONA0_CSI0_RG_CSI0_LNRC_HSRX_DELAY_APPLY_SHIFT			1
#define MIPI_RX_CONA0_CSI0_RG_CSI0_LNRC_HSRX_DELAY_APPLY_MASK			BIT(1)
#define MIPI_RX_CONA0_CSI0_RG_CSI0_LNRC_HSRX_DELAY_CODE_SHIFT			2
#define MIPI_RX_CONA0_CSI0_RG_CSI0_LNRC_HSRX_DELAY_CODE_MASK			(0x3f << 2)
#define MIPI_RX_CONB0_CSI0							0x08b0
#define MIPI_RX_CONB0_CSI0_DELAY_APPLY_MODE_SHIFT				0
#define MIPI_RX_CONB0_CSI0_DELAY_APPLY_MODE_MASK				(0xf << 0)
#define MIPI_RX_CONB0_CSI0_DESKEW_SW_RST_SHIFT					7
#define MIPI_RX_CONB0_CSI0_DESKEW_SW_RST_MASK					BIT(7)
#define MIPI_RX_CONB0_CSI0_DESKEW_TRIGGER_MODE_SHIFT				8
#define MIPI_RX_CONB0_CSI0_DESKEW_TRIGGER_MODE_MASK				(0x7 << 8)
#define MIPI_RX_CONB0_CSI0_DESKEW_ACC_MODE_SHIFT				12
#define MIPI_RX_CONB0_CSI0_DESKEW_ACC_MODE_MASK					(0xf << 12)
#define MIPI_RX_CONB0_CSI0_DESKEW_CSI2_RST_ENABLE_SHIFT				16
#define MIPI_RX_CONB0_CSI0_DESKEW_CSI2_RST_ENABLE_MASK				BIT(16)
#define MIPI_RX_CONB0_CSI0_DESKEW_IP_SEL_SHIFT					30
#define MIPI_RX_CONB0_CSI0_DESKEW_IP_SEL_MASK					BIT(30)
#define MIPI_RX_CONB0_CSI0_DESKEW_ENABLE_SHIFT					31
#define MIPI_RX_CONB0_CSI0_DESKEW_ENABLE_MASK					BIT(31)
#define MIPI_RX_CONB4_CSI0							0x08b4
#define MIPI_RX_CONB4_CSI0_SYNC_CODE_MASK_SHIFT					0
#define MIPI_RX_CONB4_CSI0_SYNC_CODE_MASK_MASK					(0xffff << 0)
#define MIPI_RX_CONB4_CSI0_EXPECTED_SYNC_CODE_SHIFT				16
#define MIPI_RX_CONB4_CSI0_EXPECTED_SYNC_CODE_MASK				(0xffff << 16)
#define MIPI_RX_CONB8_CSI0							0x08b8
#define MIPI_RX_CONB8_CSI0_DESKEW_SETUP_TIME_SHIFT				0
#define MIPI_RX_CONB8_CSI0_DESKEW_SETUP_TIME_MASK				(0xf << 0)
#define MIPI_RX_CONB8_CSI0_DESKEW_HOLD_TIME_SHIFT				8
#define MIPI_RX_CONB8_CSI0_DESKEW_HOLD_TIME_MASK				(0xf << 8)
#define MIPI_RX_CONB8_CSI0_DESKEW_TIME_OUT_SHIFT				16
#define MIPI_RX_CONB8_CSI0_DESKEW_TIME_OUT_MASK					(0xff << 16)
#define MIPI_RX_CONB8_CSI0_DESKEW_TIME_OUT_EN_SHIFT				24
#define MIPI_RX_CONB8_CSI0_DESKEW_TIME_OUT_EN_MASK				BIT(24)
#define MIPI_RX_CONBC_CSI0							0x08bc
#define MIPI_RX_CONBC_CSI0_DESKEW_DETECTION_MODE_SHIFT				0
#define MIPI_RX_CONBC_CSI0_DESKEW_DETECTION_MODE_MASK				(0xf << 0)
#define MIPI_RX_CONBC_CSI0_DESKEW_DETECTION_CNT_SHIFT				8
#define MIPI_RX_CONBC_CSI0_DESKEW_DETECTION_CNT_MASK				(0x7f << 8)
#define MIPI_RX_CONBC_CSI0_DESKEW_DELAY_APPLY_MODE_SHIFT			16
#define MIPI_RX_CONBC_CSI0_DESKEW_DELAY_APPLY_MODE_MASK				(0xf << 16)
#define MIPI_RX_CONBC_CSI0_DESKEW_LANE_NUMBER_SHIFT				24
#define MIPI_RX_CONBC_CSI0_DESKEW_LANE_NUMBER_MASK				(0x3 << 24)
#define MIPI_RX_CONC0_CSI0							0x08c0
#define MIPI_RX_CONC0_CSI0_DESKEW_INTERRUPT_ENABLE_SHIFT			0
#define MIPI_RX_CONC0_CSI0_DESKEW_INTERRUPT_ENABLE_MASK				(0xffff << 0)
#define MIPI_RX_CONC0_CSI0_DESKEW_INTERRUPT_W1C_EN_SHIFT			31
#define MIPI_RX_CONC0_CSI0_DESKEW_INTERRUPT_W1C_EN_MASK				BIT(31)
#define MIPI_RX_CONC4_CSI0							0x08c4
#define MIPI_RX_CONC4_CSI0_DESKEW_INTERRUPT_STATUS_SHIFT			0
#define MIPI_RX_CONC4_CSI0_DESKEW_INTERRUPT_STATUS_MASK				(0xffff << 0)
#define MIPI_RX_CONC8_CSI0							0x08c8
#define MIPI_RX_CONC8_CSI0_DESKEW_DEBUG_MUX_SELECT_SHIFT			0
#define MIPI_RX_CONC8_CSI0_DESKEW_DEBUG_MUX_SELECT_MASK				(0xff << 0)
#define MIPI_RX_CONCC_CSI0							0x08cc
#define MIPI_RX_CONCC_CSI0_DESKEW_DEBUG_OUTPUTS_SHIFT				0
#define MIPI_RX_CONCC_CSI0_DESKEW_DEBUG_OUTPUTS_MASK				(0xffffffff << 0)
#define MIPI_RX_COND0_CSI0							0x08d0
#define MIPI_RX_COND0_CSI0_DESKEW_DELAY_LENGTH_SHIFT				0
#define MIPI_RX_COND0_CSI0_DESKEW_DELAY_LENGTH_MASK				(0x3f << 0)
#define SENINF_CSI2_CTL								0x0a00
#define SENINF_CSI2_CTL_DATA_LANE0_EN_SHIFT					0
#define SENINF_CSI2_CTL_DATA_LANE0_EN_MASK					BIT(0)
#define SENINF_CSI2_CTL_DATA_LANE1_EN_SHIFT					1
#define SENINF_CSI2_CTL_DATA_LANE1_EN_MASK					BIT(1)
#define SENINF_CSI2_CTL_DATA_LANE2_EN_SHIFT					2
#define SENINF_CSI2_CTL_DATA_LANE2_EN_MASK					BIT(2)
#define SENINF_CSI2_CTL_DATA_LANE3_EN_SHIFT					3
#define SENINF_CSI2_CTL_DATA_LANE3_EN_MASK					BIT(3)
#define SENINF_CSI2_CTL_CLOCK_LANE_EN_SHIFT					4
#define SENINF_CSI2_CTL_CLOCK_LANE_EN_MASK					BIT(4)
#define SENINF_CSI2_CTL_ECC_EN_SHIFT						5
#define SENINF_CSI2_CTL_ECC_EN_MASK						BIT(5)
#define SENINF_CSI2_CTL_CRC_EN_SHIFT						6
#define SENINF_CSI2_CTL_CRC_EN_MASK						BIT(6)
#define SENINF_CSI2_CTL_HSRX_DET_EN_SHIFT					7
#define SENINF_CSI2_CTL_HSRX_DET_EN_MASK					BIT(7)
#define SENINF_CSI2_CTL_HS_PRPR_EN_SHIFT					8
#define SENINF_CSI2_CTL_HS_PRPR_EN_MASK						BIT(8)
#define SENINF_CSI2_CTL_HS_END_EN_SHIFT						9
#define SENINF_CSI2_CTL_HS_END_EN_MASK						BIT(9)
#define SENINF_CSI2_CTL_GENERIC_LONG_PACKET_EN_SHIFT				12
#define SENINF_CSI2_CTL_GENERIC_LONG_PACKET_EN_MASK				BIT(12)
#define SENINF_CSI2_CTL_IMAGE_PACKET_EN_SHIFT					13
#define SENINF_CSI2_CTL_IMAGE_PACKET_EN_MASK					BIT(13)
#define SENINF_CSI2_CTL_BYTE2PIXEL_EN_SHIFT					14
#define SENINF_CSI2_CTL_BYTE2PIXEL_EN_MASK					BIT(14)
#define SENINF_CSI2_CTL_VS_TYPE_SHIFT						15
#define SENINF_CSI2_CTL_VS_TYPE_MASK						BIT(15)
#define SENINF_CSI2_CTL_ED_SEL_SHIFT						16
#define SENINF_CSI2_CTL_ED_SEL_MASK						BIT(16)
#define SENINF_CSI2_CTL_FLUSH_MODE_SHIFT					18
#define SENINF_CSI2_CTL_FLUSH_MODE_MASK						(0x3 << 18)
#define SENINF_CSI2_CTL_HS_TRAIL_EN_SHIFT					25
#define SENINF_CSI2_CTL_HS_TRAIL_EN_MASK					BIT(25)
#define SENINF_CSI2_CTL_CLOCK_HS_OPTION_SHIFT					27
#define SENINF_CSI2_CTL_CLOCK_HS_OPTION_MASK					BIT(27)
#define SENINF_CSI2_CTL_VS_OUT_CYCLE_NUMBER_SHIFT				28
#define SENINF_CSI2_CTL_VS_OUT_CYCLE_NUMBER_MASK				(0x3 << 28)
#define SENINF_CSI2_LNRC_TIMING							0x0a04
#define SENINF_CSI2_LNRC_TIMING_CLOCK_TERM_PARAMETER_SHIFT			0
#define SENINF_CSI2_LNRC_TIMING_CLOCK_TERM_PARAMETER_MASK			(0xff << 0)
#define SENINF_CSI2_LNRC_TIMING_CLOCK_SETTLE_PARAMETER_SHIFT			8
#define SENINF_CSI2_LNRC_TIMING_CLOCK_SETTLE_PARAMETER_MASK			(0xff << 8)
#define SENINF_CSI2_LNRD_TIMING							0x0a08
#define SENINF_CSI2_LNRD_TIMING_DATA_TERM_PARAMETER_SHIFT			0
#define SENINF_CSI2_LNRD_TIMING_DATA_TERM_PARAMETER_MASK			(0xff << 0)
#define SENINF_CSI2_LNRD_TIMING_DATA_SETTLE_PARAMETER_SHIFT			8
#define SENINF_CSI2_LNRD_TIMING_DATA_SETTLE_PARAMETER_MASK			(0xff << 8)
#define SENINF_CSI2_DPCM							0x0a0c
#define SENINF_CSI2_DPCM_DPCM_MODE_SHIFT					0
#define SENINF_CSI2_DPCM_DPCM_MODE_MASK						(0xf << 0)
#define SENINF_CSI2_DPCM_DI_30_DPCM_EN_SHIFT					7
#define SENINF_CSI2_DPCM_DI_30_DPCM_EN_MASK					BIT(7)
#define SENINF_CSI2_DPCM_DI_31_DPCM_EN_SHIFT					8
#define SENINF_CSI2_DPCM_DI_31_DPCM_EN_MASK					BIT(8)
#define SENINF_CSI2_DPCM_DI_32_DPCM_EN_SHIFT					9
#define SENINF_CSI2_DPCM_DI_32_DPCM_EN_MASK					BIT(9)
#define SENINF_CSI2_DPCM_DI_33_DPCM_EN_SHIFT					10
#define SENINF_CSI2_DPCM_DI_33_DPCM_EN_MASK					BIT(10)
#define SENINF_CSI2_DPCM_DI_34_DPCM_EN_SHIFT					11
#define SENINF_CSI2_DPCM_DI_34_DPCM_EN_MASK					BIT(11)
#define SENINF_CSI2_DPCM_DI_35_DPCM_EN_SHIFT					12
#define SENINF_CSI2_DPCM_DI_35_DPCM_EN_MASK					BIT(12)
#define SENINF_CSI2_DPCM_DI_36_DPCM_EN_SHIFT					13
#define SENINF_CSI2_DPCM_DI_36_DPCM_EN_MASK					BIT(13)
#define SENINF_CSI2_DPCM_DI_37_DPCM_EN_SHIFT					14
#define SENINF_CSI2_DPCM_DI_37_DPCM_EN_MASK					BIT(14)
#define SENINF_CSI2_DPCM_DI_2A_DPCM_EN_SHIFT					15
#define SENINF_CSI2_DPCM_DI_2A_DPCM_EN_MASK					BIT(15)
#define SENINF_CSI2_INT_EN							0x0a10
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_SHIFT					0
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_MASK					BIT(0)
#define SENINF_CSI2_INT_EN_ERR_ID_SHIFT						1
#define SENINF_CSI2_INT_EN_ERR_ID_MASK						BIT(1)
#define SENINF_CSI2_INT_EN_ERR_ECC_NO_ERROR_SHIFT				2
#define SENINF_CSI2_INT_EN_ERR_ECC_NO_ERROR_MASK				BIT(2)
#define SENINF_CSI2_INT_EN_ERR_ECC_CORRECTED_SHIFT				3
#define SENINF_CSI2_INT_EN_ERR_ECC_CORRECTED_MASK				BIT(3)
#define SENINF_CSI2_INT_EN_ERR_ECC_DOUBLE_SHIFT					4
#define SENINF_CSI2_INT_EN_ERR_ECC_DOUBLE_MASK					BIT(4)
#define SENINF_CSI2_INT_EN_ERR_CRC_SHIFT					5
#define SENINF_CSI2_INT_EN_ERR_CRC_MASK						BIT(5)
#define SENINF_CSI2_INT_EN_ERR_CRC_NO_ERROR_SHIFT				6
#define SENINF_CSI2_INT_EN_ERR_CRC_NO_ERROR_MASK				BIT(6)
#define SENINF_CSI2_INT_EN_ERR_MULTI_LANE_SYNC_SHIFT				7
#define SENINF_CSI2_INT_EN_ERR_MULTI_LANE_SYNC_MASK				BIT(7)
#define SENINF_CSI2_INT_EN_ERR_SOT_SYNC_HS_LNRD0_SHIFT				8
#define SENINF_CSI2_INT_EN_ERR_SOT_SYNC_HS_LNRD0_MASK				BIT(8)
#define SENINF_CSI2_INT_EN_ERR_SOT_SYNC_HS_LNRD1_SHIFT				9
#define SENINF_CSI2_INT_EN_ERR_SOT_SYNC_HS_LNRD1_MASK				BIT(9)
#define SENINF_CSI2_INT_EN_ERR_SOT_SYNC_HS_LNRD2_SHIFT				10
#define SENINF_CSI2_INT_EN_ERR_SOT_SYNC_HS_LNRD2_MASK				BIT(10)
#define SENINF_CSI2_INT_EN_ERR_SOT_SYNC_HS_LNRD3_SHIFT				11
#define SENINF_CSI2_INT_EN_ERR_SOT_SYNC_HS_LNRD3_MASK				BIT(11)
#define SENINF_CSI2_INT_EN_FS_SHIFT						12
#define SENINF_CSI2_INT_EN_FS_MASK						BIT(12)
#define SENINF_CSI2_INT_EN_LS_SHIFT						13
#define SENINF_CSI2_INT_EN_LS_MASK						BIT(13)
#define SENINF_CSI2_INT_EN_GS_SHIFT						14
#define SENINF_CSI2_INT_EN_GS_MASK						BIT(14)
#define SENINF_CSI2_INT_EN_FE_SHIFT						15
#define SENINF_CSI2_INT_EN_FE_MASK						BIT(15)
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S0_SHIFT				16
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S0_MASK				BIT(16)
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S1_SHIFT				17
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S1_MASK				BIT(17)
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S2_SHIFT				18
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S2_MASK				BIT(18)
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S3_SHIFT				19
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S3_MASK				BIT(19)
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S4_SHIFT				20
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S4_MASK				BIT(20)
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S5_SHIFT				21
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S5_MASK				BIT(21)
#define SENINF_CSI2_INT_EN_ERR_LANE_RESYNC_SHIFT				22
#define SENINF_CSI2_INT_EN_ERR_LANE_RESYNC_MASK					BIT(22)
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S6_SHIFT				23
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S6_MASK				BIT(23)
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S7_SHIFT				24
#define SENINF_CSI2_INT_EN_ERR_FRAME_SYNC_S7_MASK				BIT(24)
#define SENINF_CSI2_INT_EN_TRIO0_ESCAPE_CODE_DETECT_SHIFT			26
#define SENINF_CSI2_INT_EN_TRIO0_ESCAPE_CODE_DETECT_MASK			BIT(26)
#define SENINF_CSI2_INT_EN_TRIO1_ESCAPE_CODE_DETECT_SHIFT			27
#define SENINF_CSI2_INT_EN_TRIO1_ESCAPE_CODE_DETECT_MASK			BIT(27)
#define SENINF_CSI2_INT_EN_TRIO2_ESCAPE_CODE_DETECT_SHIFT			28
#define SENINF_CSI2_INT_EN_TRIO2_ESCAPE_CODE_DETECT_MASK			BIT(28)
#define SENINF_CSI2_INT_EN_TRIO3_ESCAPE_CODE_DETECT_SHIFT			29
#define SENINF_CSI2_INT_EN_TRIO3_ESCAPE_CODE_DETECT_MASK			BIT(29)
#define SENINF_CSI2_INT_EN_MERGE_FIFO_AF_SHIFT					30
#define SENINF_CSI2_INT_EN_MERGE_FIFO_AF_MASK					BIT(30)
#define SENINF_CSI2_INT_EN_INT_WCLR_EN_SHIFT					31
#define SENINF_CSI2_INT_EN_INT_WCLR_EN_MASK					BIT(31)
#define SENINF_CSI2_INT_STATUS							0x0a14
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_STA_SHIFT				0
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_STA_MASK				BIT(0)
#define SENINF_CSI2_INT_STATUS_ERR_ID_STA_SHIFT					1
#define SENINF_CSI2_INT_STATUS_ERR_ID_STA_MASK					BIT(1)
#define SENINF_CSI2_INT_STATUS_ERR_ECC_NO_ERROR_STA_SHIFT			2
#define SENINF_CSI2_INT_STATUS_ERR_ECC_NO_ERROR_STA_MASK			BIT(2)
#define SENINF_CSI2_INT_STATUS_ERR_ECC_CORRECTED_STA_SHIFT			3
#define SENINF_CSI2_INT_STATUS_ERR_ECC_CORRECTED_STA_MASK			BIT(3)
#define SENINF_CSI2_INT_STATUS_ERR_ECC_DOUBLE_STA_SHIFT				4
#define SENINF_CSI2_INT_STATUS_ERR_ECC_DOUBLE_STA_MASK				BIT(4)
#define SENINF_CSI2_INT_STATUS_ERR_CRC_STA_SHIFT				5
#define SENINF_CSI2_INT_STATUS_ERR_CRC_STA_MASK					BIT(5)
#define SENINF_CSI2_INT_STATUS_ERR_MULTI_LANE_SYNC_STA_SHIFT			7
#define SENINF_CSI2_INT_STATUS_ERR_MULTI_LANE_SYNC_STA_MASK			BIT(7)
#define SENINF_CSI2_INT_STATUS_ERR_SOT_SYNC_HS_LNRD0_STA_SHIFT			8
#define SENINF_CSI2_INT_STATUS_ERR_SOT_SYNC_HS_LNRD0_STA_MASK			BIT(8)
#define SENINF_CSI2_INT_STATUS_ERR_SOT_SYNC_HS_LNRD1_STA_SHIFT			9
#define SENINF_CSI2_INT_STATUS_ERR_SOT_SYNC_HS_LNRD1_STA_MASK			BIT(9)
#define SENINF_CSI2_INT_STATUS_ERR_SOT_SYNC_HS_LNRD2_STA_SHIFT			10
#define SENINF_CSI2_INT_STATUS_ERR_SOT_SYNC_HS_LNRD2_STA_MASK			BIT(10)
#define SENINF_CSI2_INT_STATUS_ERR_SOT_SYNC_HS_LNRD3_STA_SHIFT			11
#define SENINF_CSI2_INT_STATUS_ERR_SOT_SYNC_HS_LNRD3_STA_MASK			BIT(11)
#define SENINF_CSI2_INT_STATUS_FS_STA_SHIFT					12
#define SENINF_CSI2_INT_STATUS_FS_STA_MASK					BIT(12)
#define SENINF_CSI2_INT_STATUS_LS_STA_SHIFT					13
#define SENINF_CSI2_INT_STATUS_LS_STA_MASK					BIT(13)
#define SENINF_CSI2_INT_STATUS_GS_STA_SHIFT					14
#define SENINF_CSI2_INT_STATUS_GS_STA_MASK					BIT(14)
#define SENINF_CSI2_INT_STATUS_FE_STA_SHIFT					15
#define SENINF_CSI2_INT_STATUS_FE_STA_MASK					BIT(15)
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S0_STA_SHIFT			16
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S0_STA_MASK			BIT(16)
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S1_STA_SHIFT			17
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S1_STA_MASK			BIT(17)
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S2_STA_SHIFT			18
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S2_STA_MASK			BIT(18)
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S3_STA_SHIFT			19
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S3_STA_MASK			BIT(19)
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S4_STA_SHIFT			20
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S4_STA_MASK			BIT(20)
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S5_STA_SHIFT			21
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S5_STA_MASK			BIT(21)
#define SENINF_CSI2_INT_STATUS_ERR_LANE_RESYNC_STA_SHIFT			22
#define SENINF_CSI2_INT_STATUS_ERR_LANE_RESYNC_STA_MASK				BIT(22)
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S6_STA_SHIFT			23
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S6_STA_MASK			BIT(23)
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S7_STA_SHIFT			24
#define SENINF_CSI2_INT_STATUS_ERR_FRAME_SYNC_S7_STA_MASK			BIT(24)
#define SENINF_CSI2_INT_STATUS_TRIO0_ESCAPE_CODE_DETECT_STA_SHIFT		26
#define SENINF_CSI2_INT_STATUS_TRIO0_ESCAPE_CODE_DETECT_STA_MASK		BIT(26)
#define SENINF_CSI2_INT_STATUS_TRIO1_ESCAPE_CODE_DETECT_STA_SHIFT		27
#define SENINF_CSI2_INT_STATUS_TRIO1_ESCAPE_CODE_DETECT_STA_MASK		BIT(27)
#define SENINF_CSI2_INT_STATUS_TRIO2_ESCAPE_CODE_DETECT_STA_SHIFT		28
#define SENINF_CSI2_INT_STATUS_TRIO2_ESCAPE_CODE_DETECT_STA_MASK		BIT(28)
#define SENINF_CSI2_INT_STATUS_TRIO3_ESCAPE_CODE_DETECT_STA_SHIFT		29
#define SENINF_CSI2_INT_STATUS_TRIO3_ESCAPE_CODE_DETECT_STA_MASK		BIT(29)
#define SENINF_CSI2_INT_STATUS_MERGE_FIFO_AF_SHIFT				30
#define SENINF_CSI2_INT_STATUS_MERGE_FIFO_AF_MASK				BIT(30)
#define SENINF_CSI2_DGB_SEL							0x0a18
#define SENINF_CSI2_DGB_SEL_DEBUG_SEL_SHIFT					0
#define SENINF_CSI2_DGB_SEL_DEBUG_SEL_MASK					(0xff << 0)
#define SENINF_CSI2_DGB_SEL_DEBUG_EN_SHIFT					31
#define SENINF_CSI2_DGB_SEL_DEBUG_EN_MASK					BIT(31)
#define SENINF_CSI2_DBG_PORT							0x0a1c
#define SENINF_CSI2_DBG_PORT_CTL_DBG_PORT_SHIFT					0
#define SENINF_CSI2_DBG_PORT_CTL_DBG_PORT_MASK					(0xffff << 0)
#define SENINF_CSI2_SPARE0							0x0a20
#define SENINF_CSI2_SPARE0_SPARE0_SHIFT						0
#define SENINF_CSI2_SPARE0_SPARE0_MASK						(0xffffffff << 0)
#define SENINF_CSI2_SPARE1							0x0a24
#define SENINF_CSI2_SPARE1_SPARE1_SHIFT						0
#define SENINF_CSI2_SPARE1_SPARE1_MASK						(0xffffffff << 0)
#define SENINF_CSI2_LNRC_FSM							0x0a28
#define SENINF_CSI2_LNRC_FSM_LNRC_RX_FSM_SHIFT					0
#define SENINF_CSI2_LNRC_FSM_LNRC_RX_FSM_MASK					(0x3f << 0)
#define SENINF_CSI2_LNRD_FSM							0x0a2c
#define SENINF_CSI2_LNRD_FSM_LNRD0_RX_FSM_SHIFT					0
#define SENINF_CSI2_LNRD_FSM_LNRD0_RX_FSM_MASK					(0x7f << 0)
#define SENINF_CSI2_LNRD_FSM_LNRD1_RX_FSM_SHIFT					8
#define SENINF_CSI2_LNRD_FSM_LNRD1_RX_FSM_MASK					(0x7f << 8)
#define SENINF_CSI2_LNRD_FSM_LNRD2_RX_FSM_SHIFT					16
#define SENINF_CSI2_LNRD_FSM_LNRD2_RX_FSM_MASK					(0x7f << 16)
#define SENINF_CSI2_LNRD_FSM_LNRD3_RX_FSM_SHIFT					24
#define SENINF_CSI2_LNRD_FSM_LNRD3_RX_FSM_MASK					(0x7f << 24)
#define SENINF_CSI2_FRAME_LINE_NUM						0x0a30
#define SENINF_CSI2_FRAME_LINE_NUM_FRAME_NUM_SHIFT				0
#define SENINF_CSI2_FRAME_LINE_NUM_FRAME_NUM_MASK				(0xffff << 0)
#define SENINF_CSI2_FRAME_LINE_NUM_LINE_NUM_SHIFT				16
#define SENINF_CSI2_FRAME_LINE_NUM_LINE_NUM_MASK				(0xffff << 16)
#define SENINF_CSI2_GENERIC_SHORT						0x0a34
#define SENINF_CSI2_GENERIC_SHORT_GENERIC_SHORT_PACKET_DT_SHIFT			0
#define SENINF_CSI2_GENERIC_SHORT_GENERIC_SHORT_PACKET_DT_MASK			(0x3f << 0)
#define SENINF_CSI2_GENERIC_SHORT_GENERIC_SHORT_PACKET_DATA_SHIFT		16
#define SENINF_CSI2_GENERIC_SHORT_GENERIC_SHORT_PACKET_DATA_MASK		(0xffff << 16)
#define SENINF_CSI2_HSRX_DBG							0x0a38
#define SENINF_CSI2_HSRX_DBG_DATA_LANE0_HSRX_EN_SHIFT				0
#define SENINF_CSI2_HSRX_DBG_DATA_LANE0_HSRX_EN_MASK				BIT(0)
#define SENINF_CSI2_HSRX_DBG_DATA_LANE1_HSRX_EN_SHIFT				1
#define SENINF_CSI2_HSRX_DBG_DATA_LANE1_HSRX_EN_MASK				BIT(1)
#define SENINF_CSI2_HSRX_DBG_DATA_LANE2_HSRX_EN_SHIFT				2
#define SENINF_CSI2_HSRX_DBG_DATA_LANE2_HSRX_EN_MASK				BIT(2)
#define SENINF_CSI2_HSRX_DBG_DATA_LANE3_HSRX_EN_SHIFT				3
#define SENINF_CSI2_HSRX_DBG_DATA_LANE3_HSRX_EN_MASK				BIT(3)
#define SENINF_CSI2_HSRX_DBG_CLOCK_LANE_HSRX_EN_SHIFT				4
#define SENINF_CSI2_HSRX_DBG_CLOCK_LANE_HSRX_EN_MASK				BIT(4)
#define SENINF_CSI2_DI								0x0a3c
#define SENINF_CSI2_DI_VC0_SHIFT						0
#define SENINF_CSI2_DI_VC0_MASK							(0x3 << 0)
#define SENINF_CSI2_DI_DT0_SHIFT						2
#define SENINF_CSI2_DI_DT0_MASK							(0x3f << 2)
#define SENINF_CSI2_DI_VC1_SHIFT						8
#define SENINF_CSI2_DI_VC1_MASK							(0x3 << 8)
#define SENINF_CSI2_DI_DT1_SHIFT						10
#define SENINF_CSI2_DI_DT1_MASK							(0x3f << 10)
#define SENINF_CSI2_DI_VC2_SHIFT						16
#define SENINF_CSI2_DI_VC2_MASK							(0x3 << 16)
#define SENINF_CSI2_DI_DT2_SHIFT						18
#define SENINF_CSI2_DI_DT2_MASK							(0x3f << 18)
#define SENINF_CSI2_DI_VC3_SHIFT						24
#define SENINF_CSI2_DI_VC3_MASK							(0x3 << 24)
#define SENINF_CSI2_DI_DT3_SHIFT						26
#define SENINF_CSI2_DI_DT3_MASK							(0x3f << 26)
#define SENINF_CSI2_HS_TRAIL							0x0a40
#define SENINF_CSI2_HS_TRAIL_HS_TRAIL_PARAMETER_SHIFT				0
#define SENINF_CSI2_HS_TRAIL_HS_TRAIL_PARAMETER_MASK				(0xff << 0)
#define SENINF_CSI2_DI_CTRL							0x0a44
#define SENINF_CSI2_DI_CTRL_VC0_INTERLEAVING_SHIFT				0
#define SENINF_CSI2_DI_CTRL_VC0_INTERLEAVING_MASK				BIT(0)
#define SENINF_CSI2_DI_CTRL_DT0_INTERLEAVING_SHIFT				1
#define SENINF_CSI2_DI_CTRL_DT0_INTERLEAVING_MASK				(0x3 << 1)
#define SENINF_CSI2_DI_CTRL_VC1_INTERLEAVING_SHIFT				8
#define SENINF_CSI2_DI_CTRL_VC1_INTERLEAVING_MASK				BIT(8)
#define SENINF_CSI2_DI_CTRL_DT1_INTERLEAVING_SHIFT				9
#define SENINF_CSI2_DI_CTRL_DT1_INTERLEAVING_MASK				(0x3 << 9)
#define SENINF_CSI2_DI_CTRL_VC2_INTERLEAVING_SHIFT				16
#define SENINF_CSI2_DI_CTRL_VC2_INTERLEAVING_MASK				BIT(16)
#define SENINF_CSI2_DI_CTRL_DT2_INTERLEAVING_SHIFT				17
#define SENINF_CSI2_DI_CTRL_DT2_INTERLEAVING_MASK				(0x3 << 17)
#define SENINF_CSI2_DI_CTRL_VC3_INTERLEAVING_SHIFT				24
#define SENINF_CSI2_DI_CTRL_VC3_INTERLEAVING_MASK				BIT(24)
#define SENINF_CSI2_DI_CTRL_DT3_INTERLEAVING_SHIFT				25
#define SENINF_CSI2_DI_CTRL_DT3_INTERLEAVING_MASK				(0x3 << 25)
#define SENINF_CSI2_DETECT_CON1							0x0a4c
#define SENINF_CSI2_DETECT_CON1_DETECT_SYNC_DISABLE_SHIFT			0
#define SENINF_CSI2_DETECT_CON1_DETECT_SYNC_DISABLE_MASK			BIT(0)
#define SENINF_CSI2_DETECT_CON1_DETECT_SYNC_MASK_SHIFT				1
#define SENINF_CSI2_DETECT_CON1_DETECT_SYNC_MASK_MASK				(0x7f << 1)
#define SENINF_CSI2_DETECT_CON1_SYNC_WORD_SHIFT					8
#define SENINF_CSI2_DETECT_CON1_SYNC_WORD_MASK					(0x1fffff << 8)
#define SENINF_CSI2_DETECT_CON2							0x0a50
#define SENINF_CSI2_DETECT_CON2_DETECT_ESCAPE_DISABLE_SHIFT			0
#define SENINF_CSI2_DETECT_CON2_DETECT_ESCAPE_DISABLE_MASK			BIT(0)
#define SENINF_CSI2_DETECT_CON2_DETECT_ESCAPE_MASK_SHIFT			1
#define SENINF_CSI2_DETECT_CON2_DETECT_ESCAPE_MASK_MASK				(0x7f << 1)
#define SENINF_CSI2_DETECT_CON2_ESCAPE_WORD_SHIFT				8
#define SENINF_CSI2_DETECT_CON2_ESCAPE_WORD_MASK				(0x1fffff << 8)
#define SENINF_CSI2_DETECT_CON3							0x0a54
#define SENINF_CSI2_DETECT_CON3_DETECT_POST_DISABLE_SHIFT			0
#define SENINF_CSI2_DETECT_CON3_DETECT_POST_DISABLE_MASK			BIT(0)
#define SENINF_CSI2_DETECT_CON3_DETECT_POST_MASK_SHIFT				1
#define SENINF_CSI2_DETECT_CON3_DETECT_POST_MASK_MASK				(0x7f << 1)
#define SENINF_CSI2_DETECT_CON3_POST_WORD_SHIFT					8
#define SENINF_CSI2_DETECT_CON3_POST_WORD_MASK					(0x1fffff << 8)
#define SENINF_CSI2_RLR0_CON0							0x0a58
#define SENINF_CSI2_RLR0_CON0_RLR0_PRBS_PATTERN_SEL_SHIFT			0
#define SENINF_CSI2_RLR0_CON0_RLR0_PRBS_PATTERN_SEL_MASK			(0xff << 0)
#define SENINF_CSI2_RLR0_CON0_RLR0_PRBS_SEED_0_SHIFT				8
#define SENINF_CSI2_RLR0_CON0_RLR0_PRBS_SEED_0_MASK				(0xff << 8)
#define SENINF_CSI2_RLR0_CON0_RLR0_PRBS_SEED_1_SHIFT				16
#define SENINF_CSI2_RLR0_CON0_RLR0_PRBS_SEED_1_MASK				(0xff << 16)
#define SENINF_CSI2_RLR0_CON0_RLR0_PRBS_SEED_2_SHIFT				24
#define SENINF_CSI2_RLR0_CON0_RLR0_PRBS_SEED_2_MASK				(0xff << 24)
#define SENINF_CSI2_RLR1_CON0							0x0a5c
#define SENINF_CSI2_RLR1_CON0_RLR1_PRBS_PATTERN_SEL_SHIFT			0
#define SENINF_CSI2_RLR1_CON0_RLR1_PRBS_PATTERN_SEL_MASK			(0xff << 0)
#define SENINF_CSI2_RLR1_CON0_RLR1_PRBS_SEED_0_SHIFT				8
#define SENINF_CSI2_RLR1_CON0_RLR1_PRBS_SEED_0_MASK				(0xff << 8)
#define SENINF_CSI2_RLR1_CON0_RLR1_PRBS_SEED_1_SHIFT				16
#define SENINF_CSI2_RLR1_CON0_RLR1_PRBS_SEED_1_MASK				(0xff << 16)
#define SENINF_CSI2_RLR1_CON0_RLR1_PRBS_SEED_2_SHIFT				24
#define SENINF_CSI2_RLR1_CON0_RLR1_PRBS_SEED_2_MASK				(0xff << 24)
#define SENINF_CSI2_RLR2_CON0							0x0a60
#define SENINF_CSI2_RLR2_CON0_RLR2_PRBS_PATTERN_SEL_SHIFT			0
#define SENINF_CSI2_RLR2_CON0_RLR2_PRBS_PATTERN_SEL_MASK			(0xff << 0)
#define SENINF_CSI2_RLR2_CON0_RLR2_PRBS_SEED_0_SHIFT				8
#define SENINF_CSI2_RLR2_CON0_RLR2_PRBS_SEED_0_MASK				(0xff << 8)
#define SENINF_CSI2_RLR2_CON0_RLR2_PRBS_SEED_1_SHIFT				16
#define SENINF_CSI2_RLR2_CON0_RLR2_PRBS_SEED_1_MASK				(0xff << 16)
#define SENINF_CSI2_RLR2_CON0_RLR2_PRBS_SEED_2_SHIFT				24
#define SENINF_CSI2_RLR2_CON0_RLR2_PRBS_SEED_2_MASK				(0xff << 24)
#define SENINF_CSI2_RLR_CON0							0x0a64
#define SENINF_CSI2_RLR_CON0_RLRN_PRBS_PATTERN_SEL_SHIFT			0
#define SENINF_CSI2_RLR_CON0_RLRN_PRBS_PATTERN_SEL_MASK				(0xff << 0)
#define SENINF_CSI2_RLR_CON0_RLRN_PRBS_SEED_0_SHIFT				8
#define SENINF_CSI2_RLR_CON0_RLRN_PRBS_SEED_0_MASK				(0xff << 8)
#define SENINF_CSI2_RLR_CON0_RLRN_PRBS_SEED_1_SHIFT				16
#define SENINF_CSI2_RLR_CON0_RLRN_PRBS_SEED_1_MASK				(0xff << 16)
#define SENINF_CSI2_RLR_CON0_RLRN_PRBS_SEED_2_SHIFT				24
#define SENINF_CSI2_RLR_CON0_RLRN_PRBS_SEED_2_MASK				(0xff << 24)
#define SENINF_CSI2_MUX_CON							0x0a68
#define SENINF_CSI2_MUX_CON_DPHY_RX_EXTERNAL_EN_SHIFT				0
#define SENINF_CSI2_MUX_CON_DPHY_RX_EXTERNAL_EN_MASK				BIT(0)
#define SENINF_CSI2_MUX_CON_CPHY_TX_EXTERNAL_EN_SHIFT				1
#define SENINF_CSI2_MUX_CON_CPHY_TX_EXTERNAL_EN_MASK				BIT(1)
#define SENINF_CSI2_MUX_CON_CPHY_RX_EXTERNAL_EN_SHIFT				2
#define SENINF_CSI2_MUX_CON_CPHY_RX_EXTERNAL_EN_MASK				BIT(2)
#define SENINF_CSI2_MUX_CON_RLR_PATTERN_DELAY_EN_SHIFT				3
#define SENINF_CSI2_MUX_CON_RLR_PATTERN_DELAY_EN_MASK				BIT(3)
#define SENINF_CSI2_MUX_CON_POST_PACKET_IGNORE_EN_SHIFT				4
#define SENINF_CSI2_MUX_CON_POST_PACKET_IGNORE_EN_MASK				BIT(4)
#define SENINF_CSI2_DETECT_DBG0							0x0a6c
#define SENINF_CSI2_DETECT_DBG0_DETECT_SYNC_LANE0_ST_SHIFT			0
#define SENINF_CSI2_DETECT_DBG0_DETECT_SYNC_LANE0_ST_MASK			BIT(0)
#define SENINF_CSI2_DETECT_DBG0_DETECT_ESCAPE_LANE0_ST_SHIFT			1
#define SENINF_CSI2_DETECT_DBG0_DETECT_ESCAPE_LANE0_ST_MASK			BIT(1)
#define SENINF_CSI2_DETECT_DBG0_DETECT_POST_LANE0_ST_SHIFT			2
#define SENINF_CSI2_DETECT_DBG0_DETECT_POST_LANE0_ST_MASK			BIT(2)
#define SENINF_CSI2_DETECT_DBG0_POSITION_SYNC_LANE0_ST_SHIFT			3
#define SENINF_CSI2_DETECT_DBG0_POSITION_SYNC_LANE0_ST_MASK			(0xf << 3)
#define SENINF_CSI2_DETECT_DBG0_POSITION_ESCAPE_LANE0_ST_SHIFT			7
#define SENINF_CSI2_DETECT_DBG0_POSITION_ESCAPE_LANE0_ST_MASK			(0xf << 7)
#define SENINF_CSI2_DETECT_DBG0_DETECT_SYNC_LANE1_ST_SHIFT			12
#define SENINF_CSI2_DETECT_DBG0_DETECT_SYNC_LANE1_ST_MASK			BIT(12)
#define SENINF_CSI2_DETECT_DBG0_DETECT_ESCAPE_LANE1_ST_SHIFT			13
#define SENINF_CSI2_DETECT_DBG0_DETECT_ESCAPE_LANE1_ST_MASK			BIT(13)
#define SENINF_CSI2_DETECT_DBG0_DETECT_POST_LANE1_ST_SHIFT			14
#define SENINF_CSI2_DETECT_DBG0_DETECT_POST_LANE1_ST_MASK			BIT(14)
#define SENINF_CSI2_DETECT_DBG0_POSITION_SYNC_LANE1_ST_SHIFT			15
#define SENINF_CSI2_DETECT_DBG0_POSITION_SYNC_LANE1_ST_MASK			(0xf << 15)
#define SENINF_CSI2_DETECT_DBG0_POSITION_ESCAPE_LANE1_ST_SHIFT			19
#define SENINF_CSI2_DETECT_DBG0_POSITION_ESCAPE_LANE1_ST_MASK			(0xf << 19)
#define SENINF_CSI2_DETECT_DBG0_DETECT_SYNC_LANE2_ST_SHIFT			24
#define SENINF_CSI2_DETECT_DBG0_DETECT_SYNC_LANE2_ST_MASK			BIT(24)
#define SENINF_CSI2_DETECT_DBG0_DETECT_ESCAPE_LANE2_ST_SHIFT			25
#define SENINF_CSI2_DETECT_DBG0_DETECT_ESCAPE_LANE2_ST_MASK			BIT(25)
#define SENINF_CSI2_DETECT_DBG0_DETECT_POST_LANE2_ST_SHIFT			26
#define SENINF_CSI2_DETECT_DBG0_DETECT_POST_LANE2_ST_MASK			BIT(26)
#define SENINF_CSI2_DETECT_DBG0_POSITION_SYNC_LANE2_ST_SHIFT			27
#define SENINF_CSI2_DETECT_DBG0_POSITION_SYNC_LANE2_ST_MASK			(0xf << 27)
#define SENINF_CSI2_DETECT_DBG1							0x0a70
#define SENINF_CSI2_DETECT_DBG1_POSITION_ESCAPE_LANE2_ST_SHIFT			0
#define SENINF_CSI2_DETECT_DBG1_POSITION_ESCAPE_LANE2_ST_MASK			(0xf << 0)
#define SENINF_CSI2_RESYNC_MERGE_CTL						0x0a74
#define SENINF_CSI2_RESYNC_MERGE_CTL_CPHY_LANE_RESYNC_CNT_SHIFT			0
#define SENINF_CSI2_RESYNC_MERGE_CTL_CPHY_LANE_RESYNC_CNT_MASK			(0x7 << 0)
#define SENINF_CSI2_RESYNC_MERGE_CTL_LANE_RESYNC_FLUSH_EN_SHIFT			8
#define SENINF_CSI2_RESYNC_MERGE_CTL_LANE_RESYNC_FLUSH_EN_MASK			BIT(8)
#define SENINF_CSI2_RESYNC_MERGE_CTL_LANE_RESYNC_DATAOUT_OPTION_SHIFT		9
#define SENINF_CSI2_RESYNC_MERGE_CTL_LANE_RESYNC_DATAOUT_OPTION_MASK		BIT(9)
#define SENINF_CSI2_RESYNC_MERGE_CTL_BYPASS_LANE_RESYNC_SHIFT			10
#define SENINF_CSI2_RESYNC_MERGE_CTL_BYPASS_LANE_RESYNC_MASK			BIT(10)
#define SENINF_CSI2_RESYNC_MERGE_CTL_CDPHY_SEL_SHIFT				11
#define SENINF_CSI2_RESYNC_MERGE_CTL_CDPHY_SEL_MASK				BIT(11)
#define SENINF_CSI2_CTRL_TRIO_MUX						0x0a78
#define SENINF_CSI2_CTRL_TRIO_MUX_TRIO0_MUX_SHIFT				0
#define SENINF_CSI2_CTRL_TRIO_MUX_TRIO0_MUX_MASK				(0x7 << 0)
#define SENINF_CSI2_CTRL_TRIO_MUX_TRIO1_MUX_SHIFT				3
#define SENINF_CSI2_CTRL_TRIO_MUX_TRIO1_MUX_MASK				(0x7 << 3)
#define SENINF_CSI2_CTRL_TRIO_MUX_TRIO2_MUX_SHIFT				6
#define SENINF_CSI2_CTRL_TRIO_MUX_TRIO2_MUX_MASK				(0x7 << 6)
#define SENINF_CSI2_CTRL_TRIO_MUX_TRIO3_MUX_SHIFT				9
#define SENINF_CSI2_CTRL_TRIO_MUX_TRIO3_MUX_MASK				(0x7 << 9)
#define SENINF_CSI2_CTRL_TRIO_CON						0x0a7c
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO0_LPRX_EN_SHIFT				0
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO0_LPRX_EN_MASK				BIT(0)
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO0_HSRX_EN_SHIFT				1
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO0_HSRX_EN_MASK				BIT(1)
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO1_LPRX_EN_SHIFT				2
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO1_LPRX_EN_MASK				BIT(2)
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO1_HSRX_EN_SHIFT				3
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO1_HSRX_EN_MASK				BIT(3)
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO2_LPRX_EN_SHIFT				4
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO2_LPRX_EN_MASK				BIT(4)
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO2_HSRX_EN_SHIFT				5
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO2_HSRX_EN_MASK				BIT(5)
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO3_LPRX_EN_SHIFT				6
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO3_LPRX_EN_MASK				BIT(6)
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO3_HSRX_EN_SHIFT				7
#define SENINF_CSI2_CTRL_TRIO_CON_TRIO3_HSRX_EN_MASK				BIT(7)
#define SENINF_FIX_ADDR_CPHY0_DBG						0x0a80
#define SENINF_FIX_ADDR_CPHY0_DBG_ERROR_COUNT_CPHY0_SHIFT			16
#define SENINF_FIX_ADDR_CPHY0_DBG_ERROR_COUNT_CPHY0_MASK			(0xff << 16)
#define SENINF_FIX_ADDR_CPHY0_DBG_WORD_COUNT_OVER_FLOAT_CPHY0_SHIFT		24
#define SENINF_FIX_ADDR_CPHY0_DBG_WORD_COUNT_OVER_FLOAT_CPHY0_MASK		BIT(24)
#define SENINF_FIX_ADDR_CPHY1_DBG						0x0a84
#define SENINF_FIX_ADDR_CPHY1_DBG_ERROR_COUNT_CPHY1_SHIFT			16
#define SENINF_FIX_ADDR_CPHY1_DBG_ERROR_COUNT_CPHY1_MASK			(0xff << 16)
#define SENINF_FIX_ADDR_CPHY1_DBG_WORD_COUNT_OVER_FLOAT_CPHY1_SHIFT		24
#define SENINF_FIX_ADDR_CPHY1_DBG_WORD_COUNT_OVER_FLOAT_CPHY1_MASK		BIT(24)
#define SENINF_FIX_ADDR_CPHY2_DBG						0x0a88
#define SENINF_FIX_ADDR_CPHY2_DBG_ERROR_COUNT_CPHY2_SHIFT			16
#define SENINF_FIX_ADDR_CPHY2_DBG_ERROR_COUNT_CPHY2_MASK			(0xff << 16)
#define SENINF_FIX_ADDR_CPHY2_DBG_WORD_COUNT_OVER_FLOAT_CPHY2_SHIFT		24
#define SENINF_FIX_ADDR_CPHY2_DBG_WORD_COUNT_OVER_FLOAT_CPHY2_MASK		BIT(24)
#define SENINF_FIX_ADDR_DBG							0x0a8c
#define SENINF_FIX_ADDR_DBG_ERROR_COUNT_SHIFT					16
#define SENINF_FIX_ADDR_DBG_ERROR_COUNT_MASK					(0xff << 16)
#define SENINF_FIX_ADDR_DBG_WORD_COUNT_OVER_FLOAT_SHIFT				24
#define SENINF_FIX_ADDR_DBG_WORD_COUNT_OVER_FLOAT_MASK				BIT(24)
#define SENINF_WIRE_STATE_DECODE_CPHY0_DBG0					0x0a90
#define SENINF_WIRE_STATE_DECODE_CPHY0_DBG0_SYMBOL_STREAM0_CPHY0_SHIFT		0
#define SENINF_WIRE_STATE_DECODE_CPHY0_DBG0_SYMBOL_STREAM0_CPHY0_MASK		(0xffffffff << 0)
#define SENINF_WIRE_STATE_DECODE_CPHY0_DBG1					0x0a94
#define SENINF_WIRE_STATE_DECODE_CPHY0_DBG1_SYMBOL_STREAM1_CPHY0_SHIFT		0
#define SENINF_WIRE_STATE_DECODE_CPHY0_DBG1_SYMBOL_STREAM1_CPHY0_MASK		(0x3ff << 0)
#define SENINF_WIRE_STATE_DECODE_CPHY0_DBG1_SYMBOL_STREAM_VALID_CPHY0_SHIFT	10
#define SENINF_WIRE_STATE_DECODE_CPHY0_DBG1_SYMBOL_STREAM_VALID_CPHY0_MASK	BIT(10)
#define SENINF_WIRE_STATE_DECODE_CPHY1_DBG0					0x0a98
#define SENINF_WIRE_STATE_DECODE_CPHY1_DBG0_SYMBOL_STREAM0_CPHY1_SHIFT		0
#define SENINF_WIRE_STATE_DECODE_CPHY1_DBG0_SYMBOL_STREAM0_CPHY1_MASK		(0xffffffff << 0)
#define SENINF_WIRE_STATE_DECODE_CPHY1_DBG1					0x0a9c
#define SENINF_WIRE_STATE_DECODE_CPHY1_DBG1_SYMBOL_STREAM1_CPHY1_SHIFT		0
#define SENINF_WIRE_STATE_DECODE_CPHY1_DBG1_SYMBOL_STREAM1_CPHY1_MASK		(0x3ff << 0)
#define SENINF_WIRE_STATE_DECODE_CPHY1_DBG1_SYMBOL_STREAM_VALID_CPHY1_SHIFT	10
#define SENINF_WIRE_STATE_DECODE_CPHY1_DBG1_SYMBOL_STREAM_VALID_CPHY1_MASK	BIT(10)
#define SENINF_WIRE_STATE_DECODE_CPHY2_DBG0					0x0aa0
#define SENINF_WIRE_STATE_DECODE_CPHY2_DBG0_SYMBOL_STREAM0_CPHY2_SHIFT		0
#define SENINF_WIRE_STATE_DECODE_CPHY2_DBG0_SYMBOL_STREAM0_CPHY2_MASK		(0xffffffff << 0)
#define SENINF_WIRE_STATE_DECODE_CPHY2_DBG1					0x0aa4
#define SENINF_WIRE_STATE_DECODE_CPHY2_DBG1_SYMBOL_STREAM1_CPHY2_SHIFT		0
#define SENINF_WIRE_STATE_DECODE_CPHY2_DBG1_SYMBOL_STREAM1_CPHY2_MASK		(0x3ff << 0)
#define SENINF_WIRE_STATE_DECODE_CPHY2_DBG1_SYMBOL_STREAM_VALID_CPHY2_SHIFT	10
#define SENINF_WIRE_STATE_DECODE_CPHY2_DBG1_SYMBOL_STREAM_VALID_CPHY2_MASK	BIT(10)
#define SENINF_SYNC_RESYNC_CTL							0x0aa8
#define SENINF_SYNC_RESYNC_CTL_SYNC_DETECTION_SEL_SHIFT				0
#define SENINF_SYNC_RESYNC_CTL_SYNC_DETECTION_SEL_MASK				(0x7 << 0)
#define SENINF_SYNC_RESYNC_CTL_FLUSH_VALID_SHIFT				3
#define SENINF_SYNC_RESYNC_CTL_FLUSH_VALID_MASK					BIT(3)
#define SENINF_POST_DETECT_CTL							0x0aac
#define SENINF_POST_DETECT_CTL_POST_DETECT_DISABLE_SHIFT			0
#define SENINF_POST_DETECT_CTL_POST_DETECT_DISABLE_MASK				BIT(0)
#define SENINF_POST_DETECT_CTL_POST_EN_SHIFT					1
#define SENINF_POST_DETECT_CTL_POST_EN_MASK					BIT(1)
#define SENINF_WIRE_STATE_DECODE_CONFIG						0x0ab0
#define SENINF_WIRE_STATE_DECODE_CONFIG_INIT_STATE_DECODE_SHIFT			0
#define SENINF_WIRE_STATE_DECODE_CONFIG_INIT_STATE_DECODE_MASK			(0x7 << 0)
#define SENINF_CSI2_CPHY_LNRD_FSM						0x0ab4
#define SENINF_CSI2_CPHY_LNRD_FSM_TRIO0_RX_FSM_SHIFT				8
#define SENINF_CSI2_CPHY_LNRD_FSM_TRIO0_RX_FSM_MASK				(0x7f << 8)
#define SENINF_CSI2_CPHY_LNRD_FSM_TRIO1_RX_FSM_SHIFT				16
#define SENINF_CSI2_CPHY_LNRD_FSM_TRIO1_RX_FSM_MASK				(0x7f << 16)
#define SENINF_CSI2_CPHY_LNRD_FSM_TRIO2_RX_FSM_SHIFT				24
#define SENINF_CSI2_CPHY_LNRD_FSM_TRIO2_RX_FSM_MASK				(0x7f << 24)
#define SENINF_FIX_ADDR_CPHY0_DBG0						0x0ab8
#define SENINF_FIX_ADDR_CPHY0_DBG0_WORD_COUNT_CPHY0_DBG0_SHIFT			0
#define SENINF_FIX_ADDR_CPHY0_DBG0_WORD_COUNT_CPHY0_DBG0_MASK			(0xffffffff << 0)
#define SENINF_FIX_ADDR_CPHY0_DBG1						0x0abc
#define SENINF_FIX_ADDR_CPHY0_DBG1_WORD_COUNT_CPHY0_DBG1_SHIFT			0
#define SENINF_FIX_ADDR_CPHY0_DBG1_WORD_COUNT_CPHY0_DBG1_MASK			(0xffff << 0)
#define SENINF_FIX_ADDR_CPHY0_DBG1_ERROR_RECORD_CPHY0_DBG0_SHIFT		16
#define SENINF_FIX_ADDR_CPHY0_DBG1_ERROR_RECORD_CPHY0_DBG0_MASK			(0xffff << 16)
#define SENINF_FIX_ADDR_CPHY0_DBG2						0x0ac0
#define SENINF_FIX_ADDR_CPHY0_DBG2_ERROR_RECORD_CPHY0_DBG1_SHIFT		0
#define SENINF_FIX_ADDR_CPHY0_DBG2_ERROR_RECORD_CPHY0_DBG1_MASK			(0xffffffff << 0)
#define SENINF_FIX_ADDR_CPHY1_DBG0						0x0ac4
#define SENINF_FIX_ADDR_CPHY1_DBG0_WORD_COUNT_CPHY1_DBG0_SHIFT			0
#define SENINF_FIX_ADDR_CPHY1_DBG0_WORD_COUNT_CPHY1_DBG0_MASK			(0xffffffff << 0)
#define SENINF_FIX_ADDR_CPHY1_DBG1						0x0ac8
#define SENINF_FIX_ADDR_CPHY1_DBG1_WORD_COUNT_CPHY1_DBG1_SHIFT			0
#define SENINF_FIX_ADDR_CPHY1_DBG1_WORD_COUNT_CPHY1_DBG1_MASK			(0xffff << 0)
#define SENINF_FIX_ADDR_CPHY1_DBG1_ERROR_RECORD_CPHY1_DBG0_SHIFT		16
#define SENINF_FIX_ADDR_CPHY1_DBG1_ERROR_RECORD_CPHY1_DBG0_MASK			(0xffff << 16)
#define SENINF_FIX_ADDR_CPHY1_DBG2						0x0acc
#define SENINF_FIX_ADDR_CPHY1_DBG2_ERROR_RECORD_CPHY1_DBG1_SHIFT		0
#define SENINF_FIX_ADDR_CPHY1_DBG2_ERROR_RECORD_CPHY1_DBG1_MASK			(0xffffffff << 0)
#define SENINF_FIX_ADDR_CPHY2_DBG0						0x0ad0
#define SENINF_FIX_ADDR_CPHY2_DBG0_WORD_COUNT_CPHY2_DBG0_SHIFT			0
#define SENINF_FIX_ADDR_CPHY2_DBG0_WORD_COUNT_CPHY2_DBG0_MASK			(0xffffffff << 0)
#define SENINF_FIX_ADDR_CPHY2_DBG1						0x0ad4
#define SENINF_FIX_ADDR_CPHY2_DBG1_WORD_COUNT_CPHY2_DBG1_SHIFT			0
#define SENINF_FIX_ADDR_CPHY2_DBG1_WORD_COUNT_CPHY2_DBG1_MASK			(0xffff << 0)
#define SENINF_FIX_ADDR_CPHY2_DBG1_ERROR_RECORD_CPHY2_DBG0_SHIFT		16
#define SENINF_FIX_ADDR_CPHY2_DBG1_ERROR_RECORD_CPHY2_DBG0_MASK			(0xffff << 16)
#define SENINF_FIX_ADDR_CPHY2_DBG2						0x0ad8
#define SENINF_FIX_ADDR_CPHY2_DBG2_ERROR_RECORD_CPHY2_DBG1_SHIFT		0
#define SENINF_FIX_ADDR_CPHY2_DBG2_ERROR_RECORD_CPHY2_DBG1_MASK			(0xffffffff << 0)
#define SENINF_FIX_ADDR_DBG0							0x0adc
#define SENINF_FIX_ADDR_DBG0_WORD_COUNT_DBG0_SHIFT				0
#define SENINF_FIX_ADDR_DBG0_WORD_COUNT_DBG0_MASK				(0xffffffff << 0)
#define SENINF_FIX_ADDR_DBG1							0x0ae0
#define SENINF_FIX_ADDR_DBG1_WORD_COUNT_DBG1_SHIFT				0
#define SENINF_FIX_ADDR_DBG1_WORD_COUNT_DBG1_MASK				(0xffff << 0)
#define SENINF_FIX_ADDR_DBG1_ERROR_RECORD_DBG0_SHIFT				16
#define SENINF_FIX_ADDR_DBG1_ERROR_RECORD_DBG0_MASK				(0xffff << 16)
#define SENINF_FIX_ADDR_DBG2							0x0ae4
#define SENINF_FIX_ADDR_DBG2_ERROR_RECORD_DBG1_SHIFT				0
#define SENINF_FIX_ADDR_DBG2_ERROR_RECORD_DBG1_MASK				(0xffffffff << 0)
#define SENINF_CSI2_MODE							0x0ae8
#define SENINF_CSI2_MODE_CSR_CSI2_MODE_SHIFT					0
#define SENINF_CSI2_MODE_CSR_CSI2_MODE_MASK					(0xff << 0)
#define SENINF_CSI2_MODE_CSR_CSI2_HEADER_LEN_SHIFT				8
#define SENINF_CSI2_MODE_CSR_CSI2_HEADER_LEN_MASK				(0x7 << 8)
#define SENINF_CSI2_MODE_CSR_CPHY_DI_POS_SHIFT					16
#define SENINF_CSI2_MODE_CSR_CPHY_DI_POS_MASK					(0xff << 16)
#define SENINF_CSI2_MODE_CSR_CPHY_WC_POS_SHIFT					24
#define SENINF_CSI2_MODE_CSR_CPHY_WC_POS_MASK					(0xff << 24)
#define SENINF_CSI2_DI_EXT							0x0af0
#define SENINF_CSI2_DI_EXT_VC4_SHIFT						0
#define SENINF_CSI2_DI_EXT_VC4_MASK						(0x3 << 0)
#define SENINF_CSI2_DI_EXT_DT4_SHIFT						2
#define SENINF_CSI2_DI_EXT_DT4_MASK						(0x3f << 2)
#define SENINF_CSI2_DI_EXT_VC5_SHIFT						8
#define SENINF_CSI2_DI_EXT_VC5_MASK						(0x3 << 8)
#define SENINF_CSI2_DI_EXT_DT5_SHIFT						10
#define SENINF_CSI2_DI_EXT_DT5_MASK						(0x3f << 10)
#define SENINF_CSI2_DI_CTRL_EXT							0x0af4
#define SENINF_CSI2_DI_CTRL_EXT_VC4_INTERLEAVING_SHIFT				0
#define SENINF_CSI2_DI_CTRL_EXT_VC4_INTERLEAVING_MASK				BIT(0)
#define SENINF_CSI2_DI_CTRL_EXT_DT4_INTERLEAVING_SHIFT				1
#define SENINF_CSI2_DI_CTRL_EXT_DT4_INTERLEAVING_MASK				(0x3 << 1)
#define SENINF_CSI2_DI_CTRL_EXT_VC5_INTERLEAVING_SHIFT				8
#define SENINF_CSI2_DI_CTRL_EXT_VC5_INTERLEAVING_MASK				BIT(8)
#define SENINF_CSI2_DI_CTRL_EXT_DT5_INTERLEAVING_SHIFT				9
#define SENINF_CSI2_DI_CTRL_EXT_DT5_INTERLEAVING_MASK				(0x3 << 9)
#define SENINF_CSI2_CPHY_LOOPBACK						0x0af8
#define SENINF_CSI2_CPHY_LOOPBACK_TRIGGER_SYNC_INIT_SHIFT			0
#define SENINF_CSI2_CPHY_LOOPBACK_TRIGGER_SYNC_INIT_MASK			BIT(0)
#define SENINF_CSI2_CPHY_LOOPBACK_RELEASE_SYNC_INIT_SHIFT			1
#define SENINF_CSI2_CPHY_LOOPBACK_RELEASE_SYNC_INIT_MASK			BIT(1)
#define SENINF_CSI2_PROGSEQ_0							0x0b00
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S0_SHIFT					0
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S0_MASK					(0x7 << 0)
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S1_SHIFT					4
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S1_MASK					(0x7 << 4)
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S2_SHIFT					8
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S2_MASK					(0x7 << 8)
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S3_SHIFT					12
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S3_MASK					(0x7 << 12)
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S4_SHIFT					16
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S4_MASK					(0x7 << 16)
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S5_SHIFT					20
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S5_MASK					(0x7 << 20)
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S6_SHIFT					24
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S6_MASK					(0x7 << 24)
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S7_SHIFT					28
#define SENINF_CSI2_PROGSEQ_0_PROGSEQ_S7_MASK					(0x7 << 28)
#define SENINF_CSI2_PROGSEQ_1							0x0b04
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S8_SHIFT					0
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S8_MASK					(0x7 << 0)
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S9_SHIFT					4
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S9_MASK					(0x7 << 4)
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S10_SHIFT					8
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S10_MASK					(0x7 << 8)
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S11_SHIFT					12
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S11_MASK					(0x7 << 12)
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S12_SHIFT					16
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S12_MASK					(0x7 << 16)
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S13_SHIFT					20
#define SENINF_CSI2_PROGSEQ_1_PROGSEQ_S13_MASK					(0x7 << 20)
#define SENINF_CSI2_INT_EN_EXT							0x0b10
#define SENINF_CSI2_INT_EN_EXT_DPHY0_RESYNC_FIFO_OVERFLOW_SHIFT			1
#define SENINF_CSI2_INT_EN_EXT_DPHY0_RESYNC_FIFO_OVERFLOW_MASK			BIT(1)
#define SENINF_CSI2_INT_EN_EXT_DPHY1_RESYNC_FIFO_OVERFLOW_SHIFT			2
#define SENINF_CSI2_INT_EN_EXT_DPHY1_RESYNC_FIFO_OVERFLOW_MASK			BIT(2)
#define SENINF_CSI2_INT_EN_EXT_DPHY2_RESYNC_FIFO_OVERFLOW_SHIFT			3
#define SENINF_CSI2_INT_EN_EXT_DPHY2_RESYNC_FIFO_OVERFLOW_MASK			BIT(3)
#define SENINF_CSI2_INT_EN_EXT_DPHY3_RESYNC_FIFO_OVERFLOW_SHIFT			4
#define SENINF_CSI2_INT_EN_EXT_DPHY3_RESYNC_FIFO_OVERFLOW_MASK			BIT(4)
#define SENINF_CSI2_INT_EN_EXT_ERR_SOT_SYNC_HS_TRIO0_SHIFT			8
#define SENINF_CSI2_INT_EN_EXT_ERR_SOT_SYNC_HS_TRIO0_MASK			BIT(8)
#define SENINF_CSI2_INT_EN_EXT_ERR_SOT_SYNC_HS_TRIO1_SHIFT			9
#define SENINF_CSI2_INT_EN_EXT_ERR_SOT_SYNC_HS_TRIO1_MASK			BIT(9)
#define SENINF_CSI2_INT_EN_EXT_ERR_SOT_SYNC_HS_TRIO2_SHIFT			10
#define SENINF_CSI2_INT_EN_EXT_ERR_SOT_SYNC_HS_TRIO2_MASK			BIT(10)
#define SENINF_CSI2_INT_EN_EXT_ERR_SOT_SYNC_HS_TRIO3_SHIFT			11
#define SENINF_CSI2_INT_EN_EXT_ERR_SOT_SYNC_HS_TRIO3_MASK			BIT(11)
#define SENINF_CSI2_INT_EN_EXT_INT_WCLR_EN_SHIFT				31
#define SENINF_CSI2_INT_EN_EXT_INT_WCLR_EN_MASK					BIT(31)
#define SENINF_CSI2_INT_STATUS_EXT						0x0b14
#define SENINF_CSI2_INT_STATUS_EXT_DPHY0_RESYNC_FIFO_OVERFLOW_STA_SHIFT		1
#define SENINF_CSI2_INT_STATUS_EXT_DPHY0_RESYNC_FIFO_OVERFLOW_STA_MASK		BIT(1)
#define SENINF_CSI2_INT_STATUS_EXT_DPHY1_RESYNC_FIFO_OVERFLOW_STA_SHIFT		2
#define SENINF_CSI2_INT_STATUS_EXT_DPHY1_RESYNC_FIFO_OVERFLOW_STA_MASK		BIT(2)
#define SENINF_CSI2_INT_STATUS_EXT_DPHY2_RESYNC_FIFO_OVERFLOW_STA_SHIFT		3
#define SENINF_CSI2_INT_STATUS_EXT_DPHY2_RESYNC_FIFO_OVERFLOW_STA_MASK		BIT(3)
#define SENINF_CSI2_INT_STATUS_EXT_DPHY3_RESYNC_FIFO_OVERFLOW_STA_SHIFT		4
#define SENINF_CSI2_INT_STATUS_EXT_DPHY3_RESYNC_FIFO_OVERFLOW_STA_MASK		BIT(4)
#define SENINF_CSI2_INT_STATUS_EXT_ERR_SOT_SYNC_HS_TRIO0_SHIFT			8
#define SENINF_CSI2_INT_STATUS_EXT_ERR_SOT_SYNC_HS_TRIO0_MASK			BIT(8)
#define SENINF_CSI2_INT_STATUS_EXT_ERR_SOT_SYNC_HS_TRIO1_SHIFT			9
#define SENINF_CSI2_INT_STATUS_EXT_ERR_SOT_SYNC_HS_TRIO1_MASK			BIT(9)
#define SENINF_CSI2_INT_STATUS_EXT_ERR_SOT_SYNC_HS_TRIO2_SHIFT			10
#define SENINF_CSI2_INT_STATUS_EXT_ERR_SOT_SYNC_HS_TRIO2_MASK			BIT(10)
#define SENINF_CSI2_INT_STATUS_EXT_ERR_SOT_SYNC_HS_TRIO3_SHIFT			11
#define SENINF_CSI2_INT_STATUS_EXT_ERR_SOT_SYNC_HS_TRIO3_MASK			BIT(11)
#define SENINF_CSI2_CPHY_FIX_POINT_RST						0x0b18
#define SENINF_CSI2_CPHY_FIX_POINT_RST_CPHY_FIX_POINT_RST_SHIFT			0
#define SENINF_CSI2_CPHY_FIX_POINT_RST_CPHY_FIX_POINT_RST_MASK			BIT(0)
#define SENINF_CSI2_CPHY_FIX_POINT_RST_CPHY_FIX_POINT_RST_MODE_SHIFT		1
#define SENINF_CSI2_CPHY_FIX_POINT_RST_CPHY_FIX_POINT_RST_MODE_MASK		BIT(1)
#define SENINF_CSI2_RLR3_CON0							0x0b1c
#define SENINF_CSI2_RLR3_CON0_RLR3_PRBS_PATTERN_SEL_SHIFT			0
#define SENINF_CSI2_RLR3_CON0_RLR3_PRBS_PATTERN_SEL_MASK			(0xff << 0)
#define SENINF_CSI2_RLR3_CON0_RLR3_PRBS_SEED_0_SHIFT				8
#define SENINF_CSI2_RLR3_CON0_RLR3_PRBS_SEED_0_MASK				(0xff << 8)
#define SENINF_CSI2_RLR3_CON0_RLR3_PRBS_SEED_1_SHIFT				16
#define SENINF_CSI2_RLR3_CON0_RLR3_PRBS_SEED_1_MASK				(0xff << 16)
#define SENINF_CSI2_RLR3_CON0_RLR3_PRBS_SEED_2_SHIFT				24
#define SENINF_CSI2_RLR3_CON0_RLR3_PRBS_SEED_2_MASK				(0xff << 24)
#define SENINF_CSI2_DPHY_SYNC							0x0b20
#define SENINF_CSI2_DPHY_SYNC_SYNC_SEQ_MASK_0_SHIFT				0
#define SENINF_CSI2_DPHY_SYNC_SYNC_SEQ_MASK_0_MASK				(0xffff << 0)
#define SENINF_CSI2_DPHY_SYNC_SYNC_SEQ_PAT_0_SHIFT				16
#define SENINF_CSI2_DPHY_SYNC_SYNC_SEQ_PAT_0_MASK				(0xffff << 16)
#define SENINF_CSI2_DESKEW_SYNC							0x0b24
#define SENINF_CSI2_DESKEW_SYNC_SYNC_SEQ_MASK_1_SHIFT				0
#define SENINF_CSI2_DESKEW_SYNC_SYNC_SEQ_MASK_1_MASK				(0xffff << 0)
#define SENINF_CSI2_DESKEW_SYNC_SYNC_SEQ_PAT_1_SHIFT				16
#define SENINF_CSI2_DESKEW_SYNC_SYNC_SEQ_PAT_1_MASK				(0xffff << 16)
#define SENINF_CSI2_DETECT_DBG2							0x0b28
#define SENINF_CSI2_DETECT_DBG2_DETECT_SYNC_LANE3_ST_SHIFT			0
#define SENINF_CSI2_DETECT_DBG2_DETECT_SYNC_LANE3_ST_MASK			BIT(0)
#define SENINF_CSI2_DETECT_DBG2_DETECT_ESCAPE_LANE3_ST_SHIFT			1
#define SENINF_CSI2_DETECT_DBG2_DETECT_ESCAPE_LANE3_ST_MASK			BIT(1)
#define SENINF_CSI2_DETECT_DBG2_DETECT_POST_LANE3_ST_SHIFT			2
#define SENINF_CSI2_DETECT_DBG2_DETECT_POST_LANE3_ST_MASK			BIT(2)
#define SENINF_CSI2_DETECT_DBG2_POSITION_SYNC_LANE3_ST_SHIFT			3
#define SENINF_CSI2_DETECT_DBG2_POSITION_SYNC_LANE3_ST_MASK			(0xf << 3)
#define SENINF_CSI2_DETECT_DBG2_POSITION_ESCAPE_LANE3_ST_SHIFT			7
#define SENINF_CSI2_DETECT_DBG2_POSITION_ESCAPE_LANE3_ST_MASK			(0xf << 7)
#define SENINF_FIX_ADDR_CPHY3_DBG0						0x0b30
#define SENINF_FIX_ADDR_CPHY3_DBG0_WORD_COUNT_CPHY3_DBG0_SHIFT			0
#define SENINF_FIX_ADDR_CPHY3_DBG0_WORD_COUNT_CPHY3_DBG0_MASK			(0xffffffff << 0)
#define SENINF_FIX_ADDR_CPHY3_DBG1						0x0b34
#define SENINF_FIX_ADDR_CPHY3_DBG1_WORD_COUNT_CPHY3_DBG1_SHIFT			0
#define SENINF_FIX_ADDR_CPHY3_DBG1_WORD_COUNT_CPHY3_DBG1_MASK			(0xffff << 0)
#define SENINF_FIX_ADDR_CPHY3_DBG1_ERROR_RECORD_CPHY3_DBG0_SHIFT		16
#define SENINF_FIX_ADDR_CPHY3_DBG1_ERROR_RECORD_CPHY3_DBG0_MASK			(0xffff << 16)
#define SENINF_FIX_ADDR_CPHY3_DBG2						0x0b38
#define SENINF_FIX_ADDR_CPHY3_DBG2_ERROR_RECORD_CPHY3_DBG1_SHIFT		0
#define SENINF_FIX_ADDR_CPHY3_DBG2_ERROR_RECORD_CPHY3_DBG1_MASK			(0xffffffff << 0)
#define SENINF_CSI2_DI_EXT_2							0x0b3c
#define SENINF_CSI2_DI_EXT_2_VC6_SHIFT						0
#define SENINF_CSI2_DI_EXT_2_VC6_MASK						(0x3 << 0)
#define SENINF_CSI2_DI_EXT_2_DT6_SHIFT						2
#define SENINF_CSI2_DI_EXT_2_DT6_MASK						(0x3f << 2)
#define SENINF_CSI2_DI_EXT_2_VC7_SHIFT						8
#define SENINF_CSI2_DI_EXT_2_VC7_MASK						(0x3 << 8)
#define SENINF_CSI2_DI_EXT_2_DT7_SHIFT						10
#define SENINF_CSI2_DI_EXT_2_DT7_MASK						(0x3f << 10)
#define SENINF_CSI2_DI_CTRL_EXT_2						0x0b40
#define SENINF_CSI2_DI_CTRL_EXT_2_VC6_INTERLEAVING_SHIFT			0
#define SENINF_CSI2_DI_CTRL_EXT_2_VC6_INTERLEAVING_MASK				BIT(0)
#define SENINF_CSI2_DI_CTRL_EXT_2_DT6_INTERLEAVING_SHIFT			1
#define SENINF_CSI2_DI_CTRL_EXT_2_DT6_INTERLEAVING_MASK				(0x3 << 1)
#define SENINF_CSI2_DI_CTRL_EXT_2_VC7_INTERLEAVING_SHIFT			8
#define SENINF_CSI2_DI_CTRL_EXT_2_VC7_INTERLEAVING_MASK				BIT(8)
#define SENINF_CSI2_DI_CTRL_EXT_2_DT7_INTERLEAVING_SHIFT			9
#define SENINF_CSI2_DI_CTRL_EXT_2_DT7_INTERLEAVING_MASK				(0x3 << 9)
#define SENINF_WIRE_STATE_DECODE_CPHY3_DBG0					0x0b44
#define SENINF_WIRE_STATE_DECODE_CPHY3_DBG0_SYMBOL_STREAM0_CPHY3_SHIFT		0
#define SENINF_WIRE_STATE_DECODE_CPHY3_DBG0_SYMBOL_STREAM0_CPHY3_MASK		(0xffffffff << 0)
#define SENINF_WIRE_STATE_DECODE_CPHY3_DBG1					0x0b48
#define SENINF_WIRE_STATE_DECODE_CPHY3_DBG1_SYMBOL_STREAM1_CPHY3_SHIFT		0
#define SENINF_WIRE_STATE_DECODE_CPHY3_DBG1_SYMBOL_STREAM1_CPHY3_MASK		(0x3ff << 0)
#define SENINF_WIRE_STATE_DECODE_CPHY3_DBG1_SYMBOL_STREAM_VALID_CPHY3_SHIFT	10
#define SENINF_WIRE_STATE_DECODE_CPHY3_DBG1_SYMBOL_STREAM_VALID_CPHY3_MASK	BIT(10)
#define SENINF_MUX_CTRL								0x0d00
#define SENINF_MUX_CTRL_SENINF_MUX_SW_RST_SHIFT					0
#define SENINF_MUX_CTRL_SENINF_MUX_SW_RST_MASK					BIT(0)
#define SENINF_MUX_CTRL_SENINF_IRQ_SW_RST_SHIFT					1
#define SENINF_MUX_CTRL_SENINF_IRQ_SW_RST_MASK					BIT(1)
#define SENINF_MUX_CTRL_SENINF_MUX_RDY_MODE_SHIFT				4
#define SENINF_MUX_CTRL_SENINF_MUX_RDY_MODE_MASK				BIT(4)
#define SENINF_MUX_CTRL_SENINF_MUX_RDY_VALUE_SHIFT				5
#define SENINF_MUX_CTRL_SENINF_MUX_RDY_VALUE_MASK				BIT(5)
#define SENINF_MUX_CTRL_SENINF_HSYNC_MASK_SHIFT					7
#define SENINF_MUX_CTRL_SENINF_HSYNC_MASK_MASK					BIT(7)
#define SENINF_MUX_CTRL_SENINF_PIX_SEL_SHIFT					8
#define SENINF_MUX_CTRL_SENINF_PIX_SEL_MASK					BIT(8)
#define SENINF_MUX_CTRL_SENINF_VSYNC_POL_SHIFT					9
#define SENINF_MUX_CTRL_SENINF_VSYNC_POL_MASK					BIT(9)
#define SENINF_MUX_CTRL_SENINF_HSYNC_POL_SHIFT					10
#define SENINF_MUX_CTRL_SENINF_HSYNC_POL_MASK					BIT(10)
#define SENINF_MUX_CTRL_OVERRUN_RST_EN_SHIFT					11
#define SENINF_MUX_CTRL_OVERRUN_RST_EN_MASK					BIT(11)
#define SENINF_MUX_CTRL_SENINF_SRC_SEL_SHIFT					12
#define SENINF_MUX_CTRL_SENINF_SRC_SEL_MASK					(0xf << 12)
#define SENINF_MUX_CTRL_FIFO_PUSH_EN_SHIFT					16
#define SENINF_MUX_CTRL_FIFO_PUSH_EN_MASK					(0x3f << 16)
#define SENINF_MUX_CTRL_FIFO_FLUSH_EN_SHIFT					22
#define SENINF_MUX_CTRL_FIFO_FLUSH_EN_MASK					(0x3f << 22)
#define SENINF_MUX_CTRL_FIFO_FULL_WR_EN_SHIFT					28
#define SENINF_MUX_CTRL_FIFO_FULL_WR_EN_MASK					(0x3 << 28)
#define SENINF_MUX_CTRL_CROP_EN_SHIFT						30
#define SENINF_MUX_CTRL_CROP_EN_MASK						BIT(30)
#define SENINF_MUX_CTRL_SENINF_MUX_EN_SHIFT					31
#define SENINF_MUX_CTRL_SENINF_MUX_EN_MASK					BIT(31)
#define SENINF_MUX_INTEN							0x0d04
#define SENINF_MUX_INTEN_SENINF_OVERRUN_IRQ_EN_SHIFT				0
#define SENINF_MUX_INTEN_SENINF_OVERRUN_IRQ_EN_MASK				BIT(0)
#define SENINF_MUX_INTEN_SENINF_CRCERR_IRQ_EN_SHIFT				1
#define SENINF_MUX_INTEN_SENINF_CRCERR_IRQ_EN_MASK				BIT(1)
#define SENINF_MUX_INTEN_SENINF_FSMERR_IRQ_EN_SHIFT				2
#define SENINF_MUX_INTEN_SENINF_FSMERR_IRQ_EN_MASK				BIT(2)
#define SENINF_MUX_INTEN_SENINF_VSIZEERR_IRQ_EN_SHIFT				3
#define SENINF_MUX_INTEN_SENINF_VSIZEERR_IRQ_EN_MASK				BIT(3)
#define SENINF_MUX_INTEN_SENINF_HSIZEERR_IRQ_EN_SHIFT				4
#define SENINF_MUX_INTEN_SENINF_HSIZEERR_IRQ_EN_MASK				BIT(4)
#define SENINF_MUX_INTEN_SENINF_SENSOR_VSIZEERR_IRQ_EN_SHIFT			5
#define SENINF_MUX_INTEN_SENINF_SENSOR_VSIZEERR_IRQ_EN_MASK			BIT(5)
#define SENINF_MUX_INTEN_SENINF_SENSOR_HSIZEERR_IRQ_EN_SHIFT			6
#define SENINF_MUX_INTEN_SENINF_SENSOR_HSIZEERR_IRQ_EN_MASK			BIT(6)
#define SENINF_MUX_INTEN_SENINF_IRQ_CLR_SEL_SHIFT				31
#define SENINF_MUX_INTEN_SENINF_IRQ_CLR_SEL_MASK				BIT(31)
#define SENINF_MUX_INTSTA							0x0d08
#define SENINF_MUX_INTSTA_SENINF_OVERRUN_IRQ_STA_SHIFT				0
#define SENINF_MUX_INTSTA_SENINF_OVERRUN_IRQ_STA_MASK				BIT(0)
#define SENINF_MUX_INTSTA_SENINF_CRCERR_IRQ_STA_SHIFT				1
#define SENINF_MUX_INTSTA_SENINF_CRCERR_IRQ_STA_MASK				BIT(1)
#define SENINF_MUX_INTSTA_SENINF_FSMERR_IRQ_STA_SHIFT				2
#define SENINF_MUX_INTSTA_SENINF_FSMERR_IRQ_STA_MASK				BIT(2)
#define SENINF_MUX_INTSTA_SENINF_VSIZEERR_IRQ_STA_SHIFT				3
#define SENINF_MUX_INTSTA_SENINF_VSIZEERR_IRQ_STA_MASK				BIT(3)
#define SENINF_MUX_INTSTA_SENINF_HSIZEERR_IRQ_STA_SHIFT				4
#define SENINF_MUX_INTSTA_SENINF_HSIZEERR_IRQ_STA_MASK				BIT(4)
#define SENINF_MUX_INTSTA_SENINF_SENSOR_VSIZEERR_IRQ_STA_SHIFT			5
#define SENINF_MUX_INTSTA_SENINF_SENSOR_VSIZEERR_IRQ_STA_MASK			BIT(5)
#define SENINF_MUX_INTSTA_SENINF_SENSOR_HSIZEERR_IRQ_STA_SHIFT			6
#define SENINF_MUX_INTSTA_SENINF_SENSOR_HSIZEERR_IRQ_STA_MASK			BIT(6)
#define SENINF_MUX_SIZE								0x0d0c
#define SENINF_MUX_SIZE_SENINF_VSIZE_SHIFT					0
#define SENINF_MUX_SIZE_SENINF_VSIZE_MASK					(0xffff << 0)
#define SENINF_MUX_SIZE_SENINF_HSIZE_SHIFT					16
#define SENINF_MUX_SIZE_SENINF_HSIZE_MASK					(0xffff << 16)
#define SENINF_MUX_DEBUG_1							0x0d10
#define SENINF_MUX_DEBUG_1_DEBUG_INFO_SHIFT					0
#define SENINF_MUX_DEBUG_1_DEBUG_INFO_MASK					(0xffffffff << 0)
#define SENINF_MUX_DEBUG_2							0x0d14
#define SENINF_MUX_DEBUG_2_DEBUG_INFO_SHIFT					0
#define SENINF_MUX_DEBUG_2_DEBUG_INFO_MASK					(0xffffffff << 0)
#define SENINF_MUX_DEBUG_3							0x0d18
#define SENINF_MUX_DEBUG_3_DEBUG_INFO_SHIFT					0
#define SENINF_MUX_DEBUG_3_DEBUG_INFO_MASK					(0xffffffff << 0)
#define SENINF_MUX_DEBUG_4							0x0d1c
#define SENINF_MUX_DEBUG_4_DEBUG_INFO_SHIFT					0
#define SENINF_MUX_DEBUG_4_DEBUG_INFO_MASK					(0xffffffff << 0)
#define SENINF_MUX_DEBUG_5							0x0d20
#define SENINF_MUX_DEBUG_5_DEBUG_INFO_SHIFT					0
#define SENINF_MUX_DEBUG_5_DEBUG_INFO_MASK					(0xffffffff << 0)
#define SENINF_MUX_DEBUG_6							0x0d24
#define SENINF_MUX_DEBUG_6_DEBUG_INFO_SHIFT					0
#define SENINF_MUX_DEBUG_6_DEBUG_INFO_MASK					(0xffffffff << 0)
#define SENINF_MUX_DEBUG_7							0x0d28
#define SENINF_MUX_DEBUG_7_DEBUG_INFO_SHIFT					0
#define SENINF_MUX_DEBUG_7_DEBUG_INFO_MASK					(0xffffffff << 0)
#define SENINF_MUX_SPARE							0x0d2c
#define SENINF_MUX_SPARE_SENINF_CRC_SEL_SHIFT					9
#define SENINF_MUX_SPARE_SENINF_CRC_SEL_MASK					(0x3 << 9)
#define SENINF_MUX_SPARE_SENINF_VCNT_SEL_SHIFT					11
#define SENINF_MUX_SPARE_SENINF_VCNT_SEL_MASK					(0x3 << 11)
#define SENINF_MUX_SPARE_SENINF_FIFO_FULL_SEL_SHIFT				13
#define SENINF_MUX_SPARE_SENINF_FIFO_FULL_SEL_MASK				BIT(13)
#define SENINF_MUX_SPARE_SENINF_SPARE_SHIFT					14
#define SENINF_MUX_SPARE_SENINF_SPARE_MASK					(0x3f << 14)
#define SENINF_MUX_DATA								0x0d30
#define SENINF_MUX_DATA_SENINF_DATA0_SHIFT					0
#define SENINF_MUX_DATA_SENINF_DATA0_MASK					(0xffff << 0)
#define SENINF_MUX_DATA_SENINF_DATA1_SHIFT					16
#define SENINF_MUX_DATA_SENINF_DATA1_MASK					(0xffff << 16)
#define SENINF_MUX_DATA_CNT							0x0d34
#define SENINF_MUX_DATA_CNT_SENINF_DATA_CNT_SHIFT				0
#define SENINF_MUX_DATA_CNT_SENINF_DATA_CNT_MASK				(0xffffffff << 0)
#define SENINF_MUX_CROP								0x0d38
#define SENINF_MUX_CROP_SENINF_CROP_X1_SHIFT					0
#define SENINF_MUX_CROP_SENINF_CROP_X1_MASK					(0xffff << 0)
#define SENINF_MUX_CROP_SENINF_CROP_X2_SHIFT					16
#define SENINF_MUX_CROP_SENINF_CROP_X2_MASK					(0xffff << 16)
#define SENINF_MUX_CTRL_EXT							0x0d3c
#define SENINF_MUX_CTRL_EXT_SENINF_SRC_SEL_EXT_SHIFT				0
#define SENINF_MUX_CTRL_EXT_SENINF_SRC_SEL_EXT_MASK				(0x3 << 0)
#define SENINF_MUX_CTRL_EXT_SENINF_PIX_SEL_EXT_SHIFT				4
#define SENINF_MUX_CTRL_EXT_SENINF_PIX_SEL_EXT_MASK				BIT(4)
#define SENINF_N3D_B_CTL							0x1100
#define SENINF_N3D_B_CTL_MODE_SHIFT						0
#define SENINF_N3D_B_CTL_MODE_MASK						(0x3 << 0)
#define SENINF_N3D_B_CTL_I2C1_EN_SHIFT						2
#define SENINF_N3D_B_CTL_I2C1_EN_MASK						BIT(2)
#define SENINF_N3D_B_CTL_I2C2_EN_SHIFT						3
#define SENINF_N3D_B_CTL_I2C2_EN_MASK						BIT(3)
#define SENINF_N3D_B_CTL_I2C1_INT_EN_SHIFT					4
#define SENINF_N3D_B_CTL_I2C1_INT_EN_MASK					BIT(4)
#define SENINF_N3D_B_CTL_I2C2_INT_EN_SHIFT					5
#define SENINF_N3D_B_CTL_I2C2_INT_EN_MASK					BIT(5)
#define SENINF_N3D_B_CTL_N3D_EN_SHIFT						6
#define SENINF_N3D_B_CTL_N3D_EN_MASK						BIT(6)
#define SENINF_N3D_B_CTL_W1CLR_SHIFT						7
#define SENINF_N3D_B_CTL_W1CLR_MASK						BIT(7)
#define SENINF_N3D_B_CTL_DIFF_EN_SHIFT						8
#define SENINF_N3D_B_CTL_DIFF_EN_MASK						BIT(8)
#define SENINF_N3D_B_CTL_DDBG_SEL_SHIFT						9
#define SENINF_N3D_B_CTL_DDBG_SEL_MASK						(0x7 << 9)
#define SENINF_N3D_B_CTL_MODE1_DBG_SHIFT					12
#define SENINF_N3D_B_CTL_MODE1_DBG_MASK						BIT(12)
#define SENINF_N3D_B_CTL_SEN1_TIM_EN_SHIFT					16
#define SENINF_N3D_B_CTL_SEN1_TIM_EN_MASK					BIT(16)
#define SENINF_N3D_B_CTL_SEN2_TIM_EN_SHIFT					17
#define SENINF_N3D_B_CTL_SEN2_TIM_EN_MASK					BIT(17)
#define SENINF_N3D_B_CTL_SEN1_OV_VS_INT_EN_SHIFT				18
#define SENINF_N3D_B_CTL_SEN1_OV_VS_INT_EN_MASK					BIT(18)
#define SENINF_N3D_B_CTL_SEN2_OV_VS_INT_EN_SHIFT				19
#define SENINF_N3D_B_CTL_SEN2_OV_VS_INT_EN_MASK					BIT(19)
#define SENINF_N3D_B_CTL_HW_SYNC_MODE_SHIFT					20
#define SENINF_N3D_B_CTL_HW_SYNC_MODE_MASK					BIT(20)
#define SENINF_N3D_B_CTL_VALID_TG_EN_SHIFT					21
#define SENINF_N3D_B_CTL_VALID_TG_EN_MASK					BIT(21)
#define SENINF_N3D_B_CTL_SYNC_PIN_A_EN_SHIFT					22
#define SENINF_N3D_B_CTL_SYNC_PIN_A_EN_MASK					BIT(22)
#define SENINF_N3D_B_CTL_SYNC_PIN_A_POLARITY_SHIFT				23
#define SENINF_N3D_B_CTL_SYNC_PIN_A_POLARITY_MASK				BIT(23)
#define SENINF_N3D_B_CTL_SYNC_PIN_B_EN_SHIFT					24
#define SENINF_N3D_B_CTL_SYNC_PIN_B_EN_MASK					BIT(24)
#define SENINF_N3D_B_CTL_SYNC_PIN_B_POLARITY_SHIFT				25
#define SENINF_N3D_B_CTL_SYNC_PIN_B_POLARITY_MASK				BIT(25)
#define SENINF_N3D_B_POS							0x1104
#define SENINF_N3D_B_POS_N3D_POS_SHIFT						0
#define SENINF_N3D_B_POS_N3D_POS_MASK						(0xffffffff << 0)
#define SENINF_N3D_B_TRIG							0x1108
#define SENINF_N3D_B_TRIG_I2CA_TRIG_SHIFT					0
#define SENINF_N3D_B_TRIG_I2CA_TRIG_MASK					BIT(0)
#define SENINF_N3D_B_TRIG_I2CB_TRIG_SHIFT					1
#define SENINF_N3D_B_TRIG_I2CB_TRIG_MASK					BIT(1)
#define SENINF_N3D_B_INT							0x110c
#define SENINF_N3D_B_INT_I2C1_INT_SHIFT						0
#define SENINF_N3D_B_INT_I2C1_INT_MASK						BIT(0)
#define SENINF_N3D_B_INT_I2C2_INT_SHIFT						1
#define SENINF_N3D_B_INT_I2C2_INT_MASK						BIT(1)
#define SENINF_N3D_B_INT_DIFF_INT_SHIFT						2
#define SENINF_N3D_B_INT_DIFF_INT_MASK						BIT(2)
#define SENINF_N3D_B_INT_SEN1_OV_VS_INT_SHIFT					4
#define SENINF_N3D_B_INT_SEN1_OV_VS_INT_MASK					BIT(4)
#define SENINF_N3D_B_INT_SEN2_OV_VS_INT_SHIFT					5
#define SENINF_N3D_B_INT_SEN2_OV_VS_INT_MASK					BIT(5)
#define SENINF_N3D_B_CNT0							0x1110
#define SENINF_N3D_B_CNT0_N3D_CNT0_SHIFT					0
#define SENINF_N3D_B_CNT0_N3D_CNT0_MASK						(0xffffffff << 0)
#define SENINF_N3D_B_CNT1							0x1114
#define SENINF_N3D_B_CNT1_N3D_CNT1_SHIFT					0
#define SENINF_N3D_B_CNT1_N3D_CNT1_MASK						(0xffffffff << 0)
#define SENINF_N3D_B_DBG							0x1118
#define SENINF_N3D_B_DBG_N3D_DBG_SHIFT						0
#define SENINF_N3D_B_DBG_N3D_DBG_MASK						(0xffffffff << 0)
#define SENINF_N3D_B_DIFF_THR							0x111c
#define SENINF_N3D_B_DIFF_THR_N3D_DIFF_THR_SHIFT				0
#define SENINF_N3D_B_DIFF_THR_N3D_DIFF_THR_MASK					(0xffffffff << 0)
#define SENINF_N3D_B_DIFF_CNT							0x1120
#define SENINF_N3D_B_DIFF_CNT_N3D_DIFF_CNT_SHIFT				0
#define SENINF_N3D_B_DIFF_CNT_N3D_DIFF_CNT_MASK					(0xffffffff << 0)
#define SENINF_N3D_B_DBG_1							0x1124
#define SENINF_N3D_B_DBG_1_N3D_DBG_1_SHIFT					0
#define SENINF_N3D_B_DBG_1_N3D_DBG_1_MASK					(0xffffffff << 0)
#define SENINF_N3D_B_VALID_TG_CNT						0x1128
#define SENINF_N3D_B_VALID_TG_CNT_N3D_VALID_TG_CNT_SHIFT			0
#define SENINF_N3D_B_VALID_TG_CNT_N3D_VALID_TG_CNT_MASK				(0xffffffff << 0)
#define SENINF_N3D_B_SYNC_A_PERIOD						0x112c
#define SENINF_N3D_B_SYNC_A_PERIOD_N3D_SYNC_A_PERIOD_SHIFT			0
#define SENINF_N3D_B_SYNC_A_PERIOD_N3D_SYNC_A_PERIOD_MASK			(0xffffffff << 0)
#define SENINF_N3D_B_SYNC_B_PERIOD						0x1130
#define SENINF_N3D_B_SYNC_B_PERIOD_N3D_SYNC_B_PERIOD_SHIFT			0
#define SENINF_N3D_B_SYNC_B_PERIOD_N3D_SYNC_B_PERIOD_MASK			(0xffffffff << 0)
#define SENINF_N3D_B_SYNC_A_PULSE_LEN						0x1134
#define SENINF_N3D_B_SYNC_A_PULSE_LEN_N3D_SYNC_A_PULSE_LEN_SHIFT		0
#define SENINF_N3D_B_SYNC_A_PULSE_LEN_N3D_SYNC_A_PULSE_LEN_MASK			(0xffffffff << 0)
#define SENINF_N3D_B_SYNC_B_PULSE_LEN						0x1138
#define SENINF_N3D_B_SYNC_B_PULSE_LEN_N3D_SYNC_B_PULSE_LEN_SHIFT		0
#define SENINF_N3D_B_SYNC_B_PULSE_LEN_N3D_SYNC_B_PULSE_LEN_MASK			(0xffffffff << 0)
#define SENINF_N3D_B_SUB_CNT							0x113c
#define SENINF_N3D_B_SUB_CNT_VS1_SUB_CNT_SHIFT					0
#define SENINF_N3D_B_SUB_CNT_VS1_SUB_CNT_MASK					(0x3f << 0)
#define SENINF_N3D_B_SUB_CNT_VS1_SUB_CNT_EN_SHIFT				6
#define SENINF_N3D_B_SUB_CNT_VS1_SUB_CNT_EN_MASK				BIT(6)
#define SENINF_N3D_B_SUB_CNT_SYNC_PIN_A_RESET_SEL_SHIFT				7
#define SENINF_N3D_B_SUB_CNT_SYNC_PIN_A_RESET_SEL_MASK				BIT(7)
#define SENINF_N3D_B_SUB_CNT_SYNC_PIN_B_RESET_SEL_SHIFT				8
#define SENINF_N3D_B_SUB_CNT_SYNC_PIN_B_RESET_SEL_MASK				BIT(8)
#define SENINF_N3D_B_SUB_CNT_SYNC_PIN_A_RESET_SEL_EN_SHIFT			9
#define SENINF_N3D_B_SUB_CNT_SYNC_PIN_A_RESET_SEL_EN_MASK			BIT(9)
#define SENINF_N3D_B_SUB_CNT_SYNC_PIN_B_RESET_SEL_EN_SHIFT			10
#define SENINF_N3D_B_SUB_CNT_SYNC_PIN_B_RESET_SEL_EN_MASK			BIT(10)
#define SENINF_N3D_B_SUB_CNT_VS2_SUB_CNT_SHIFT					16
#define SENINF_N3D_B_SUB_CNT_VS2_SUB_CNT_MASK					(0x3f << 16)
#define SENINF_N3D_B_SUB_CNT_VS2_SUB_CNT_EN_SHIFT				22
#define SENINF_N3D_B_SUB_CNT_VS2_SUB_CNT_EN_MASK				BIT(22)
#define SENINF_N3D_B_VSYNC_CNT							0x1140
#define SENINF_N3D_B_VSYNC_CNT_N3D_VSYNC_1_CNT_SHIFT				0
#define SENINF_N3D_B_VSYNC_CNT_N3D_VSYNC_1_CNT_MASK				(0xffff << 0)

/* NCSI2 */
#define SENINF_NCSI2_CAL_24					0x0324
#define SENINF_NCSI2_CAL_38					0x0338
#define SENINF_NCSI2_CAL_3C					0x033C
#define SENINF_NCSI2_CTL					0x03A0
#define SENINF_NCSI2_CTL_CLOCK_HS_OPTION_SHIFT			27
#define SENINF_NCSI2_CTL_CLOCK_HS_OPTION_MASK			BIT(27)
#define SENINF_NCSI2_CTL_ED_SEL_SHIFT				16
#define SENINF_NCSI2_CTL_ED_SEL_MASK				BIT(16)
#define SENINF_NCSI2_CTL_CLOCK_LANE_SHIFT			4
#define SENINF_NCSI2_CTL_CLOCK_LANE_MASK			BIT(4)
#define SENINF_NCSI2_CTL_DATA_LANE3_SHIFT			3
#define SENINF_NCSI2_CTL_DATA_LANE3_MASK			BIT(3)
#define SENINF_NCSI2_CTL_DATA_LANE2_SHIFT			2
#define SENINF_NCSI2_CTL_DATA_LANE2_MASK			BIT(2)
#define SENINF_NCSI2_CTL_DATA_LANE1_SHIFT			1
#define SENINF_NCSI2_CTL_DATA_LANE1_MASK			BIT(1)
#define SENINF_NCSI2_CTL_DATA_LANE0_SHIFT			0
#define SENINF_NCSI2_CTL_DATA_LANE0_MASK			BIT(0)
#define SENINF_NCSI2_LNRD_TIMING				0x03A8
#define SENINF_NCSI2_INT_EN					0x03B0
#define SENINF_NCSI2_INT_EN_ALL					(0xf7fff << 0)
#define SENINF_NCSI2_INT_STATUS					0x03B4
#define SENINF_NCSI2_INT_STATUS_ALL				(0xf7fff << 0)
#define SENINF_NCSI2_DBG_SEL					0x03B8
#define SENINF_NCSI2_HSRX_DBG					0x03D8
#define SENINF_NCSI2_DI						0x03DC
#define SENINF_NCSI2_DI_CTRL					0x03E4

#endif
