/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2020 MediaTek Inc.
 */

#define HDMIRX_P0_PHY_SSLMS_BASE (A_ADR + 0x1000)

//Page P0_HDMIRX_PHY_SSLMS
#define REG_0078_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x278)
    #define REG_0078_SSLMS_HDMIRX_PHY_2880_CNT Fld(8, 0, AC_FULLB0)
#define REG_007C_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x27C)
    #define REG_007C_SSLMS_SUM_SIGN_SIGN_RESIDUDE_FORMAT Fld(1, 0, AC_MSKB0)
#define REG_0080_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x280)
    #define REG_0080_SSLMS_PRBS_DATA_SELECT Fld(2, 0, AC_MSKB0)
    #define REG_0080_SSLMS_EN_PRBS_BIT_REVERSE Fld(1, 2, AC_MSKB0)
    #define REG_0080_SSLMS_EN_PRBS_PN_SWAP Fld(1, 3, AC_MSKB0)
    #define REG_0080_SSLMS_OUTER_EYE_SCAN_TYPE Fld(2, 4, AC_MSKB0)
#define REG_00C0_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2C0)
    #define REG_00C0_SSLMS_ENHAN_AEQ_EYE_TARGET Fld(7, 0, AC_MSKB0)
    #define REG_00C0_SSLMS_DFE_EYE_TARGET Fld(7, 8, AC_MSKB1)
#define REG_00C4_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2C4)
    #define REG_00C4_SSLMS_SWEEP_EYE_TARGET Fld(7, 0, AC_MSKB0)
    #define REG_00C4_SSLMS_SWEEP_EYE_HIGH_TARGET Fld(8, 8, AC_FULLB1)
#define REG_00C8_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2C8)
    #define REG_00C8_SSLMS_AGC_DLEV_EH_SEL Fld(3, 0, AC_MSKB0)
    #define REG_00C8_SSLMS_AGC_DFE_EH_SEL Fld(3, 4, AC_MSKB0)
    #define REG_00C8_SSLMS_AGC_DLEV_SEL Fld(3, 8, AC_MSKB1)
    #define REG_00C8_SSLMS_AGC_DFE_SEL Fld(3, 12, AC_MSKB1)
    #define REG_00C8_SSLMS_EH_ELH_OV_EN Fld(1, 15, AC_MSKB1)
#define REG_00CC_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2CC)
    #define REG_00CC_SSLMS_DFE_EW_CHECK_TIME Fld(3, 0, AC_MSKB0)
    #define REG_00CC_SSLMS_DFE_EW_CHECK_EN Fld(1, 3, AC_MSKB0)
    #define REG_00CC_SSLMS_SWEEP_EW_DISABLE Fld(1, 4, AC_MSKB0)
    #define REG_00CC_SSLMS_SWEEP_EH_DISABLE Fld(1, 5, AC_MSKB0)
    #define REG_00CC_SSLMS_SWEEP_MODE_DIRECTION Fld(1, 6, AC_MSKB0)
    #define REG_00CC_SSLMS_AUTO_EQ_GRAY_ENABLE Fld(1, 7, AC_MSKB0)
    #define REG_00CC_SSLMS_SWEEP_CHECK_TIME Fld(3, 8, AC_MSKB1)
#define REG_00D0_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2D0)
    #define REG_00D0_SSLMS_DYNAMIC_EH_EW_COUNT Fld(16, 0, AC_FULLW10)
#define REG_00D4_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2D4)
    #define REG_00D4_SSLMS_DYNAMIC_EQ_COUNT Fld(16, 0, AC_FULLW10)
#define REG_00D8_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2D8)
    #define REG_00D8_SSLMS_DYNAMIC_AGC_COUNT Fld(16, 0, AC_FULLW10)
#define REG_00DC_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2DC)
    #define REG_00DC_SSLMS_ACTIVE_CABLE_EYE_TARGET Fld(7, 0, AC_MSKB0)
    #define REG_00DC_SSLMS_DYNAMIC_EH_EW_ENABLE Fld(1, 8, AC_MSKB1)
    #define REG_00DC_SSLMS_DYNAMIC_EQ_ENABLE Fld(1, 9, AC_MSKB1)
    #define REG_00DC_SSLMS_DYNAMIC_AGC_ENABLE Fld(1, 10, AC_MSKB1)
    #define REG_00DC_SSLMS_DISABLE_CHG_OVFLOW Fld(1, 11, AC_MSKB1)
    #define REG_00DC_SSLMS_DFE_CHECK_OVER_ENABLE Fld(1, 12, AC_MSKB1)
#define REG_00E0_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2E0)
    #define REG_00E0_SSLMS_AGC_MODE_SELECT Fld(2, 0, AC_MSKB0)
    #define REG_00E0_SSLMS_AGC_MODE_SELECT_OV_EN Fld(1, 3, AC_MSKB0)
#define REG_00E4_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2E4)
    #define REG_00E4_SSLMS_AGC_COARSE_TUNE_STEP Fld(8, 0, AC_FULLB0)
    #define REG_00E4_SSLMS_AGC_FINE_TUNE_STEP Fld(8, 8, AC_FULLB1)
#define REG_00E8_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2E8)
    #define REG_00E8_SSLMS_AGC_MAX_MIN_DIFF_COARSE Fld(8, 0, AC_FULLB0)
    #define REG_00E8_SSLMS_AGC_MAX_MIN_DIFF Fld(8, 8, AC_FULLB1)
#define REG_00EC_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2EC)
    #define REG_00EC_SSLMS_DFE_EH_TARGET_OFFSET Fld(8, 0, AC_FULLB0)
    #define REG_00EC_SSLMS_DFE_EW_TARGET_OFFSET Fld(6, 8, AC_MSKB1)
#define REG_00F0_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2F0)
    #define REG_00F0_SSLMS_PRBS_LK_TH Fld(11, 0, AC_MSKW10)//[10:0]
    #define REG_00F0_SSLMS_PRBS_CNTEN Fld(1, 11, AC_MSKB1)
    #define REG_00F0_SSLMS_PRBS_7_15_AT_MD Fld(1, 12, AC_MSKB1)
    #define REG_00F0_SSLMS_PRBS_TYPE_SEL Fld(1, 13, AC_MSKB1)
    #define REG_00F0_SSLMS_PRBS_RPT_CLR Fld(1, 14, AC_MSKB1)
    #define REG_00F0_SSLMS_PRBS_COMP_EN Fld(1, 15, AC_MSKB1)
#define REG_00F4_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2F4)
    #define REG_00F4_SSLMS_DATA_DIV40_CLK_THR1 Fld(16, 0, AC_FULLW10)
#define REG_00F8_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2F8)
    #define REG_00F8_SSLMS_UPDN_DIV_CNT Fld(8, 0, AC_FULLB0)
#define REG_00FC_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x2FC)
    #define REG_00FC_SSLMS_DATA_DIV40_CLK_THR_TOLRNT Fld(12, 0, AC_MSKW10)
#define REG_0130_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x330)
    #define REG_0130_SSLMS_AA55_DET_DURATION Fld(16, 0, AC_FULLW10)
#define REG_0134_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x334)
    #define REG_0134_SSLMS_EQ_CODE_MODE_A Fld(3, 0, AC_MSKB0)
    #define REG_0134_SSLMS_EQ_CODE_MODE_B Fld(3, 4, AC_MSKB0)
    #define REG_0134_SSLMS_EQ_CODE_MODE_C Fld(3, 8, AC_MSKB1)
    #define REG_0134_SSLMS_EQ_CODE_MODE_D Fld(3, 12, AC_MSKB1)
#define REG_0170_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x370)
    #define REG_0170_SSLMS_CH0_PHACC Fld(16, 0, AC_FULLW10)
#define REG_0174_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x374)
    #define REG_0174_SSLMS_CH1_PHACC Fld(16, 0, AC_FULLW10)
#define REG_0178_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x378)
    #define REG_0178_SSLMS_CH2_PHACC Fld(16, 0, AC_FULLW10)
#define REG_017C_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x37C)
    #define REG_017C_SSLMS_CH3_PHACC Fld(16, 0, AC_FULLW10)
#define REG_01B0_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3B0)
    #define REG_01B0_SSLMS_GCR_LOCK_TIME_OUT_THR Fld(8, 0, AC_FULLB0)
    #define REG_01B0_SSLMS_GCR_LOCK_TIME_SEL Fld(2, 8, AC_MSKB1)
    #define REG_01B0_SSLMS_GCR_LOCK_TIME_OUT_EN Fld(1, 10, AC_MSKB1)
    #define REG_01B0_SSLMS_RX2TX_STABLE_CNT_SEL Fld(1, 11, AC_MSKB1)
#define REG_01B4_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3B4)
    #define REG_01B4_SSLMS_GCR_ICTRL_PD_WIDE_TIME Fld(8, 0, AC_FULLB0)
#define REG_01B8_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3B8)
    #define REG_01B8_SSLMS_SLEWRATE_0 Fld(3, 0, AC_MSKB0)
    #define REG_01B8_SSLMS_SLEWRATE_1 Fld(3, 4, AC_MSKB0)
    #define REG_01B8_SSLMS_SLEWRATE_2 Fld(3, 8, AC_MSKB1)
    #define REG_01B8_SSLMS_SLEWRATE_3 Fld(3, 12, AC_MSKB1)
#define REG_01BC_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3BC)
    #define REG_01BC_SSLMS_SLEWRATE_4 Fld(3, 0, AC_MSKB0)
    #define REG_01BC_SSLMS_SLEWRATE_5 Fld(3, 4, AC_MSKB0)
    #define REG_01BC_SSLMS_SLEWRATE_6 Fld(3, 8, AC_MSKB1)
    #define REG_01BC_SSLMS_SLEWRATE_7 Fld(3, 12, AC_MSKB1)
#define REG_01C0_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3C0)
    #define REG_01C0_SSLMS_EN_POWER_SAVING Fld(1, 0, AC_MSKB0)
    #define REG_01C0_SSLMS_PASS3_TRIG_SEL Fld(1, 1, AC_MSKB0)
    #define REG_01C0_SSLMS_HDMI2_ACDR_MODE Fld(1, 2, AC_MSKB0)
#define REG_01C4_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3C4)
    #define REG_01C4_SSLMS_POWER_SAVING_PASS1_TIMES Fld(8, 0, AC_FULLB0)
    #define REG_01C4_SSLMS_POWER_SAVING_PASS2_TIMES Fld(8, 8, AC_FULLB1)
#define REG_01C8_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3C8)
    #define REG_01C8_SSLMS_POWER_SAVING_PASS3_TIMES Fld(8, 0, AC_FULLB0)
    #define REG_01C8_SSLMS_POWER_SAVING_PASS4_TIMES Fld(8, 8, AC_FULLB1)
#define REG_01CC_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3CC)
    #define REG_01CC_SSLMS_POWER_SAVING_PASS5_TIMES Fld(8, 0, AC_FULLB0)
#define REG_01D0_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3D0)
    #define REG_01D0_SSLMS_PD_PHDAC_I_POWER_SAVING_EN Fld(3, 0, AC_MSKB0)
    #define REG_01D0_SSLMS_PD_PHDAC_Q_POWER_SAVING_EN Fld(3, 4, AC_MSKB0)
    #define REG_01D0_SSLMS_PD_LANE_POWER_SAVING_EN Fld(3, 8, AC_MSKB1)
    #define REG_01D0_SSLMS_PD_RT_POWER_SAVING_EN Fld(4, 12, AC_MSKB1)
#define REG_01D4_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3D4)
    #define REG_01D4_SSLMS_PD_PLL_POWER_SAVING_EN Fld(4, 0, AC_MSKB0)
    #define REG_01D4_SSLMS_POWER_ON_LANE Fld(4, 4, AC_MSKB0)
    #define REG_01D4_SSLMS_ACDR_OV_PHDAC_EN Fld(1, 8, AC_MSKB1)
#define REG_01D8_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3D8)
    #define REG_01D8_SSLMS_PHASE_CHECK_TIME Fld(6, 0, AC_MSKB0)
    #define REG_01D8_SSLMS_SYMBOL_DET_TIME Fld(6, 8, AC_MSKB1)
#define REG_01DC_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3DC)
    #define REG_01DC_SSLMS_EN_SYMBOL_LOCK_TIMEOUT Fld(1, 0, AC_MSKB0)
    #define REG_01DC_SSLMS_EN_FINE_AABA_SYMBOL_CHECK Fld(1, 1, AC_MSKB0)
    #define REG_01DC_SSLMS_FINE_SYMBOL_CONTINUE_EN Fld(1, 2, AC_MSKB0)
    #define REG_01DC_SSLMS_SYMBOL_LOCK_MODE Fld(1, 3, AC_MSKB0)
    #define REG_01DC_SSLMS_DISABLE_SYMBOL_LOCK Fld(1, 4, AC_MSKB0)
    #define REG_01DC_SSLMS_SYMBOL_TIME_OUT_MODE Fld(1, 5, AC_MSKB0)
#define REG_01E0_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3E0)
    #define REG_01E0_SSLMS_LANE_RST_SW_0 Fld(16, 0, AC_FULLW10)
#define REG_01E4_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3E4)
    #define REG_01E4_SSLMS_LANE_RST_SW_1 Fld(16, 0, AC_FULLW10)
#define REG_01E8_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3E8)
    #define REG_01E8_SSLMS_LANE_RST_SW_2 Fld(16, 0, AC_FULLW10)
#define REG_01EC_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3EC)
    #define REG_01EC_SSLMS_LANE_RST_SW_3 Fld(16, 0, AC_FULLW10)
#define REG_01F0_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3F0)
    #define REG_01F0_SSLMS_EQ_FINE_SYMBOL_CONTINUE_TIMES Fld(16, 0, AC_FULLW10)
#define REG_01F4_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3F4)
    #define REG_01F4_SSLMS_ENABLE_DLEV_BIT8_CHECK Fld(1, 0, AC_MSKB0)
    #define REG_01F4_SSLMS_AUTOSCAN_ERR_CNT_READ Fld(1, 1, AC_MSKB0)
    #define REG_01F4_SSLMS_AUTOSCAN_TIMER_SEL Fld(1, 2, AC_MSKB0)
    #define REG_01F4_SSLMS_ENABLE_ACTIVE_CABLE_DFE_AGC Fld(1, 3, AC_MSKB0)
    #define REG_01F4_SSLMS_POWER_SAVING_DCDR Fld(1, 4, AC_MSKB0)
#define REG_01F8_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3F8)
    #define REG_01F8_SSLMS_DLEV_MAX_TABLE Fld(10, 0, AC_MSKW10)
#define REG_01FC_SSLMS (HDMIRX_P0_PHY_SSLMS_BASE + 0x3FC)
    #define REG_01FC_SSLMS_DLEV_MAX_TABLE_BIN Fld(10, 0, AC_MSKW10)

