/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2020 MediaTek Inc.
 */

#define HDMIRX_PHY_TRAIN_TOP_BASE (A_ADR + 0x1000)

//Page P0_HDMIRX_PHY_TRAIN_TOP_1
#define REG_0000_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA00)
    #define REG_0000_TRAIN_TOP_HDMI21_TRAIN_TOP_SOFT_RST Fld(8, 0, AC_FULLB0)
    #define REG_0000_TRAIN_TOP_HDMI21_TRAIN_TOP_TESTBUS_SEL Fld(4, 12, AC_MSKB1)
#define REG_0004_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA04)
    #define REG_0004_TRAIN_TOP_XTAL_FRQ Fld(10, 0, AC_MSKW10)
    #define REG_0004_TRAIN_TOP_FRL_RETRAIN_SAME_RATE_HW Fld(1, 10, AC_MSKB1)
    #define REG_0004_TRAIN_TOP_FRL_START_SET_EN Fld(1, 11, AC_MSKB1)
    #define REG_0004_TRAIN_TOP_FRL_START_CLR_EN Fld(1, 12, AC_MSKB1)
    #define REG_0004_TRAIN_TOP_FRL_RATE_WRITE_RETRAIN Fld(1, 13, AC_MSKB1)
    #define REG_0004_TRAIN_TOP_RESET_BEST_FFE_AT_CR Fld(1, 14, AC_MSKB1)
    #define REG_0004_TRAIN_TOP_RESET_TIMER Fld(1, 15, AC_MSKB1)
#define REG_0008_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA08)
    #define REG_0008_TRAIN_TOP_AUTO_EQ_EN Fld(1, 0, AC_MSKB0)
    #define REG_0008_TRAIN_TOP_REQ_UPDATE_SEL Fld(1, 1, AC_MSKB0)
    #define REG_0008_TRAIN_TOP_RESET_NORMAL_TRAIN_FSM Fld(1, 2, AC_MSKB0)
    #define REG_0008_TRAIN_TOP_NORMAL_TRAIN_DONE Fld(1, 3, AC_MSKB0)
    #define REG_0008_TRAIN_TOP_NORMAL_TRAIN_IGNORE_LOCK Fld(1, 4, AC_MSKB0)
    #define REG_0008_TRAIN_TOP_LINK_QUALITY_TEST_EN Fld(1, 5, AC_MSKB0)
    #define REG_0008_TRAIN_TOP_CR_LTP3 Fld(1, 6, AC_MSKB0)
    #define REG_0008_TRAIN_TOP_CR_LTP4 Fld(1, 7, AC_MSKB0)
    #define REG_0008_TRAIN_TOP_FLT_READY Fld(1, 8, AC_MSKB1)
    #define REG_0008_TRAIN_TOP_NON_AUTO_EQ_CHECK_SEL Fld(1, 9, AC_MSKB1)
    #define REG_0008_TRAIN_TOP_FFE_SCORE_SEL Fld(2, 10, AC_MSKB1)
    #define REG_0008_TRAIN_TOP_FFE_LEVEL_LIMIT Fld(4, 12, AC_MSKB1)
#define REG_000C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA0C)
    #define REG_000C_TRAIN_TOP_IGNORE_LOCK Fld(1, 0, AC_MSKB0)
    #define REG_000C_TRAIN_TOP_SPECIFIED_FRL_RATE_MD Fld(1, 1, AC_MSKB0)
    #define REG_000C_TRAIN_TOP_SPECIFIED_FRL_RATE_CR_MD Fld(1, 2, AC_MSKB0)
    #define REG_000C_TRAIN_TOP_SPECIFIED_FFE_MD Fld(1, 3, AC_MSKB0)
    #define REG_000C_TRAIN_TOP_FRL_START_DELAY_EN Fld(1, 4, AC_MSKB0)
    #define REG_000C_TRAIN_TOP_REQ_UPDATE_DELAY_EN Fld(1, 5, AC_MSKB0)
    #define REG_000C_TRAIN_TOP_LN3_LTP_REQ_3LANE_EN Fld(1, 6, AC_MSKB0)
    #define REG_000C_TRAIN_TOP_RETURN_CR_FFE0 Fld(1, 7, AC_MSKB0)
    #define REG_000C_TRAIN_TOP_SPECIFIED_FRL_RATE Fld(4, 8, AC_MSKB1)
    #define REG_000C_TRAIN_TOP_SPECIFIED_FFE Fld(4, 12, AC_MSKB1)
#define REG_0010_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA10)
    #define REG_0010_TRAIN_TOP_LN0_EQ_LTP_REQ Fld(4, 0, AC_MSKB0)
    #define REG_0010_TRAIN_TOP_LN1_EQ_LTP_REQ Fld(4, 4, AC_MSKB0)
    #define REG_0010_TRAIN_TOP_LN2_EQ_LTP_REQ Fld(4, 8, AC_MSKB1)
    #define REG_0010_TRAIN_TOP_LN3_EQ_LTP_REQ Fld(4, 12, AC_MSKB1)
#define REG_0014_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA14)
    #define REG_0014_TRAIN_TOP_FRL_FAIL_LTP_REQ Fld(4, 0, AC_MSKB0)
    #define REG_0014_TRAIN_TOP_TXFFE_OV Fld(4, 4, AC_MSKB0)
    #define REG_0014_TRAIN_TOP_TXFFE_OV_TRIG Fld(1, 8, AC_MSKB1)
    #define REG_0014_TRAIN_TOP_FRL_RETRAIN_SAME_RATE Fld(1, 14, AC_MSKB1)
    #define REG_0014_TRAIN_TOP_FRL_RETRAIN_DIFFERENT_RATE Fld(1, 15, AC_MSKB1)
#define REG_0018_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA18)
    #define REG_0018_TRAIN_TOP_FFE0_SCORE_BONUS Fld(8, 0, AC_FULLB0)
    #define REG_0018_TRAIN_TOP_FFE1_SCORE_BONUS Fld(8, 8, AC_FULLB1)
#define REG_001C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA1C)
    #define REG_001C_TRAIN_TOP_FFE2_SCORE_BONUS Fld(8, 0, AC_FULLB0)
    #define REG_001C_TRAIN_TOP_FFE3_SCORE_BONUS Fld(8, 8, AC_FULLB1)
#define REG_0020_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA20)
    #define REG_0020_TRAIN_TOP_FFE0_EQ_LB Fld(6, 0, AC_MSKB0)
    #define REG_0020_TRAIN_TOP_FFE0_EQ_UB Fld(6, 8, AC_MSKB1)
#define REG_0024_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA24)
    #define REG_0024_TRAIN_TOP_FFE1_EQ_LB Fld(6, 0, AC_MSKB0)
    #define REG_0024_TRAIN_TOP_FFE1_EQ_UB Fld(6, 8, AC_MSKB1)
#define REG_0028_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA28)
    #define REG_0028_TRAIN_TOP_FFE2_EQ_LB Fld(6, 0, AC_MSKB0)
    #define REG_0028_TRAIN_TOP_FFE2_EQ_UB Fld(6, 8, AC_MSKB1)
#define REG_002C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA2C)
    #define REG_002C_TRAIN_TOP_FFE3_EQ_LB Fld(6, 0, AC_MSKB0)
    #define REG_002C_TRAIN_TOP_FFE3_EQ_UB Fld(6, 8, AC_MSKB1)
#define REG_0030_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA30)
    #define REG_0030_TRAIN_TOP_CR_LOCK_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_0030_TRAIN_TOP_CR_LOCK_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_0030_TRAIN_TOP_RESET_CR_LOCK_TIMER Fld(1, 15, AC_MSKB1)
#define REG_0034_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA34)
    #define REG_0034_TRAIN_TOP_FLT_UPDATE_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_0034_TRAIN_TOP_FLT_UPDATE_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_0034_TRAIN_TOP_RESET_FLT_UPDATE_TIMER Fld(1, 15, AC_MSKB1)
#define REG_0038_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA38)
    #define REG_0038_TRAIN_TOP_NON_AUTO_EQ_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_0038_TRAIN_TOP_NON_AUTO_EQ_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_0038_TRAIN_TOP_RESET_NON_AUTO_EQ_TIMER Fld(1, 15, AC_MSKB1)
#define REG_003C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA3C)
    #define REG_003C_TRAIN_TOP_ALL_LOCK_TO_PHY_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_003C_TRAIN_TOP_ALL_LOCK_TO_PHY_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_003C_TRAIN_TOP_RESET_ALL_LOCK_TO_PHY_TIMER Fld(1, 15, AC_MSKB1)
#define REG_0040_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA40)
    #define REG_0040_TRAIN_TOP_EQ_RESULT_FFE0_L0 Fld(6, 0, AC_MSKB0)
    #define REG_0040_TRAIN_TOP_GOOD_PHASE_FFE0_L0 Fld(7, 8, AC_MSKB1)
#define REG_0044_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA44)
    #define REG_0044_TRAIN_TOP_EQ_RESULT_FFE0_L1 Fld(6, 0, AC_MSKB0)
    #define REG_0044_TRAIN_TOP_GOOD_PHASE_FFE0_L1 Fld(7, 8, AC_MSKB1)
#define REG_0048_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA48)
    #define REG_0048_TRAIN_TOP_EQ_RESULT_FFE0_L2 Fld(6, 0, AC_MSKB0)
    #define REG_0048_TRAIN_TOP_GOOD_PHASE_FFE0_L2 Fld(7, 8, AC_MSKB1)
#define REG_004C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA4C)
    #define REG_004C_TRAIN_TOP_EQ_RESULT_FFE0_L3 Fld(6, 0, AC_MSKB0)
    #define REG_004C_TRAIN_TOP_GOOD_PHASE_FFE0_L3 Fld(7, 8, AC_MSKB1)
#define REG_0050_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA50)
    #define REG_0050_TRAIN_TOP_EQ_RESULT_FFE1_L0 Fld(6, 0, AC_MSKB0)
    #define REG_0050_TRAIN_TOP_GOOD_PHASE_FFE1_L0 Fld(7, 8, AC_MSKB1)
#define REG_0054_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA54)
    #define REG_0054_TRAIN_TOP_EQ_RESULT_FFE1_L1 Fld(6, 0, AC_MSKB0)
    #define REG_0054_TRAIN_TOP_GOOD_PHASE_FFE1_L1 Fld(7, 8, AC_MSKB1)
#define REG_0058_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA58)
    #define REG_0058_TRAIN_TOP_EQ_RESULT_FFE1_L2 Fld(6, 0, AC_MSKB0)
    #define REG_0058_TRAIN_TOP_GOOD_PHASE_FFE1_L2 Fld(7, 8, AC_MSKB1)
#define REG_005C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA5C)
    #define REG_005C_TRAIN_TOP_EQ_RESULT_FFE1_L3 Fld(6, 0, AC_MSKB0)
    #define REG_005C_TRAIN_TOP_GOOD_PHASE_FFE1_L3 Fld(7, 8, AC_MSKB1)
#define REG_0060_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA60)
    #define REG_0060_TRAIN_TOP_EQ_RESULT_FFE2_L0 Fld(6, 0, AC_MSKB0)
    #define REG_0060_TRAIN_TOP_GOOD_PHASE_FFE2_L0 Fld(7, 8, AC_MSKB1)
#define REG_0064_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA64)
    #define REG_0064_TRAIN_TOP_EQ_RESULT_FFE2_L1 Fld(6, 0, AC_MSKB0)
    #define REG_0064_TRAIN_TOP_GOOD_PHASE_FFE2_L1 Fld(7, 8, AC_MSKB1)
#define REG_0068_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA68)
    #define REG_0068_TRAIN_TOP_EQ_RESULT_FFE2_L2 Fld(6, 0, AC_MSKB0)
    #define REG_0068_TRAIN_TOP_GOOD_PHASE_FFE2_L2 Fld(7, 8, AC_MSKB1)
#define REG_006C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA6C)
    #define REG_006C_TRAIN_TOP_EQ_RESULT_FFE2_L3 Fld(6, 0, AC_MSKB0)
    #define REG_006C_TRAIN_TOP_GOOD_PHASE_FFE2_L3 Fld(7, 8, AC_MSKB1)
#define REG_0070_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA70)
    #define REG_0070_TRAIN_TOP_EQ_RESULT_FFE3_L0 Fld(6, 0, AC_MSKB0)
    #define REG_0070_TRAIN_TOP_GOOD_PHASE_FFE3_L0 Fld(7, 8, AC_MSKB1)
#define REG_0074_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA74)
    #define REG_0074_TRAIN_TOP_EQ_RESULT_FFE3_L1 Fld(6, 0, AC_MSKB0)
    #define REG_0074_TRAIN_TOP_GOOD_PHASE_FFE3_L1 Fld(7, 8, AC_MSKB1)
#define REG_0078_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA78)
    #define REG_0078_TRAIN_TOP_EQ_RESULT_FFE3_L2 Fld(6, 0, AC_MSKB0)
    #define REG_0078_TRAIN_TOP_GOOD_PHASE_FFE3_L2 Fld(7, 8, AC_MSKB1)
#define REG_007C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA7C)
    #define REG_007C_TRAIN_TOP_EQ_RESULT_FFE3_L3 Fld(6, 0, AC_MSKB0)
    #define REG_007C_TRAIN_TOP_GOOD_PHASE_FFE3_L3 Fld(7, 8, AC_MSKB1)
#define REG_0080_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA80)
    #define REG_0080_TRAIN_TOP_QUALITY_ENOUGH_FFE0_L0 Fld(1, 0, AC_MSKB0)
    #define REG_0080_TRAIN_TOP_QUALITY_ENOUGH_FFE0_L1 Fld(1, 1, AC_MSKB0)
    #define REG_0080_TRAIN_TOP_QUALITY_ENOUGH_FFE0_L2 Fld(1, 2, AC_MSKB0)
    #define REG_0080_TRAIN_TOP_QUALITY_ENOUGH_FFE0_L3 Fld(1, 3, AC_MSKB0)
    #define REG_0080_TRAIN_TOP_QUALITY_GOOD_FFE0_L0 Fld(1, 4, AC_MSKB0)
    #define REG_0080_TRAIN_TOP_QUALITY_GOOD_FFE0_L1 Fld(1, 5, AC_MSKB0)
    #define REG_0080_TRAIN_TOP_QUALITY_GOOD_FFE0_L2 Fld(1, 6, AC_MSKB0)
    #define REG_0080_TRAIN_TOP_QUALITY_GOOD_FFE0_L3 Fld(1, 7, AC_MSKB0)
    #define REG_0080_TRAIN_TOP_QUALITY_ENOUGH_FFE1_L0 Fld(1, 8, AC_MSKB1)
    #define REG_0080_TRAIN_TOP_QUALITY_ENOUGH_FFE1_L1 Fld(1, 9, AC_MSKB1)
    #define REG_0080_TRAIN_TOP_QUALITY_ENOUGH_FFE1_L2 Fld(1, 10, AC_MSKB1)
    #define REG_0080_TRAIN_TOP_QUALITY_ENOUGH_FFE1_L3 Fld(1, 11, AC_MSKB1)
    #define REG_0080_TRAIN_TOP_QUALITY_GOOD_FFE1_L0 Fld(1, 12, AC_MSKB1)
    #define REG_0080_TRAIN_TOP_QUALITY_GOOD_FFE1_L1 Fld(1, 13, AC_MSKB1)
    #define REG_0080_TRAIN_TOP_QUALITY_GOOD_FFE1_L2 Fld(1, 14, AC_MSKB1)
    #define REG_0080_TRAIN_TOP_QUALITY_GOOD_FFE1_L3 Fld(1, 15, AC_MSKB1)
#define REG_0084_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA84)
    #define REG_0084_TRAIN_TOP_QUALITY_ENOUGH_FFE2_L0 Fld(1, 0, AC_MSKB0)
    #define REG_0084_TRAIN_TOP_QUALITY_ENOUGH_FFE2_L1 Fld(1, 1, AC_MSKB0)
    #define REG_0084_TRAIN_TOP_QUALITY_ENOUGH_FFE2_L2 Fld(1, 2, AC_MSKB0)
    #define REG_0084_TRAIN_TOP_QUALITY_ENOUGH_FFE2_L3 Fld(1, 3, AC_MSKB0)
    #define REG_0084_TRAIN_TOP_QUALITY_GOOD_FFE2_L0 Fld(1, 4, AC_MSKB0)
    #define REG_0084_TRAIN_TOP_QUALITY_GOOD_FFE2_L1 Fld(1, 5, AC_MSKB0)
    #define REG_0084_TRAIN_TOP_QUALITY_GOOD_FFE2_L2 Fld(1, 6, AC_MSKB0)
    #define REG_0084_TRAIN_TOP_QUALITY_GOOD_FFE2_L3 Fld(1, 7, AC_MSKB0)
    #define REG_0084_TRAIN_TOP_QUALITY_ENOUGH_FFE3_L0 Fld(1, 8, AC_MSKB1)
    #define REG_0084_TRAIN_TOP_QUALITY_ENOUGH_FFE3_L1 Fld(1, 9, AC_MSKB1)
    #define REG_0084_TRAIN_TOP_QUALITY_ENOUGH_FFE3_L2 Fld(1, 10, AC_MSKB1)
    #define REG_0084_TRAIN_TOP_QUALITY_ENOUGH_FFE3_L3 Fld(1, 11, AC_MSKB1)
    #define REG_0084_TRAIN_TOP_QUALITY_GOOD_FFE3_L0 Fld(1, 12, AC_MSKB1)
    #define REG_0084_TRAIN_TOP_QUALITY_GOOD_FFE3_L1 Fld(1, 13, AC_MSKB1)
    #define REG_0084_TRAIN_TOP_QUALITY_GOOD_FFE3_L2 Fld(1, 14, AC_MSKB1)
    #define REG_0084_TRAIN_TOP_QUALITY_GOOD_FFE3_L3 Fld(1, 15, AC_MSKB1)
#define REG_0088_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA88)
    #define REG_0088_TRAIN_TOP_EQ_RESULT_BEST_L0 Fld(6, 0, AC_MSKB0)
    #define REG_0088_TRAIN_TOP_GOOD_PHASE_BEST_L0 Fld(7, 8, AC_MSKB1)
#define REG_008C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA8C)
    #define REG_008C_TRAIN_TOP_EQ_RESULT_BEST_L1 Fld(6, 0, AC_MSKB0)
    #define REG_008C_TRAIN_TOP_GOOD_PHASE_BEST_L1 Fld(7, 8, AC_MSKB1)
#define REG_0090_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA90)
    #define REG_0090_TRAIN_TOP_EQ_RESULT_BEST_L2 Fld(6, 0, AC_MSKB0)
    #define REG_0090_TRAIN_TOP_GOOD_PHASE_BEST_L2 Fld(7, 8, AC_MSKB1)
#define REG_0094_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA94)
    #define REG_0094_TRAIN_TOP_EQ_RESULT_BEST_L3 Fld(6, 0, AC_MSKB0)
    #define REG_0094_TRAIN_TOP_GOOD_PHASE_BEST_L3 Fld(7, 8, AC_MSKB1)
#define REG_0098_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA98)
    #define REG_0098_TRAIN_TOP_QUALITY_ENOUGH_BEST_L0 Fld(1, 0, AC_MSKB0)
    #define REG_0098_TRAIN_TOP_QUALITY_ENOUGH_BEST_L1 Fld(1, 1, AC_MSKB0)
    #define REG_0098_TRAIN_TOP_QUALITY_ENOUGH_BEST_L2 Fld(1, 2, AC_MSKB0)
    #define REG_0098_TRAIN_TOP_QUALITY_ENOUGH_BEST_L3 Fld(1, 3, AC_MSKB0)
    #define REG_0098_TRAIN_TOP_QUALITY_GOOD_BEST_L0 Fld(1, 4, AC_MSKB0)
    #define REG_0098_TRAIN_TOP_QUALITY_GOOD_BEST_L1 Fld(1, 5, AC_MSKB0)
    #define REG_0098_TRAIN_TOP_QUALITY_GOOD_BEST_L2 Fld(1, 6, AC_MSKB0)
    #define REG_0098_TRAIN_TOP_QUALITY_GOOD_BEST_L3 Fld(1, 7, AC_MSKB0)
#define REG_009C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xA9C)
    #define REG_009C_TRAIN_TOP_LN0_LTP_SET Fld(4, 0, AC_MSKB0)
    #define REG_009C_TRAIN_TOP_LN1_LTP_SET Fld(4, 4, AC_MSKB0)
    #define REG_009C_TRAIN_TOP_LN2_LTP_SET Fld(4, 8, AC_MSKB1)
    #define REG_009C_TRAIN_TOP_LN3_LTP_SET Fld(4, 12, AC_MSKB1)
#define REG_00A0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAA0)
    #define REG_00A0_TRAIN_TOP_TXFFE Fld(4, 0, AC_MSKB0)
    #define REG_00A0_TRAIN_TOP_NORMAL_TRAIN_FSM Fld(3, 8, AC_MSKB1)
    #define REG_00A0_TRAIN_TOP_NORMAL_TRAIN_DONE_RD Fld(1, 11, AC_MSKB1)
    #define REG_00A0_TRAIN_TOP_FRL_START_EVER Fld(1, 12, AC_MSKB1)
#define REG_00A4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAA4)
    #define REG_00A4_TRAIN_TOP_NORMAL_TRAIN_IGNORE_CR_LOCK Fld(1, 0, AC_MSKB0)
    #define REG_00A4_TRAIN_TOP_NORMAL_TRAIN_IGNORE_EQ_LOCK Fld(1, 1, AC_MSKB0)
    #define REG_00A4_TRAIN_TOP_MAX_FRL_RATE Fld(4, 4, AC_MSKB0)
#define REG_00AC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAAC)
    #define REG_00AC_TRAIN_TOP_LN0_LTP_REQ_SW_TRIG Fld(4, 0, AC_MSKB0)
    #define REG_00AC_TRAIN_TOP_LN1_LTP_REQ_SW_TRIG Fld(4, 4, AC_MSKB0)
    #define REG_00AC_TRAIN_TOP_LN2_LTP_REQ_SW_TRIG Fld(4, 8, AC_MSKB1)
    #define REG_00AC_TRAIN_TOP_LN3_LTP_REQ_SW_TRIG Fld(4, 12, AC_MSKB1)
#define REG_00B0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAB0)
    #define REG_00B0_TRAIN_TOP_REQ_UPDATE_DELAY_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_00B0_TRAIN_TOP_REQ_UPDATE_DELAY_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_00B0_TRAIN_TOP_RESET_REQ_UPDATE_DELAY_TIMER Fld(1, 15, AC_MSKB1)
#define REG_00B4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAB4)
    #define REG_00B4_TRAIN_TOP_FRL_TRAIN_SW_MD Fld(1, 0, AC_MSKB0)
    #define REG_00B4_TRAIN_TOP_FLT_UPDATE_KEEP_HW_MD Fld(1, 1, AC_MSKB0)
    #define REG_00B4_TRAIN_TOP_LTP_REQ_DONT_CARE_UPDATE_CLR Fld(1, 2, AC_MSKB0)
    #define REG_00B4_TRAIN_TOP_FLT_UPDATE_SW_TRIG Fld(1, 8, AC_MSKB1)
    #define REG_00B4_TRAIN_TOP_FRL_START_SW_TRIG Fld(1, 9, AC_MSKB1)
    #define REG_00B4_TRAIN_TOP_FRL_START_CLR_SW_TRIG Fld(1, 10, AC_MSKB1)
    #define REG_00B4_TRAIN_TOP_LTP_REQ_SW_TRIG Fld(1, 11, AC_MSKB1)
#define REG_00B8_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAB8)
    #define REG_00B8_TRAIN_TOP_LN0_LTP_REQ_SW Fld(4, 0, AC_MSKB0)
    #define REG_00B8_TRAIN_TOP_LN1_LTP_REQ_SW Fld(4, 4, AC_MSKB0)
    #define REG_00B8_TRAIN_TOP_LN2_LTP_REQ_SW Fld(4, 8, AC_MSKB1)
    #define REG_00B8_TRAIN_TOP_LN3_LTP_REQ_SW Fld(4, 12, AC_MSKB1)
#define REG_00BC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xABC)
    #define REG_00BC_TRAIN_TOP_FLT_UPDATE_NO_UPDATE_READ_REGEN Fld(1, 0, AC_MSKB0)
    #define REG_00BC_TRAIN_TOP_FLT_UPDATE_NO_REQ_READ_REGEN Fld(1, 1, AC_MSKB0)
    #define REG_00BC_TRAIN_TOP_FLT_UPDATE_RATE_CHG_REGEN Fld(1, 2, AC_MSKB0)
    #define REG_00BC_TRAIN_TOP_FLT_UPDATE_AFTER_RATE_CHG Fld(1, 3, AC_MSKB0)
    #define REG_00BC_TRAIN_TOP_FLT_UPDATE_TWICE_REGEN Fld(1, 4, AC_MSKB0)
    #define REG_00BC_TRAIN_TOP_FLT_UPDATE_REQ_NEQ_REGEN Fld(1, 5, AC_MSKB0)
    #define REG_00BC_TRAIN_TOP_DONT_CARE_FLT_UPDATE_READ Fld(1, 8, AC_MSKB1)
    #define REG_00BC_TRAIN_TOP_DONT_CARE_FLT_REQ_READ Fld(1, 9, AC_MSKB1)
    #define REG_00BC_TRAIN_TOP_DONT_CARE_FRL_RATE_CHG_CLR Fld(1, 10, AC_MSKB1)
    #define REG_00BC_TRAIN_TOP_CR_LOCK_CLR_EN Fld(1, 15, AC_MSKB1)
#define REG_00C0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAC0)
    #define REG_00C0_TRAIN_TOP_FAST_TRAIN_AUTO_EQ_EN Fld(1, 0, AC_MSKB0)
    #define REG_00C0_TRAIN_TOP_FAST_TRAIN_EQ_TIME_OUT_EN Fld(1, 1, AC_MSKB0)
    #define REG_00C0_TRAIN_TOP_FRL_TRAINING_OVEN Fld(1, 2, AC_MSKB0)
    #define REG_00C0_TRAIN_TOP_FRL_TRAINING_OV Fld(1, 3, AC_MSKB0)
    #define REG_00C0_TRAIN_TOP_FAST_TRAIN_BYPASS_SCRAMBLE_TEST Fld(1, 4, AC_MSKB0)
    #define REG_00C0_TRAIN_TOP_FAST_TRAIN_BYPASS_TIMING_CHK Fld(1, 5, AC_MSKB0)
    #define REG_00C0_TRAIN_TOP_SYNTH_MD_TO_PHY_OVEN Fld(1, 6, AC_MSKB0)
    #define REG_00C0_TRAIN_TOP_SYNTH_MD_TO_PHY_OV Fld(1, 7, AC_MSKB0)
    #define REG_00C0_TRAIN_TOP_ALL_LOCK_TO_PHY_OVEN Fld(1, 8, AC_MSKB1)
    #define REG_00C0_TRAIN_TOP_ALL_LOCK_TO_PHY_OV Fld(1, 9, AC_MSKB1)
    #define REG_00C0_TRAIN_TOP_HDMI_CASE_AT_FREQ_DET Fld(5, 10, AC_MSKB1)
    #define REG_00C0_TRAIN_TOP_FAST_TRAIN_HW Fld(1, 15, AC_MSKB1)
#define REG_00C4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAC4)
    #define REG_00C4_TRAIN_TOP_FAST_TRAIN_STATUS Fld(3, 0, AC_MSKB0)
    #define REG_00C4_TRAIN_TOP_FAST_TRAIN_FLAG Fld(1, 3, AC_MSKB0)
    #define REG_00C4_TRAIN_TOP_FAST_TRAIN_RESULT_CASE Fld(4, 4, AC_MSKB0)
    #define REG_00C4_TRAIN_TOP_FAST_TRAIN_RESULT Fld(8, 8, AC_FULLB1)
#define REG_00C8_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAC8)
    #define REG_00C8_TRAIN_TOP_FAST_TRAIN_FSM Fld(4, 0, AC_MSKB0)
    #define REG_00C8_TRAIN_TOP_FAST_TRAIN_DONE_RD Fld(1, 4, AC_MSKB0)
    #define REG_00C8_TRAIN_TOP_FAST_TRAIN_SEL Fld(1, 5, AC_MSKB0)
    #define REG_00C8_TRAIN_TOP_HDMI_CASE_FREQ_DET Fld(5, 8, AC_MSKB1)
    #define REG_00C8_TRAIN_TOP_FAST_TRAIN_TRIGGER Fld(1, 15, AC_MSKB1)
#define REG_00CC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xACC)
    #define REG_00CC_TRAIN_TOP_FREQ_DET_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_00CC_TRAIN_TOP_FREQ_DET_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_00CC_TRAIN_TOP_RESET_FREQ_DET_TIMER Fld(1, 15, AC_MSKB1)
#define REG_00D0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAD0)
    #define REG_00D0_TRAIN_TOP_CR_CHK_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_00D0_TRAIN_TOP_CR_CHK_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_00D0_TRAIN_TOP_RESET_CR_CHK_TIMER Fld(1, 15, AC_MSKB1)
#define REG_00D4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAD4)
    #define REG_00D4_TRAIN_TOP_EQ_CHK_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_00D4_TRAIN_TOP_EQ_CHK_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_00D4_TRAIN_TOP_RESET_EQ_CHK_TIMER Fld(1, 15, AC_MSKB1)
#define REG_00D8_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAD8)
    #define REG_00D8_TRAIN_TOP_SYMBOL_CHK_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_00D8_TRAIN_TOP_SYMBOL_CHK_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_00D8_TRAIN_TOP_RESET_SYMBOL_CHK_TIMER Fld(1, 15, AC_MSKB1)
#define REG_00DC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xADC)
    #define REG_00DC_TRAIN_TOP_TIMING_CHK_TIMER Fld(10, 0, AC_MSKW10)
    #define REG_00DC_TRAIN_TOP_TIMING_CHK_TIMER_MODE Fld(1, 14, AC_MSKB1)
    #define REG_00DC_TRAIN_TOP_RESET_TIMING_CHK_TIMER Fld(1, 15, AC_MSKB1)
#define REG_00E0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAE0)
    #define REG_00E0_TRAIN_TOP_HDMI_SEARCH_CASE_0 Fld(8, 0, AC_FULLB0)
    #define REG_00E0_TRAIN_TOP_HDMI_SEARCH_CASE_1 Fld(8, 8, AC_FULLB1)
#define REG_00E4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAE4)
    #define REG_00E4_TRAIN_TOP_HDMI_SEARCH_CASE_2 Fld(8, 0, AC_FULLB0)
    #define REG_00E4_TRAIN_TOP_HDMI_SEARCH_CASE_3 Fld(8, 8, AC_FULLB1)
#define REG_00E8_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAE8)
    #define REG_00E8_TRAIN_TOP_HDMI_SEARCH_CASE_4 Fld(8, 0, AC_FULLB0)
    #define REG_00E8_TRAIN_TOP_HDMI_SEARCH_CASE_5 Fld(8, 8, AC_FULLB1)
#define REG_00EC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAEC)
    #define REG_00EC_TRAIN_TOP_HDMI_SEARCH_CASE_6 Fld(8, 0, AC_FULLB0)
    #define REG_00EC_TRAIN_TOP_HDMI_SEARCH_CASE_7 Fld(8, 8, AC_FULLB1)
#define REG_00F0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAF0)
    #define REG_00F0_TRAIN_TOP_HDMI_SEARCH_CASE_8 Fld(8, 0, AC_FULLB0)
    #define REG_00F0_TRAIN_TOP_HDMI_SEARCH_CASE_9 Fld(8, 8, AC_FULLB1)
#define REG_00F4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAF4)
    #define REG_00F4_TRAIN_TOP_DEBOUNCE_TH_RISE Fld(8, 0, AC_FULLB0)
    #define REG_00F4_TRAIN_TOP_DEBOUNCE_TH_FALL Fld(8, 8, AC_FULLB1)
#define REG_00F8_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAF8)
    #define REG_00F8_TRAIN_TOP_DEBOUNCE_SEL Fld(1, 0, AC_MSKB0)
    #define REG_00F8_TRAIN_TOP_DEBOUNCE_LANE_SEL Fld(3, 1, AC_MSKB0)
    #define REG_00F8_TRAIN_TOP_IGNORE_FREQ_DET_CASE Fld(1, 4, AC_MSKB0)
    #define REG_00F8_TRAIN_TOP_BYPASS_CR_LOCK_CHK Fld(1, 5, AC_MSKB0)
    #define REG_00F8_TRAIN_TOP_BYPASS_SYMBOL_LOCK_CHK Fld(1, 6, AC_MSKB0)
    #define REG_00F8_TRAIN_TOP_BYPASS_DE_STABLE_CHK Fld(1, 7, AC_MSKB0)
    #define REG_00F8_TRAIN_TOP_FAST_TRAIN_TRIGGER_IGNORE_LOCK Fld(1, 8, AC_MSKB1)
    #define REG_00F8_TRAIN_TOP_DEBOUNCE_ONE_SHOT_CLR Fld(1, 15, AC_MSKB1)
#define REG_00FC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xAFC)
    #define REG_00FC_TRAIN_TOP_CR_CHK_FAIL_NUM Fld(4, 0, AC_MSKB0)
    #define REG_00FC_TRAIN_TOP_SYMBOL_CHK_FAIL_NUM Fld(4, 4, AC_MSKB0)
    #define REG_00FC_TRAIN_TOP_TIMING_CHK_FAIL_NUM Fld(4, 8, AC_MSKB1)
#define REG_0100_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB00)
    #define REG_0100_TRAIN_TOP_CR_CHECK_SQH_EN Fld(1, 0, AC_MSKB0)
    #define REG_0100_TRAIN_TOP_AUTO_EQ_PRE_CURSOR_EN Fld(1, 1, AC_MSKB0)
    #define REG_0100_TRAIN_TOP_EQ_SETTLE_EN Fld(1, 8, AC_MSKB1)
    #define REG_0100_TRAIN_TOP_EQ_SETTLE_DONE Fld(1, 9, AC_MSKB1)
    #define REG_0100_TRAIN_TOP_EQ_SETTLE_PRD Fld(1, 15, AC_MSKB1)

//Page P0_HDMIRX_PHY_TRAIN_TOP_2
#define REG_0104_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB04)
    #define REG_0104_TRAIN_TOP_PRE_CURSOR_FFE_OV_EN Fld(1, 0, AC_MSKB0)
    #define REG_0104_TRAIN_TOP_PRE_CURSOR_FFE_OV_DONE Fld(1, 1, AC_MSKB0)
    #define REG_0104_TRAIN_TOP_PRE_CURSOR_FFE_OV_VALUE Fld(4, 8, AC_MSKB1)
#define REG_0108_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB08)
    #define REG_0108_TRAIN_TOP_PRE_CURSOR_THD Fld(10, 0, AC_MSKW10)
#define REG_010C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB0C)
    #define REG_010C_TRAIN_TOP_ST_PRE_CURSOR Fld(4, 0, AC_MSKB0)
#define REG_0140_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB40)
    #define REG_0140_TRAIN_TOP_PRE_CURSOR_FFE0_L0 Fld(10, 0, AC_MSKW10)
    #define REG_0140_TRAIN_TOP_CHECK_CURSOR_DONE_FFE0_L0 Fld(1, 15, AC_MSKB1)
#define REG_0144_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB44)
    #define REG_0144_TRAIN_TOP_PRE_CURSOR_FFE0_L1 Fld(10, 0, AC_MSKW10)
    #define REG_0144_TRAIN_TOP_CHECK_CURSOR_DONE_FFE0_L1 Fld(1, 15, AC_MSKB1)
#define REG_0148_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB48)
    #define REG_0148_TRAIN_TOP_PRE_CURSOR_FFE0_L2 Fld(10, 0, AC_MSKW10)
    #define REG_0148_TRAIN_TOP_CHECK_CURSOR_DONE_FFE0_L2 Fld(1, 15, AC_MSKB1)
#define REG_014C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB4C)
    #define REG_014C_TRAIN_TOP_PRE_CURSOR_FFE0_L3 Fld(10, 0, AC_MSKW10)
    #define REG_014C_TRAIN_TOP_CHECK_CURSOR_DONE_FFE0_L3 Fld(1, 15, AC_MSKB1)
#define REG_0150_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB50)
    #define REG_0150_TRAIN_TOP_PRE_CURSOR_FFE1_L0 Fld(10, 0, AC_MSKW10)
    #define REG_0150_TRAIN_TOP_CHECK_CURSOR_DONE_FFE1_L0 Fld(1, 15, AC_MSKB1)
#define REG_0154_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB54)
    #define REG_0154_TRAIN_TOP_PRE_CURSOR_FFE1_L1 Fld(10, 0, AC_MSKW10)
    #define REG_0154_TRAIN_TOP_CHECK_CURSOR_DONE_FFE1_L1 Fld(1, 15, AC_MSKB1)
#define REG_0158_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB58)
    #define REG_0158_TRAIN_TOP_PRE_CURSOR_FFE1_L2 Fld(10, 0, AC_MSKW10)
    #define REG_0158_TRAIN_TOP_CHECK_CURSOR_DONE_FFE1_L2 Fld(1, 15, AC_MSKB1)
#define REG_015C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB5C)
    #define REG_015C_TRAIN_TOP_PRE_CURSOR_FFE1_L3 Fld(10, 0, AC_MSKW10)
    #define REG_015C_TRAIN_TOP_CHECK_CURSOR_DONE_FFE1_L3 Fld(1, 15, AC_MSKB1)
#define REG_0160_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB60)
    #define REG_0160_TRAIN_TOP_PRE_CURSOR_FFE2_L0 Fld(10, 0, AC_MSKW10)
    #define REG_0160_TRAIN_TOP_CHECK_CURSOR_DONE_FFE2_L0 Fld(1, 15, AC_MSKB1)
#define REG_0164_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB64)
    #define REG_0164_TRAIN_TOP_PRE_CURSOR_FFE2_L1 Fld(10, 0, AC_MSKW10)
    #define REG_0164_TRAIN_TOP_CHECK_CURSOR_DONE_FFE2_L1 Fld(1, 15, AC_MSKB1)
#define REG_0168_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB68)
    #define REG_0168_TRAIN_TOP_PRE_CURSOR_FFE2_L2 Fld(10, 0, AC_MSKW10)
    #define REG_0168_TRAIN_TOP_CHECK_CURSOR_DONE_FFE2_L2 Fld(1, 15, AC_MSKB1)
#define REG_016C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB6C)
    #define REG_016C_TRAIN_TOP_PRE_CURSOR_FFE2_L3 Fld(10, 0, AC_MSKW10)
    #define REG_016C_TRAIN_TOP_CHECK_CURSOR_DONE_FFE2_L3 Fld(1, 15, AC_MSKB1)
#define REG_0170_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB70)
    #define REG_0170_TRAIN_TOP_PRE_CURSOR_FFE3_L0 Fld(10, 0, AC_MSKW10)
    #define REG_0170_TRAIN_TOP_CHECK_CURSOR_DONE_FFE3_L0 Fld(1, 15, AC_MSKB1)
#define REG_0174_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB74)
    #define REG_0174_TRAIN_TOP_PRE_CURSOR_FFE3_L1 Fld(10, 0, AC_MSKW10)
    #define REG_0174_TRAIN_TOP_CHECK_CURSOR_DONE_FFE3_L1 Fld(1, 15, AC_MSKB1)
#define REG_0178_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB78)
    #define REG_0178_TRAIN_TOP_PRE_CURSOR_FFE3_L2 Fld(10, 0, AC_MSKW10)
    #define REG_0178_TRAIN_TOP_CHECK_CURSOR_DONE_FFE3_L2 Fld(1, 15, AC_MSKB1)
#define REG_017C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB7C)
    #define REG_017C_TRAIN_TOP_PRE_CURSOR_FFE3_L3 Fld(10, 0, AC_MSKW10)
    #define REG_017C_TRAIN_TOP_CHECK_CURSOR_DONE_FFE3_L3 Fld(1, 15, AC_MSKB1)
#define REG_0180_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB80)
    #define REG_0180_TRAIN_TOP_HDMI21_TRAIN_TOP_IRQ_FINAL_STATUS Fld(16, 0, AC_FULLW10)
#define REG_0184_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB84)
    #define REG_0184_TRAIN_TOP_HDMI21_TRAIN_TOP_IRQ_STATUS Fld(16, 0, AC_FULLW10)
#define REG_0188_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB88)
    #define REG_0188_TRAIN_TOP_HDMI21_TRAIN_TOP_IRQ_MASK Fld(16, 0, AC_FULLW10)
#define REG_018C_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB8C)
    #define REG_018C_TRAIN_TOP_HDMI21_TRAIN_TOP_IRQ_FORCE Fld(16, 0, AC_FULLW10)
#define REG_0190_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xB90)
    #define REG_0190_TRAIN_TOP_HDMI21_TRAIN_TOP_IRQ_CLR Fld(16, 0, AC_FULLW10)
#define REG_01C0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBC0)
    #define REG_01C0_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED0 Fld(16, 0, AC_FULLW10)
#define REG_01C4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBC4)
    #define REG_01C4_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED1 Fld(16, 0, AC_FULLW10)
#define REG_01C8_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBC8)
    #define REG_01C8_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED2 Fld(16, 0, AC_FULLW10)
#define REG_01CC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBCC)
    #define REG_01CC_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED3 Fld(16, 0, AC_FULLW10)
#define REG_01D0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBD0)
    #define REG_01D0_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED4 Fld(16, 0, AC_FULLW10)
#define REG_01D4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBD4)
    #define REG_01D4_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED5 Fld(16, 0, AC_FULLW10)
#define REG_01D8_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBD8)
    #define REG_01D8_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED6 Fld(16, 0, AC_FULLW10)
#define REG_01DC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBDC)
    #define REG_01DC_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED7 Fld(16, 0, AC_FULLW10)
#define REG_01E0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBE0)
    #define REG_01E0_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED_RD0 Fld(16, 0, AC_FULLW10)
#define REG_01E4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBE4)
    #define REG_01E4_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED_RD1 Fld(16, 0, AC_FULLW10)
#define REG_01E8_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBE8)
    #define REG_01E8_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED_RD2 Fld(16, 0, AC_FULLW10)
#define REG_01EC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBEC)
    #define REG_01EC_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED_RD3 Fld(16, 0, AC_FULLW10)
#define REG_01F0_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBF0)
    #define REG_01F0_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED_RD4 Fld(16, 0, AC_FULLW10)
#define REG_01F4_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBF4)
    #define REG_01F4_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED_RD5 Fld(16, 0, AC_FULLW10)
#define REG_01F8_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBF8)
    #define REG_01F8_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED_RD6 Fld(16, 0, AC_FULLW10)
#define REG_01FC_TRAIN_TOP (HDMIRX_PHY_TRAIN_TOP_BASE + 0xBFC)
    #define REG_01FC_TRAIN_TOP_HDMI21_TRAIN_TOP_RESERVED_RD7 Fld(16, 0, AC_FULLW10)

