/* SPDX-License-Identifier: GPL-2.0-only */

#ifndef __SOC_MEDIATEK_MT8188_MMSYS_H
#define __SOC_MEDIATEK_MT8188_MMSYS_H

#define MT8188_VDO0_OVL_MOUT_EN				0xf14
#define MT8188_MOUT_DISP_OVL0_TO_DISP_RDMA0		BIT(0)
#define MT8188_MOUT_DISP_OVL0_TO_DISP_WDMA0		BIT(1)
#define MT8188_MOUT_DISP_OVL0_TO_DISP_OVL1		BIT(2)
#define MT8188_MOUT_DISP_OVL1_TO_DISP_RDMA1		BIT(4)
#define MT8188_MOUT_DISP_OVL1_TO_DISP_WDMA1		BIT(5)
#define MT8188_MOUT_DISP_OVL1_TO_DISP_OVL0		BIT(6)

#define MT8188_VDO0_SEL_IN				0xf34
#define MT8188_SEL_IN_SINA_VIRTUAL0_FROM_MASK			GENMASK(1, 0)
#define MT8188_SEL_IN_SINA_VIRTUAL0_FROM_VPP_MERGE		(0)
#define MT8188_SEL_IN_SINA_VIRTUAL0_FROM_DSC_WRAP0_OUT		(1)
#define MT8188_SEL_IN_SINA_VIRTUAL0_FROM_DISP_DITHER0		(2)
#define MT8188_VDO0_SEL_OUT				0xf38
#define MT8188_SOUT_VDO1_VIRTUAL0_TO_MASK			BIT(0)
#define MT8188_SOUT_VDO1_VIRTUAL0_TO_VPP_MERGE			(0 << 0)
#define MT8188_SOUT_VDO1_VIRTUAL0_TO_DP_INTF0			(1 << 0)

#define MT8188_VDO0_DISP_RDMA_SEL			0xf40
#define MT8188_SOUT_DISP_RDMA0_TO_MASK			GENMASK(2, 0)
#define MT8188_SOUT_DISP_RDMA0_TO_DISP_COLOR0		(0 << 0)
#define MT8188_SOUT_DISP_RDMA0_TO_DISP_DSI0		(1 << 0)
#define MT8188_SOUT_DISP_RDMA0_TO_DISP_DP_INTF0		(5 << 0)
#define MT8188_SEL_IN_DISP_RDMA0_FROM_MASK		GENMASK(8, 8)
#define MT8188_SEL_IN_DISP_RDMA0_FROM_DISP_OVL0		(0 << 8)
#define MT8188_SEL_IN_DISP_RDMA0_FROM_DISP_RSZ0		(1 << 8)


#define MT8188_VDO0_DSI0_SEL_IN				0xf44
#define MT8188_SEL_IN_DSI0_FROM_MASK			BIT(0)
#define MT8188_SEL_IN_DSI0_FROM_DSC_WRAP0_OUT		(0 << 0)
#define MT8188_SEL_IN_DSI0_FROM_DISP_DITHER0		(1 << 0)

#define MT8188_VDO0_DP_INTF0_SEL_IN			0xf4C
#define MT8188_SEL_IN_DP_INTF0_FROM_MASK		GENMASK(2, 0)
#define MT8188_SEL_IN_DP_INTF0_FROM_DSC_WRAP0C1_OUT	(0 << 0)
#define MT8188_SEL_IN_DP_INTF0_FROM_VPP_MERGE		(1 << 0)
#define MT8188_SEL_IN_DP_INTF0_FROM_VDO1_VIRTUAL0	(2 << 0)
#define MT8188_SEL_IN_DP_INTF0_FROM_DISP_DITHER0	(3 << 0)

#define MT8188_VDO0_DISP_DITHER0_SEL_OUT		0xf58
#define MT8188_SOUT_DISP_DITHER0_TO_MASK		GENMASK(2, 0)
#define MT8188_SOUT_DISP_DITHER0_TO_DSC_WRAP0_IN	(0 << 0)
#define MT8188_SOUT_DISP_DITHER0_TO_DSI0		(1 << 0)
#define MT8188_SOUT_DISP_DITHER0_TO_VPP_MERGE0		(6 << 0)
#define MT8188_SOUT_DISP_DITHER0_TO_DP_INTF0		(7 << 0)

#define MT8188_VDO0_VPP_MERGE_SEL			0xf60
#define MT8188_SEL_IN_VPP_MERGE_FROM_MASK		GENMASK(1, 0)
#define MT8188_SEL_IN_VPP_MERGE_FROM_DSC_WRAP0_OUT	(0 << 0)
#define MT8188_SEL_IN_VPP_MERGE_FROM_DITHER0_OUT	(3 << 0)

#define MT8188_SOUT_VPP_MERGE_TO_MASK			GENMASK(6, 4)
#define MT8188_SOUT_VPP_MERGE_TO_DSI1			(0 << 4)
#define MT8188_SOUT_VPP_MERGE_TO_DP_INTF0		(1 << 4)
#define MT8188_SOUT_VPP_MERGE_TO_SINA_VIRTUAL0		(2 << 4)
#define MT8188_SOUT_VPP_MERGE_TO_DISP_WDMA1		(3 << 4)
#define MT8188_SOUT_VPP_MERGE_TO_DSC_WRAP0_IN		(4 << 4)
#define MT8188_SOUT_VPP_MERGE_TO_DISP_WDMA0		(5 << 4)
#define MT8188_SOUT_VPP_MERGE_TO_DSC_WRAP1_IN_MASK	GENMASK(11, 11)
#define MT8188_SOUT_VPP_MERGE_TO_DSC_WRAP1_IN		(0 << 11)

#define MT8188_VDO0_DSC_WARP_SEL			0xf64
#define MT8188_SEL_IN_DSC_WRAP0C0_IN_FROM_MASK		GENMASK(0, 0)
#define MT8188_SEL_IN_DSC_WRAP0C0_IN_FROM_DISP_DITHER0	(0 << 0)
#define MT8188_SEL_IN_DSC_WRAP0C0_IN_FROM_VPP_MERGE	(1 << 0)
#define MT8188_SOUT_DSC_WRAP0_OUT_TO_MASK		GENMASK(19, 16)
#define MT8188_SOUT_DSC_WRAP0_OUT_TO_DSI0		BIT(16)
#define MT8188_SOUT_DSC_WRAP0_OUT_TO_SINB_VIRTUAL0	BIT(17)
#define MT8188_SOUT_DSC_WRAP0_OUT_TO_VPP_MERGE		BIT(18)
#define MT8188_SOUT_DSC_WRAP0_OUT_TO_DISP_WDMA0		BIT(19)

#define MT8188_VDO1_SW0_RST_B					0x1d0
#define MT8188_VDO1_VDO0_DSC_CFG_WD	0xe10
#define MT8188_VDO1_VDO0_MERGE_CFG_WD	0xe20
#define MT8188_VDO1_MERGE0_ASYNC_CFG_WD				0xe30
#define MT8188_VDO1_HDRBE_ASYNC_CFG_WD				0xe70
#define MT8188_VDO1_OUT_CFG	0xee0
#define MT8188_VDO1_HDR_TOP_CFG					0xd00
#define MT8188_VDO1_MIXER_IN1_ALPHA				0xd30
#define MT8188_VDO1_MIXER_IN1_PAD				0xd40

#define MT8188_VDO0_DL_RELAY2_CFD		0x248
#define MT8188_VDO0_DL_RELAY3_CFD		0x24c
#define MT8188_VDO0_DL_RELAY4_CFD		0x250

#define MT8188_VDO1_VPP_MERGE0_P0_SEL_IN			0xf04
#define MT8188_VPP_MERGE0_P0_SEL_IN_FROM_MDP_RDMA0			1

#define MT8188_VDO1_VPP_MERGE0_P1_SEL_IN			0xf08
#define MT8188_VPP_MERGE0_P1_SEL_IN_FROM_MDP_RDMA1			1

#define MT8188_VDO1_DISP_DPI0_SEL_IN				0xf0c
#define MT8188_DISP_DPI0_SEL_IN_FROM_VPP_MERGE4_MOUT			0
#define MT8188_DISP_DPI0_SEL_IN_FROM_VDO0_MERGE_DL_ASYNC_MOUT			1
#define MT8188_DISP_DPI0_SEL_IN_FROM_VDO0_DSC_DL_ASYNC_MOUT			2

#define MT8188_VDO1_DISP_DPI1_SEL_IN				0xf10
#define MT8188_DISP_DPI1_SEL_IN_FROM_VPP_MERGE4_MOUT			0
#define MT8188_DISP_DPI1_SEL_IN_FROM_VDO0_MERGE_DL_ASYNC_MOUT			1
#define MT8188_DISP_DPI1_SEL_IN_FROM_VDO0_DSC_DL_ASYNC_MOUT			2

#define MT8188_VDO1_DISP_DP_INTF0_SEL_IN			0xf14
#define MT8188_DISP_DP_INTF0_SEL_IN_FROM_VPP_MERGE4_MOUT		0
#define MT8188_DISP_DP_INTF0_SEL_IN_FROM_VDO0_MERGE_DL_ASYNC_MOUT			1
#define MT8188_DISP_DP_INTF0_SEL_IN_FROM_VDO0_DSC_DL_ASYNC_MOUT			2

#define MT8188_VDO1_VDO0_DSC_DL_ASYNC_MOUT_EN			0xf1c
#define MT8188_VDO0_DSC_DL_ASYNC_TO_DPI0_SEL			BIT(0)
#define MT8188_VDO0_DSC_DL_ASYNC_TO_DPI1_SEL			BIT(1)
#define MT8188_VDO0_DSC_DL_ASYNC_TO_DP_INTF0_SEL			BIT(2)

#define MT8188_VDO1_VDO0_MERGE_DL_ASYNC_MOUT_EN			0xf20
#define MT8188_VDO0_DSC_MERGE_ASYNC_TO_DPI0_SEL			BIT(0)
#define MT8188_VDO0_DSC_MERGE_ASYNC_TO_DPI1_SEL			BIT(1)
#define MT8188_VDO0_DSC_MERGE_ASYNC_TO_DP_INTF0_SEL			BIT(2)

#define MT8188_VDO1_MERGE4_SOUT_SEL				0xf18
#define MT8188_MERGE4_SOUT_TO_VDO0					BIT(0)
#define MT8188_MERGE4_SOUT_TO_DPI1_SEL					BIT(2)
#define MT8188_MERGE4_SOUT_TO_DP_INTF0_SEL				BIT(3)

#define MT8188_VDO1_MIXER_IN1_SEL_IN				0xf24
#define MT8188_MIXER_IN1_SEL_IN_FROM_MERGE0_ASYNC_SOUT			1

#define MT8188_VDO1_MIXER_IN2_SEL_IN				0xf28
#define MT8188_MIXER_IN2_SEL_IN_FROM_MERGE1_ASYNC_SOUT			1

#define MT8188_VDO1_MIXER_IN3_SEL_IN				0xf2c
#define MT8188_MIXER_IN3_SEL_IN_FROM_MERGE2_ASYNC_SOUT			1

#define MT8188_VDO1_MIXER_IN4_SEL_IN				0xf30
#define MT8188_MIXER_IN4_SEL_IN_FROM_MERGE3_ASYNC_SOUT			1

#define MT8188_VDO1_MIXER_OUT_SOUT_SEL				0xf34
#define MT8188_MIXER_SOUT_TO_MERGE4_ASYNC_SEL				1

#define MT8188_VDO1_VPP_MERGE1_P0_SEL_IN			0xf3c
#define MT8188_VPP_MERGE1_P0_SEL_IN_FROM_MDP_RDMA2			1

#define MT8188_VDO1_MERGE0_ASYNC_SOUT_SEL			0xf40
#define MT8188_SOUT_TO_MIXER_IN1_SEL					1

#define MT8188_VDO1_MERGE1_ASYNC_SOUT_SEL			0xf44
#define MT8188_SOUT_TO_MIXER_IN2_SEL					1

#define MT8188_VDO1_MERGE2_ASYNC_SOUT_SEL			0xf48
#define MT8188_SOUT_TO_MIXER_IN3_SEL					1

#define MT8188_VDO1_MERGE3_ASYNC_SOUT_SEL			0xf4c
#define MT8188_SOUT_TO_MIXER_IN4_SEL					1

#define MT8188_VDO1_MERGE4_ASYNC_SEL_IN				0xf50
#define MT8188_MERGE4_ASYNC_SEL_IN_FROM_MIXER_OUT_SOUT			1

#define MT8188_VDO1_MIXER_IN1_SOUT_SEL				0xf58
#define MT8188_MIXER_IN1_SOUT_TO_DISP_MIXER				0

#define MT8188_VDO1_MIXER_IN2_SOUT_SEL				0xf5c
#define MT8188_MIXER_IN2_SOUT_TO_DISP_MIXER				0

#define MT8188_VDO1_MIXER_IN3_SOUT_SEL				0xf60
#define MT8188_MIXER_IN3_SOUT_TO_DISP_MIXER				0

#define MT8188_VDO1_MIXER_IN4_SOUT_SEL				0xf64
#define MT8188_MIXER_IN4_SOUT_TO_DISP_MIXER				0

#define MT8188_VDO1_MIXER_SOUT_SEL_IN				0xf68
#define MT8188_MIXER_SOUT_SEL_IN_FROM_DISP_MIXER			0



static const struct mtk_mmsys_routes mmsys_mt8188_routing_table[] = {
	{
		DDP_COMPONENT_OVL0, DDP_COMPONENT_RDMA0,
		MT8188_VDO0_OVL_MOUT_EN, MT8188_MOUT_DISP_OVL0_TO_DISP_RDMA0,
		MT8188_MOUT_DISP_OVL0_TO_DISP_RDMA0
	}, {
		DDP_COMPONENT_OVL0, DDP_COMPONENT_WDMA0,
		MT8188_VDO0_OVL_MOUT_EN, MT8188_MOUT_DISP_OVL0_TO_DISP_WDMA0,
		MT8188_MOUT_DISP_OVL0_TO_DISP_WDMA0
	}, {
		DDP_COMPONENT_OVL0, DDP_COMPONENT_RDMA0,
		MT8188_VDO0_DISP_RDMA_SEL, MT8188_SEL_IN_DISP_RDMA0_FROM_MASK,
		MT8188_SEL_IN_DISP_RDMA0_FROM_DISP_OVL0
	}, {
		DDP_COMPONENT_DITHER0, DDP_COMPONENT_DSI0,
		MT8188_VDO0_DSI0_SEL_IN, MT8188_SEL_IN_DSI0_FROM_MASK,
		MT8188_SEL_IN_DSI0_FROM_DISP_DITHER0
	}, {
		DDP_COMPONENT_DITHER0, DDP_COMPONENT_MERGE0,
		MT8188_VDO0_VPP_MERGE_SEL, MT8188_SEL_IN_VPP_MERGE_FROM_MASK,
		MT8188_SEL_IN_VPP_MERGE_FROM_DITHER0_OUT
	}, {
		DDP_COMPONENT_DITHER0, DDP_COMPONENT_DSC0,
		MT8188_VDO0_DSC_WARP_SEL,
		MT8188_SEL_IN_DSC_WRAP0C0_IN_FROM_MASK,
		MT8188_SEL_IN_DSC_WRAP0C0_IN_FROM_DISP_DITHER0
	}, {
		DDP_COMPONENT_DITHER0, DDP_COMPONENT_DP_INTF0,
		MT8188_VDO0_DP_INTF0_SEL_IN, MT8188_SEL_IN_DP_INTF0_FROM_MASK,
		MT8188_SEL_IN_DP_INTF0_FROM_DISP_DITHER0
	}, {
		DDP_COMPONENT_DSC0, DDP_COMPONENT_MERGE0,
		MT8188_VDO0_VPP_MERGE_SEL, MT8188_SEL_IN_VPP_MERGE_FROM_MASK,
		MT8188_SEL_IN_VPP_MERGE_FROM_DSC_WRAP0_OUT
	}, {
		DDP_COMPONENT_DSC0, DDP_COMPONENT_DSI0,
		MT8188_VDO0_DSI0_SEL_IN, MT8188_SEL_IN_DSI0_FROM_MASK,
		MT8188_SEL_IN_DSI0_FROM_DSC_WRAP0_OUT
	}, {
		DDP_COMPONENT_RDMA0, DDP_COMPONENT_COLOR0,
		MT8188_VDO0_DISP_RDMA_SEL, MT8188_SOUT_DISP_RDMA0_TO_MASK,
		MT8188_SOUT_DISP_RDMA0_TO_DISP_COLOR0
	},  {
		DDP_COMPONENT_DITHER0, DDP_COMPONENT_DSC0,
		MT8188_VDO0_DISP_DITHER0_SEL_OUT, MT8188_SOUT_DISP_DITHER0_TO_MASK,
		MT8188_SOUT_DISP_DITHER0_TO_DSC_WRAP0_IN
	}, {
		DDP_COMPONENT_DITHER0, DDP_COMPONENT_DSI0,
		MT8188_VDO0_DISP_DITHER0_SEL_OUT,
		MT8188_SOUT_DISP_DITHER0_TO_MASK,
		MT8188_SOUT_DISP_DITHER0_TO_DSI0
	},  {
		DDP_COMPONENT_DITHER0, DDP_COMPONENT_MERGE0,
		MT8188_VDO0_DISP_DITHER0_SEL_OUT, MT8188_SOUT_DISP_DITHER0_TO_MASK,
		MT8188_SOUT_DISP_DITHER0_TO_VPP_MERGE0
	}, {
		DDP_COMPONENT_DITHER0, DDP_COMPONENT_DP_INTF0,
		MT8188_VDO0_DISP_DITHER0_SEL_OUT,
		MT8188_SOUT_DISP_DITHER0_TO_MASK,
		MT8188_SOUT_DISP_DITHER0_TO_DP_INTF0
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DP_INTF0,
		MT8188_VDO0_VPP_MERGE_SEL, MT8188_SOUT_VPP_MERGE_TO_MASK,
		MT8188_SOUT_VPP_MERGE_TO_DP_INTF0
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DP_INTF0,
		MT8188_VDO0_DP_INTF0_SEL_IN, MT8188_SEL_IN_DP_INTF0_FROM_MASK,
		MT8188_SEL_IN_DP_INTF0_FROM_VPP_MERGE
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DPI0,
		MT8188_VDO0_VPP_MERGE_SEL, MT8188_SOUT_VPP_MERGE_TO_MASK,
		MT8188_SOUT_VPP_MERGE_TO_SINA_VIRTUAL0
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DPI1,
		MT8188_VDO0_VPP_MERGE_SEL, MT8188_SOUT_VPP_MERGE_TO_MASK,
		MT8188_SOUT_VPP_MERGE_TO_SINA_VIRTUAL0
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DPI1,
		MT8188_VDO0_SEL_IN, MT8188_SEL_IN_SINA_VIRTUAL0_FROM_MASK,
		MT8188_SEL_IN_SINA_VIRTUAL0_FROM_VPP_MERGE
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_WDMA0,
		MT8188_VDO0_VPP_MERGE_SEL, MT8188_SOUT_VPP_MERGE_TO_MASK,
		MT8188_SOUT_VPP_MERGE_TO_DISP_WDMA0
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DSC0,
		MT8188_VDO0_VPP_MERGE_SEL, MT8188_SOUT_VPP_MERGE_TO_MASK,
		MT8188_SOUT_VPP_MERGE_TO_DSC_WRAP0_IN
	}, {
		DDP_COMPONENT_DSC0, DDP_COMPONENT_DSI0,
		MT8188_VDO0_DSC_WARP_SEL, MT8188_SOUT_DSC_WRAP0_OUT_TO_MASK,
		MT8188_SOUT_DSC_WRAP0_OUT_TO_DSI0
	}, {
		DDP_COMPONENT_DSC0, DDP_COMPONENT_MERGE0,
		MT8188_VDO0_DSC_WARP_SEL, MT8188_SOUT_DSC_WRAP0_OUT_TO_MASK,
		MT8188_SOUT_DSC_WRAP0_OUT_TO_VPP_MERGE
	}, {
		DDP_COMPONENT_MERGE5, DDP_COMPONENT_DP_INTF0,
		MT8188_VDO0_DP_INTF0_SEL_IN, MT8188_SEL_IN_DP_INTF0_FROM_MASK,
		MT8188_SEL_IN_DP_INTF0_FROM_VDO1_VIRTUAL0
	}, {
		DDP_COMPONENT_MERGE5, DDP_COMPONENT_DP_INTF0,
		MT8188_VDO0_SEL_OUT, MT8188_SOUT_VDO1_VIRTUAL0_TO_MASK,
		MT8188_SOUT_VDO1_VIRTUAL0_TO_DP_INTF0
	},
};

static const struct mtk_mmsys_routes mmsys_mt8188_vdo1_routing_table[] = {
	{
		DDP_COMPONENT_MDP_RDMA0, DDP_COMPONENT_MERGE1,
		MT8188_VDO1_VPP_MERGE0_P0_SEL_IN, GENMASK(0, 0),
		MT8188_VPP_MERGE0_P0_SEL_IN_FROM_MDP_RDMA0
	}, {
		DDP_COMPONENT_MDP_RDMA1, DDP_COMPONENT_MERGE1,
		MT8188_VDO1_VPP_MERGE0_P1_SEL_IN, GENMASK(0, 0),
		MT8188_VPP_MERGE0_P1_SEL_IN_FROM_MDP_RDMA1
	}, {
		DDP_COMPONENT_MDP_RDMA2, DDP_COMPONENT_MERGE2,
		MT8188_VDO1_VPP_MERGE1_P0_SEL_IN, GENMASK(0, 0),
		MT8188_VPP_MERGE1_P0_SEL_IN_FROM_MDP_RDMA2
	}, {
		DDP_COMPONENT_MERGE1, DDP_COMPONENT_ETHDR_MIXER,
		MT8188_VDO1_MERGE0_ASYNC_SOUT_SEL, GENMASK(1, 0),
		MT8188_SOUT_TO_MIXER_IN1_SEL
	}, {
		DDP_COMPONENT_MERGE2, DDP_COMPONENT_ETHDR_MIXER,
		MT8188_VDO1_MERGE1_ASYNC_SOUT_SEL, GENMASK(1, 0),
		MT8188_SOUT_TO_MIXER_IN2_SEL
	}, {
		DDP_COMPONENT_MERGE3, DDP_COMPONENT_ETHDR_MIXER,
		MT8188_VDO1_MERGE2_ASYNC_SOUT_SEL, GENMASK(1, 0),
		MT8188_SOUT_TO_MIXER_IN3_SEL
	}, {
		DDP_COMPONENT_MERGE4, DDP_COMPONENT_ETHDR_MIXER,
		MT8188_VDO1_MERGE3_ASYNC_SOUT_SEL, GENMASK(1, 0),
		MT8188_SOUT_TO_MIXER_IN4_SEL
	}, {
		DDP_COMPONENT_ETHDR_MIXER, DDP_COMPONENT_MERGE5,
		MT8188_VDO1_MIXER_OUT_SOUT_SEL, GENMASK(0, 0),
		MT8188_MIXER_SOUT_TO_MERGE4_ASYNC_SEL
	}, {
		DDP_COMPONENT_MERGE1, DDP_COMPONENT_ETHDR_MIXER,
		MT8188_VDO1_MIXER_IN1_SEL_IN, GENMASK(0, 0),
		MT8188_MIXER_IN1_SEL_IN_FROM_MERGE0_ASYNC_SOUT
	}, {
		DDP_COMPONENT_MERGE2, DDP_COMPONENT_ETHDR_MIXER,
		MT8188_VDO1_MIXER_IN2_SEL_IN, GENMASK(0, 0),
		MT8188_MIXER_IN2_SEL_IN_FROM_MERGE1_ASYNC_SOUT
	}, {
		DDP_COMPONENT_MERGE3, DDP_COMPONENT_ETHDR_MIXER,
		MT8188_VDO1_MIXER_IN3_SEL_IN, GENMASK(0, 0),
		MT8188_MIXER_IN3_SEL_IN_FROM_MERGE2_ASYNC_SOUT
	}, {
		DDP_COMPONENT_MERGE4, DDP_COMPONENT_ETHDR_MIXER,
		MT8188_VDO1_MIXER_IN4_SEL_IN, GENMASK(0, 0),
		MT8188_MIXER_IN4_SEL_IN_FROM_MERGE3_ASYNC_SOUT
	}, {
		DDP_COMPONENT_ETHDR_MIXER, DDP_COMPONENT_MERGE5,
		MT8188_VDO1_MIXER_SOUT_SEL_IN, GENMASK(2, 0),
		MT8188_MIXER_SOUT_SEL_IN_FROM_DISP_MIXER
	}, {
		DDP_COMPONENT_ETHDR_MIXER, DDP_COMPONENT_MERGE5,
		MT8188_VDO1_MERGE4_ASYNC_SEL_IN, GENMASK(2, 0),
		MT8188_MERGE4_ASYNC_SEL_IN_FROM_MIXER_OUT_SOUT
	}, {
		DDP_COMPONENT_MERGE5, DDP_COMPONENT_DPI1,
		MT8188_VDO1_DISP_DPI1_SEL_IN, GENMASK(1, 0),
		MT8188_DISP_DPI1_SEL_IN_FROM_VPP_MERGE4_MOUT
	}, {
		DDP_COMPONENT_MERGE5, DDP_COMPONENT_DPI1,
		MT8188_VDO1_MERGE4_SOUT_SEL, GENMASK(1, 0),
		MT8188_MERGE4_SOUT_TO_DPI1_SEL
	}, {
		DDP_COMPONENT_MERGE5, DDP_COMPONENT_DP_INTF1,
		MT8188_VDO1_DISP_DP_INTF0_SEL_IN, GENMASK(1, 0),
		MT8188_DISP_DP_INTF0_SEL_IN_FROM_VPP_MERGE4_MOUT
	}, {
		DDP_COMPONENT_MERGE5, DDP_COMPONENT_DP_INTF1,
		MT8188_VDO1_MERGE4_SOUT_SEL, GENMASK(1, 0),
		MT8188_MERGE4_SOUT_TO_DP_INTF0_SEL
	},  {
		DDP_COMPONENT_MERGE5, DDP_COMPONENT_DP_INTF0,
		MT8188_VDO1_MERGE4_SOUT_SEL, GENMASK(1, 0),
		MT8188_MERGE4_SOUT_TO_VDO0
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DPI1,
		MT8188_VDO1_DISP_DPI1_SEL_IN, GENMASK(1, 0),
		MT8188_DISP_DPI0_SEL_IN_FROM_VDO0_MERGE_DL_ASYNC_MOUT
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DPI1,
		MT8188_VDO1_VDO0_MERGE_DL_ASYNC_MOUT_EN, GENMASK(2, 0),
		MT8188_VDO0_DSC_MERGE_ASYNC_TO_DPI1_SEL
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DP_INTF1,
		MT8188_VDO1_DISP_DP_INTF0_SEL_IN, GENMASK(1, 0),
		MT8188_DISP_DP_INTF0_SEL_IN_FROM_VDO0_MERGE_DL_ASYNC_MOUT
	}, {
		DDP_COMPONENT_MERGE0, DDP_COMPONENT_DP_INTF1,
		MT8188_VDO1_VDO0_MERGE_DL_ASYNC_MOUT_EN, GENMASK(2, 0),
		MT8188_VDO0_DSC_MERGE_ASYNC_TO_DP_INTF0_SEL
	},
};

static const u32 mmsys_mt8188_vdo0_main_sys_w_h_configs_list[] = {
	MT8188_VDO0_DL_RELAY3_CFD,
	MT8188_VDO0_DL_RELAY4_CFD
};

static const u32 mmsys_mt8188_vdo0_cross_sys_w_h_configs_list[] = {
	MT8188_VDO0_DL_RELAY2_CFD
};

static const u32 mmsys_mt8188_vdo1_main_sys_w_h_configs_list[] = {
	MT8188_VDO1_OUT_CFG
};

static const u32 mmsys_mt8188_vdo1_cross_sys_w_h_configs_list[] = {
	MT8188_VDO1_VDO0_DSC_CFG_WD,
	MT8188_VDO1_VDO0_MERGE_CFG_WD
};
#endif /* __SOC_MEDIATEK_MT8188_MMSYS_H */
